/*
 * Example for Mic click
 *
 * Date         Mar 2017
 * Author       Djordje Rosic
 * Copyright    GNU Public License v2
 *
 * Test configuration FT90x :
 *  MCU           :        FT900
 *  Dev. Board    :        EasyFT90x
 *  SW            :        mikroC PRO for FT90x v2.2.1
 ******************************************************************************/

#include "tft_resources.h"
#include <stdint.h>

uint16_t x;
uint16_t y;
uint16_t oldx;
uint16_t oldy;


static void systemInit( void );
/*
 * System Initialization
 */
void systemInit ()
{

    x = 1;
    oldx = 0;
    oldy = 154;

    displayInit();
}

void main()
{
    uint16_t valueMeasured;
    systemInit ();
    TFT_Set_Pen( CL_RED, 1 );
    while (1)
    {
        valueMeasured = ADC_Read(4);

        y=valueMeasured/7 + 71;
        if (x !=0)
            TFT_Line (x, y, oldx, oldy);
        oldx = x;
        oldy = y;
        Delay_ms (10);
        x++;
        if (x==320)
        {
            x=0;
            TFT_Set_Pen( CL_WHITE, 1 );
            TFT_Rectangle (0,71,320,219);
            TFT_Set_Pen( CL_RED, 1 );
        }
    }
}
/************************************************************ END OF FILE *****/