#include <built_in.h>

#define TFT_RES_CLICK_NAME "LEM click"
#define TFT_RES_CHIP_NAME "FT900"

#ifdef __MIKROC_PRO_FOR_FT90x__
#define displayInit()\
{\
    TFT_Set_Active(Set_Index, Write_Command, Write_Data);\
    TFT_Init_ILI9341_8bit( 320, 240 );\
    TFT_BLED = 1;\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Brush( 1, CL_WHITE, 0, 0, 0, 0 );\
    TFT_Set_Font( TFT_defaultFont, CL_BLACK, FO_HORIZONTAL );\
    TFT_Fill_Screen( CL_WHITE );\
    TFT_Set_Pen( CL_BLACK, 1 );\
    TFT_Line(  20,  46, 300,  46 );\
    TFT_Line(  20,  70, 300,  70 );\
    TFT_Line(  20, 220, 300, 220 );\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Font( &HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CLICK_NAME, 85, 14 );\
    TFT_Set_Font( &Tahoma15x16_Bold, CL_BLUE, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CHIP_NAME, 125, 50 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );\
    TFT_Write_Text( "EasyFT90x v7", 19, 223 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( "www.mikroe.com", 200, 223 );\
    TFT_Set_Font( &Tahoma15x16_Bold, CL_BLACK, FO_HORIZONTAL );\
}
#endif
#ifdef __MIKROC_PRO_FOR_AVR__
#define displayInit()\
{\
    TFT_Init_ILI9341_8bit( 320, 240 );\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Brush( 1, CL_WHITE, 0, 0, 0, 0 );\
    TFT_Set_Font( TFT_defaultFont, CL_BLACK, FO_HORIZONTAL );\
    TFT_Fill_Screen( CL_WHITE );\
    TFT_Set_Pen( CL_BLACK, 1 );\
    TFT_Line(  20,  46, 300,  46 );\
    TFT_Line(  20,  70, 300,  70 );\
    TFT_Line(  20, 220, 300, 220 );\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CLICK_NAME, 85, 14 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLUE, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CHIP_NAME, 125, 50 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );\
    TFT_Write_Text( "EasyAVR v7", 19, 223 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( "www.mikroe.com", 200, 223 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );\
}
#endif
#ifdef __MIKROC_PRO_FOR_PIC32__
#define displayInit()\
{\
    TFT_Init_ILI9341_8bit( 320, 240 );\
    TFT_BLED = 1;\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Brush( 1, CL_WHITE, 0, 0, 0, 0 );\
    TFT_Set_Font( TFT_defaultFont, CL_BLACK, FO_HORIZONTAL );\
    TFT_Fill_Screen( CL_WHITE );\
    TFT_Set_Pen( CL_BLACK, 1 );\
    TFT_Line(  20,  46, 300,  46 );\
    TFT_Line(  20,  70, 300,  70 );\
    TFT_Line(  20, 220, 300, 220 );\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Font( &HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CLICK_NAME, 85, 14 );\
    TFT_Set_Font( &Tahoma15x16_Bold, CL_BLUE, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CHIP_NAME, 125, 50 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );\
    TFT_Write_Text( "EasyPIC Fusion v7", 19, 223 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( "www.mikroe.com", 200, 223 );\
    TFT_Set_Font( &Tahoma15x16_Bold, CL_BLACK, FO_HORIZONTAL );\
}
#endif
#ifdef __MIKROC_PRO_FOR_PIC__
#define displayInit()\
{\
    TFT_Init_ILI9341_8bit( 320, 240 );\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Brush( 1, CL_WHITE, 0, 0, 0, 0 );\
    TFT_Set_Font( TFT_defaultFont, CL_BLACK, FO_HORIZONTAL );\
    TFT_Fill_Screen( CL_WHITE );\
    TFT_Set_Pen( CL_BLACK, 1 );\
    TFT_Line(  20,  46, 300,  46 );\
    TFT_Line(  20,  70, 300,  70 );\
    TFT_Line(  20, 220, 300, 220 );\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Font( &HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CLICK_NAME, 120, 14 );\
    TFT_Set_Font( &Tahoma15x16_Bold, CL_BLUE, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CHIP_NAME, 120, 50 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );\
    TFT_Write_Text( "EasyPIC Fusion v7", 19, 223 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( "www.mikroe.com", 200, 223 );\
    TFT_Set_Font( &Tahoma15x16_Bold, CL_BLACK, FO_HORIZONTAL );\
}
#endif
#ifdef __MIKROC_PRO_FOR_DSPIC__
#define displayInit()\
{\
    TFT_Init_ILI9341_8bit( 320, 240 );\
    TFT_BLED = 1;\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Brush( 1, CL_WHITE, 0, 0, 0, 0 );\
    TFT_Set_Font( TFT_defaultFont, CL_BLACK, FO_HORIZONTAL );\
    TFT_Fill_Screen( CL_WHITE );\
    TFT_Set_Pen( CL_BLACK, 1 );\
    TFT_Line(  20,  36, 300,  36 );\
    TFT_Line(  20,  60, 300,  60 );\
    TFT_Line(  20, 220, 300, 220 );\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CLICK_NAME, 130, 14 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLUE, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CHIP_NAME, 115, 40 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );\
    TFT_Write_Text( "EasyPIC Fusion v7", 19, 223 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( "www.mikroe.com", 200, 223 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );\
}
#endif
#ifdef __MIKROC_PRO_FOR_ARM__
#define displayInit()\
{\
    TFT_Init_ILI9341_8bit( 320, 240 );\
    TFT_BLED = 1;\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Brush( 1, CL_WHITE, 0, 0, 0, 0 );\
    TFT_Set_Font( TFT_defaultFont, CL_BLACK, FO_HORIZONTAL );\
    TFT_Fill_Screen( CL_WHITE );\
    TFT_Set_Pen( CL_BLACK, 1 );\
    TFT_Line(  20,  46, 300,  46 );\
    TFT_Line(  20,  70, 300,  70 );\
    TFT_Line(  20, 220, 300, 220 );\
    TFT_Set_Pen( CL_WHITE, 1 );\
    TFT_Set_Font( &HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CLICK_NAME, 120, 14 );\
    TFT_Set_Font( &Tahoma15x16_Bold, CL_BLUE, FO_HORIZONTAL );\
    TFT_Write_Text( TFT_RES_CHIP_NAME, 115, 50 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL );\
    TFT_Write_Text( "EasyMx PRO v7 for STM32", 19, 223 );\
    TFT_Set_Font( &Verdana12x13_Regular, CL_RED, FO_HORIZONTAL );\
    TFT_Write_Text( "www.mikroe.com", 200, 223 );\
    TFT_Set_Font( &Tahoma15x16_Bold, CL_BLACK, FO_HORIZONTAL );\
}
#endif





#ifdef __MIKROC_PRO_FOR_AVR__
char TFT_DataPort                   at PORTC;
sbit TFT_WR                         at PORTB1_bit;
sbit TFT_RD                         at PORTB0_bit;
sbit TFT_CS                         at PORTD6_bit;
sbit TFT_RS                         at PORTA2_bit;
sbit TFT_RST                        at PORTD7_bit;
char TFT_DataPort_Direction         at DDRC;
sbit TFT_WR_Direction               at DDB1_bit;
sbit TFT_RD_Direction               at DDB0_bit;
sbit TFT_CS_Direction               at DDD6_bit;
sbit TFT_RS_Direction               at DDA2_bit;
sbit TFT_RST_Direction              at DDD7_bit;
#endif
#ifdef __MIKROC_PRO_FOR_PIC32__
char TFT_DataPort                   at LATE;
sbit TFT_RST                        at LATD7_bit;
sbit TFT_BLED                       at LATD2_bit;
sbit TFT_RS                         at LATD9_bit;
sbit TFT_CS                         at LATD10_bit;
sbit TFT_RD                         at LATD5_bit;
sbit TFT_WR                         at LATD4_bit;
char TFT_DataPort_Direction         at TRISE;
sbit TFT_RST_Direction              at TRISD7_bit;
sbit TFT_BLED_Direction             at TRISD2_bit;
sbit TFT_RS_Direction               at TRISD9_bit;
sbit TFT_CS_Direction               at TRISD10_bit;
sbit TFT_RD_Direction               at TRISD5_bit;
sbit TFT_WR_Direction               at TRISD4_bit;
#endif
#ifdef __MIKROC_PRO_FOR_PIC__
char TFT_DataPort                   at LATD;
sbit TFT_WR                         at LATB1_bit;
sbit TFT_RD                         at LATB0_bit;
sbit TFT_CS                         at LATB4_bit;
sbit TFT_RS                         at LATB2_bit;
sbit TFT_RST                        at LATB5_bit;
char TFT_DataPort_Direction         at TRISD;
sbit TFT_WR_Direction               at TRISB1_bit;
sbit TFT_RD_Direction               at TRISB0_bit;
sbit TFT_CS_Direction               at TRISB4_bit;
sbit TFT_RS_Direction               at TRISB2_bit;
sbit TFT_RST_Direction              at TRISB5_bit;
#endif
#ifdef __MIKROC_PRO_FOR_DSPIC__
char TFT_DataPort                   at LATE;
sbit TFT_RST                        at LATD7_bit;
sbit TFT_BLED                       at LATD2_bit;
sbit TFT_RS                         at LATD9_bit;
sbit TFT_CS                         at LATD10_bit;
sbit TFT_RD                         at LATD5_bit;
sbit TFT_WR                         at LATD4_bit;
char TFT_DataPort_Direction         at TRISE;
sbit TFT_RST_Direction              at TRISD7_bit;
sbit TFT_BLED_Direction             at TRISD2_bit;
sbit TFT_RS_Direction               at TRISD9_bit;
sbit TFT_CS_Direction               at TRISD10_bit;
sbit TFT_RD_Direction               at TRISD5_bit;
sbit TFT_WR_Direction               at TRISD4_bit;
#endif
#ifdef __MIKROC_PRO_FOR_ARM__
unsigned int TFT_DataPort           at GPIOE_ODR;
sbit TFT_RST                        at GPIOE_ODR.B8;
sbit TFT_RS                         at GPIOE_ODR.B12;
sbit TFT_CS                         at GPIOE_ODR.B15;
sbit TFT_RD                         at GPIOE_ODR.B10;
sbit TFT_WR                         at GPIOE_ODR.B11;
sbit TFT_BLED                       at GPIOE_ODR.B9;
#endif
#ifdef __MIKROC_PRO_FOR_FT90x__
char TFT_DataPort                   at GPIO_PORT_32_39;
sbit TFT_RST                        at GPIO_PIN42_bit;
sbit TFT_RS                         at GPIO_PIN40_bit;
sbit TFT_CS                         at GPIO_PIN41_bit;
sbit TFT_RD                         at GPIO_PIN46_bit;
sbit TFT_WR                         at GPIO_PIN47_bit;
sbit TFT_BLED                       at GPIO_PIN58_bit;

void Auxiliary_Code() {
  TFT_WR = 0;
  asm nop;
  TFT_WR = 1;
}

void Set_Index(unsigned short index) {
  TFT_RS = 0;
  asm nop;
  TFT_DataPort = index;
  asm nop; asm nop;
  Auxiliary_Code();
}

void Write_Command(unsigned short cmd) {
  TFT_RS = 1;
  asm nop;
  TFT_DataPort = cmd;
  asm nop; asm nop;
  Auxiliary_Code();

}

void Write_Data(unsigned int _data) {
  TFT_RS = 1;
  asm nop;
  TFT_DataPort = Hi(_data);
  asm nop; asm nop;
  Auxiliary_Code();
  asm nop;
  TFT_DataPort = Lo(_data);
  asm nop; asm nop;
  Auxiliary_Code();
}
#endif


#if defined( __MIKROC_PRO_FOR_PIC32__ ) || \
    defined( __MIKROC_PRO_FOR_FT90x__ ) || \
    defined( __MIKROC_PRO_FOR_ARM__ ) || \
    defined( __MIKROC_PRO_FOR_PIC__ )
    
const code char HandelGothic_BT21x22_Regular[] = {
   0x00,
   0x00,
   0x20,0x00,
   0x7F,0x00,
   0x16,
   0x00,
   0x01,0x88,0x01,0x00,
   0x05,0x9E,0x01,0x00,
   0x06,0xB4,0x01,0x00,
   0x0E,0xCA,0x01,0x00,
   0x0E,0xF6,0x01,0x00,
   0x11,0x22,0x02,0x00,
   0x0F,0x64,0x02,0x00,
   0x03,0x90,0x02,0x00,
   0x06,0xA6,0x02,0x00,
   0x06,0xBC,0x02,0x00,
   0x09,0xD2,0x02,0x00,
   0x0E,0xFE,0x02,0x00,
   0x03,0x2A,0x03,0x00,
   0x06,0x40,0x03,0x00,
   0x03,0x56,0x03,0x00,
   0x08,0x6C,0x03,0x00,
   0x0E,0x82,0x03,0x00,
   0x04,0xAE,0x03,0x00,
   0x0C,0xC4,0x03,0x00,
   0x0B,0xF0,0x03,0x00,
   0x0F,0x1C,0x04,0x00,
   0x0C,0x48,0x04,0x00,
   0x0E,0x74,0x04,0x00,
   0x0C,0xA0,0x04,0x00,
   0x0D,0xCC,0x04,0x00,
   0x0D,0xF8,0x04,0x00,
   0x03,0x24,0x05,0x00,
   0x03,0x3A,0x05,0x00,
   0x0D,0x50,0x05,0x00,
   0x0D,0x7C,0x05,0x00,
   0x0D,0xA8,0x05,0x00,
   0x0D,0xD4,0x05,0x00,
   0x12,0x00,0x06,0x00,
   0x0F,0x42,0x06,0x00,
   0x0D,0x6E,0x06,0x00,
   0x0C,0x9A,0x06,0x00,
   0x0E,0xC6,0x06,0x00,
   0x0C,0xF2,0x06,0x00,
   0x0C,0x1E,0x07,0x00,
   0x0E,0x4A,0x07,0x00,
   0x0C,0x76,0x07,0x00,
   0x04,0xA2,0x07,0x00,
   0x09,0xB8,0x07,0x00,
   0x0D,0xE4,0x07,0x00,
   0x0A,0x10,0x08,0x00,
   0x10,0x3C,0x08,0x00,
   0x0D,0x68,0x08,0x00,
   0x0F,0x94,0x08,0x00,
   0x0D,0xC0,0x08,0x00,
   0x10,0xEC,0x08,0x00,
   0x0E,0x18,0x09,0x00,
   0x0E,0x44,0x09,0x00,
   0x0B,0x70,0x09,0x00,
   0x0D,0x9C,0x09,0x00,
   0x0E,0xC8,0x09,0x00,
   0x15,0xF4,0x09,0x00,
   0x0D,0x36,0x0A,0x00,
   0x0C,0x62,0x0A,0x00,
   0x0D,0x8E,0x0A,0x00,
   0x06,0xBA,0x0A,0x00,
   0x08,0xD0,0x0A,0x00,
   0x05,0xE6,0x0A,0x00,
   0x0F,0xFC,0x0A,0x00,
   0x0A,0x28,0x0B,0x00,
   0x07,0x54,0x0B,0x00,
   0x0B,0x6A,0x0B,0x00,
   0x0B,0x96,0x0B,0x00,
   0x0A,0xC2,0x0B,0x00,
   0x0B,0xEE,0x0B,0x00,
   0x0A,0x1A,0x0C,0x00,
   0x08,0x46,0x0C,0x00,
   0x0B,0x5C,0x0C,0x00,
   0x0A,0x88,0x0C,0x00,
   0x04,0xB4,0x0C,0x00,
   0x04,0xCA,0x0C,0x00,
   0x0B,0xE0,0x0C,0x00,
   0x04,0x0C,0x0D,0x00,
   0x0E,0x22,0x0D,0x00,
   0x0A,0x4E,0x0D,0x00,
   0x0C,0x7A,0x0D,0x00,
   0x0B,0xA6,0x0D,0x00,
   0x0B,0xD2,0x0D,0x00,
   0x08,0xFE,0x0D,0x00,
   0x0B,0x14,0x0E,0x00,
   0x08,0x40,0x0E,0x00,
   0x0A,0x56,0x0E,0x00,
   0x0B,0x82,0x0E,0x00,
   0x11,0xAE,0x0E,0x00,
   0x0A,0xF0,0x0E,0x00,
   0x0A,0x1C,0x0F,0x00,
   0x0A,0x48,0x0F,0x00,
   0x08,0x74,0x0F,0x00,
   0x06,0x8A,0x0F,0x00,
   0x07,0xA0,0x0F,0x00,
   0x0D,0xB6,0x0F,0x00,
   0x0B,0xE2,0x0F,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 32
   0x00,0x00,0x00,0x00,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x00,0x1C,0x1C,0x00,0x00,0x00,0x00, // Code for char num 33
   0x00,0x00,0x00,0x00,0x00,0x36,0x36,0x36,0x36,0x36,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 34
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1C,0xC0,0x0C,0x60,0x0C,0x60,0x0E,0xFC,0x3F,0xFC,0x1F,0x32,0x03,0x30,0x03,0xFE,0x1F,0xFF,0x0F,0x98,0x01,0x8C,0x01,0xCC,0x00,0xCE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 35
   0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0xF8,0x1F,0xFC,0x1F,0x9E,0x00,0x8E,0x00,0x8E,0x00,0x9E,0x00,0xFC,0x0F,0xF8,0x1F,0x80,0x38,0x80,0x38,0x80,0x38,0x80,0x3C,0xFC,0x1F,0xFC,0x0F,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 36
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x08,0x00,0x7F,0x0C,0x00,0x63,0x04,0x00,0x63,0x06,0x00,0x63,0x02,0x00,0x7F,0x03,0x00,0x3E,0x01,0x00,0x80,0xF9,0x00,0x80,0xFD,0x01,0x80,0x8C,0x01,0xC0,0x8C,0x01,0x40,0x8C,0x01,0x60,0xFC,0x01,0x20,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 37
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x03,0x1E,0x00,0x0E,0x00,0x0E,0x00,0x1E,0x00,0x7C,0x7E,0x7C,0x7E,0x1E,0x1C,0x0E,0x1C,0x0E,0x0E,0x1E,0x0F,0xFC,0x07,0xF8,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 38
   0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x06,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 39
   0x00,0x00,0x00,0x00,0x38,0x18,0x0C,0x0C,0x0C,0x06,0x06,0x06,0x06,0x06,0x06,0x0C,0x0C,0x0C,0x18,0x38,0x00,0x00, // Code for char num 40
   0x00,0x00,0x00,0x00,0x0E,0x0C,0x18,0x18,0x18,0x30,0x30,0x30,0x30,0x30,0x30,0x18,0x18,0x18,0x0C,0x0E,0x00,0x00, // Code for char num 41
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0xB4,0x00,0xFE,0x01,0x78,0x00,0xFE,0x01,0xB4,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 42
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0xFC,0x3F,0xFC,0x3F,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x80,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 43
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x04,0x02,0x00,0x00, // Code for char num 44
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 45
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x00, // Code for char num 46
   0x00,0x00,0x00,0x00,0xC0,0x40,0x40,0x60,0x20,0x30,0x10,0x18,0x08,0x08,0x0C,0x04,0x06,0x02,0x02,0x03,0x00,0x00, // Code for char num 47
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x03,0xFC,0x0F,0x1E,0x1E,0x0E,0x1C,0x07,0x38,0x07,0x38,0x07,0x38,0x07,0x38,0x07,0x38,0x07,0x38,0x0E,0x1C,0x1E,0x1E,0xFC,0x0F,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 48
   0x00,0x00,0x00,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00, // Code for char num 49
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03,0xFF,0x07,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0xFC,0x07,0xFE,0x03,0x0F,0x00,0x07,0x00,0x07,0x00,0x07,0x00,0xFF,0x0F,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 50
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x01,0xFF,0x03,0x80,0x07,0x00,0x07,0x00,0x07,0x80,0x07,0xFE,0x03,0xFE,0x03,0x80,0x07,0x00,0x07,0x00,0x07,0x80,0x07,0xFF,0x03,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 51
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x00,0x1F,0x80,0x1F,0xC0,0x1F,0xE0,0x1D,0xF0,0x1C,0x78,0x1C,0x3C,0x1C,0x1E,0x1C,0xFE,0x7F,0xFE,0x7F,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 52
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x07,0xFF,0x07,0x07,0x00,0x07,0x00,0x07,0x00,0x07,0x00,0xFF,0x03,0xFF,0x07,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0xFF,0x07,0xFF,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 53
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x1F,0xF8,0x1F,0x3C,0x00,0x1C,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x0F,0xFE,0x1F,0x0E,0x38,0x0E,0x38,0x1C,0x38,0x3C,0x3C,0xF8,0x1F,0xE0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 54
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x0F,0xFF,0x0F,0x00,0x0F,0x00,0x07,0x80,0x03,0xC0,0x03,0xC0,0x01,0xE0,0x00,0xF0,0x00,0x78,0x00,0x38,0x00,0x3C,0x00,0x1E,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 55
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0xFE,0x0F,0x0F,0x1E,0x07,0x1C,0x07,0x1C,0x0F,0x1E,0xFE,0x0F,0xFE,0x0F,0x0F,0x1E,0x07,0x1C,0x07,0x1C,0x0F,0x1E,0xFE,0x0F,0xFC,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 56
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x01,0xFE,0x07,0x0F,0x0F,0x07,0x0E,0x07,0x1C,0x07,0x1C,0xFE,0x1F,0xFC,0x1F,0x00,0x1C,0x00,0x1C,0x00,0x0E,0x00,0x0F,0xFE,0x07,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 57
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x00, // Code for char num 58
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x06,0x06,0x04,0x02,0x00,0x00, // Code for char num 59
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x1E,0x80,0x0F,0xE0,0x03,0x7C,0x00,0x1C,0x00,0x7C,0x00,0xE0,0x03,0x80,0x0F,0x00,0x1E,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 60
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x1F,0xFC,0x1F,0x00,0x00,0x00,0x00,0xFC,0x1F,0xFC,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 61
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0x3C,0x00,0xF8,0x00,0xE0,0x03,0x00,0x1F,0x00,0x1C,0x00,0x1F,0xE0,0x03,0xF8,0x00,0x3C,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 62
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0xF8,0x0F,0xFC,0x07,0x1E,0x00,0x0E,0x00,0x0E,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 63
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x1F,0x00,0xE0,0x7F,0x00,0x70,0xE0,0x00,0x38,0x80,0x01,0x9C,0xB7,0x03,0xCC,0x17,0x03,0xC6,0x18,0x03,0x66,0x18,0x03,0x66,0x18,0x03,0x66,0x8C,0x01,0x66,0xCC,0x01,0xE6,0xFB,0x00,0xCC,0x79,0x00,0x1C,0x00,0x00,0x78,0xE0,0x00,0xF0,0x3F,0x00,0xC0,0x0F,0x00,0x00,0x00,0x00, // Code for char num 64
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x01,0xE0,0x03,0xE0,0x03,0xF0,0x03,0x30,0x07,0x38,0x07,0x38,0x0E,0x18,0x0E,0xFC,0x1F,0xFC,0x1F,0x0E,0x1C,0x0E,0x38,0x06,0x38,0x07,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 65
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0xFE,0x0F,0xFE,0x0F,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0xFE,0x0F,0xFE,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 66
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x0F,0xF8,0x0F,0x1C,0x00,0x1C,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0C,0x00,0x1C,0x00,0xF8,0x0F,0xF0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 67
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x0E,0x1C,0x0E,0x1C,0x0E,0x38,0x0E,0x38,0x0E,0x38,0x0E,0x38,0x0E,0x38,0x0E,0x38,0x0E,0x1C,0x0E,0x1C,0xFE,0x0F,0xFE,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 68
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x0F,0xF8,0x0F,0x1C,0x00,0x1C,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x0F,0xFE,0x0F,0x0E,0x00,0x0E,0x00,0x0C,0x00,0x1C,0x00,0xF8,0x0F,0xF0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 69
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x0F,0xFC,0x0F,0x1C,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x0F,0xFE,0x0F,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 70
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x3F,0xF8,0x3F,0x3C,0x00,0x1C,0x00,0x0E,0x00,0x0E,0x00,0x8E,0x3F,0x8E,0x3F,0x0E,0x38,0x0E,0x38,0x1C,0x38,0x3C,0x38,0xF8,0x3F,0xF0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 71
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0xFE,0x0F,0xFE,0x0F,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 72
   0x00,0x00,0x00,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00, // Code for char num 73
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xC0,0x01,0xE0,0x01,0xFF,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 74
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x1E,0x0E,0x0F,0x8E,0x07,0x8E,0x03,0xCE,0x01,0xEE,0x00,0xFE,0x00,0xFE,0x00,0xEE,0x01,0xCE,0x01,0x8E,0x03,0x8E,0x07,0x0E,0x0F,0x0E,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 75
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x1E,0x00,0xFC,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 76
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0xF0,0x3E,0xF8,0x3E,0xF8,0x3E,0xF8,0x7E,0xFC,0x7E,0xFC,0x6E,0xEC,0x6E,0xEE,0xEE,0xEE,0xCE,0xE6,0xCE,0xE6,0xCE,0xE7,0x8E,0xE3,0x8E,0xE3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 77
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x1C,0x1E,0x1C,0x3E,0x1C,0x7E,0x1C,0x7E,0x1C,0xEE,0x1C,0xCE,0x1C,0xCE,0x1D,0x8E,0x1D,0x8E,0x1F,0x0E,0x1F,0x0E,0x1F,0x0E,0x1E,0x0E,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 78
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x07,0xF8,0x1F,0x3C,0x3C,0x1C,0x38,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x1C,0x38,0x3C,0x3C,0xF8,0x1F,0xE0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 79
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x0E,0x1E,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1E,0xFE,0x0F,0xFE,0x07,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 80
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x07,0xF8,0x1F,0x3C,0x3C,0x1C,0x38,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x0E,0x70,0x1C,0x78,0x3C,0x3C,0xF8,0x3F,0xE0,0xF7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 81
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0xFE,0x0F,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0xFE,0x0F,0xFE,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x0E,0x0E,0x0E,0x0E,0x1C,0x0E,0x3C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 82
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x1F,0xFC,0x1F,0x1E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0xFC,0x0F,0xF8,0x1F,0x00,0x38,0x00,0x38,0x00,0x38,0x00,0x38,0xFC,0x1F,0xFC,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 83
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x07,0xFF,0x07,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 84
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x0E,0x1C,0x1E,0x1E,0xFC,0x0F,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 85
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x38,0x07,0x1C,0x07,0x1C,0x0F,0x1E,0x0E,0x0E,0x1E,0x0F,0x1C,0x07,0x1C,0x07,0xB8,0x03,0xB8,0x03,0xF8,0x03,0xF0,0x01,0xF0,0x01,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 86
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x0E,0x1C,0x07,0x0F,0x1C,0x06,0x1F,0x0E,0x0E,0x1F,0x0E,0x0E,0x1B,0x0E,0x8C,0x3B,0x06,0x9C,0x3B,0x07,0x9C,0x39,0x07,0x9C,0x31,0x07,0xF8,0xF1,0x03,0xF8,0xF1,0x03,0xF8,0xF1,0x03,0xF0,0xE0,0x01,0xF0,0xE0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 87
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x1E,0x0E,0x0F,0x1C,0x07,0xBC,0x03,0xF8,0x03,0xF0,0x01,0xF0,0x00,0xF0,0x01,0xF0,0x01,0xB8,0x03,0xBC,0x07,0x1C,0x07,0x0E,0x0F,0x0F,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 88
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x0F,0x07,0x07,0x8E,0x03,0x8E,0x03,0xDC,0x01,0xF8,0x00,0xF8,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 89
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x1F,0xFE,0x1F,0x00,0x1E,0x00,0x0F,0x80,0x07,0xC0,0x03,0xE0,0x01,0xE0,0x01,0xF0,0x00,0x78,0x00,0x3C,0x00,0x1E,0x00,0xFE,0x1F,0xFE,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 90
   0x00,0x00,0x00,0x00,0x3E,0x3E,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x3E,0x3E,0x00,0x00, // Code for char num 91
   0x00,0x00,0x00,0x00,0x03,0x02,0x02,0x06,0x04,0x0C,0x08,0x08,0x10,0x10,0x30,0x20,0x60,0x40,0x40,0xC0,0x00,0x00, // Code for char num 92
   0x00,0x00,0x00,0x00,0x1F,0x1F,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x1F,0x1F,0x00,0x00, // Code for char num 93
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x80,0x0F,0xC0,0x1D,0xE0,0x38,0x70,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 94
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03, // Code for char num 95
   0x00,0x00,0x00,0x00,0x1C,0x30,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 96
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x01,0xFC,0x03,0x00,0x07,0x00,0x07,0xFC,0x07,0xFE,0x07,0x0E,0x07,0x0E,0x07,0xFE,0x07,0xFC,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 97
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x01,0xFE,0x03,0x8E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x8E,0x03,0xFE,0x03,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 98
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x03,0xFC,0x03,0x1C,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x1C,0x00,0xFC,0x03,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 99
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x00,0x07,0x00,0x07,0x00,0x07,0xF8,0x07,0xFC,0x07,0x1E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x1C,0x07,0xFC,0x07,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 100
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x03,0x0E,0x00,0x0E,0x00,0xFE,0x03,0xFE,0x03,0x0E,0x00,0x0E,0x00,0xFC,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 101
   0x00,0x00,0x00,0x00,0xF8,0xFC,0x1C,0x1C,0xFF,0xFF,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0x00,0x00,0x00,0x00, // Code for char num 102
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xFC,0x07,0x1C,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x1E,0x07,0xFC,0x07,0xF8,0x07,0x00,0x07,0x00,0x07,0xFC,0x03,0xFC,0x01, // Code for char num 103
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0xFE,0x01,0xFE,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 104
   0x00,0x00,0x00,0x00,0x00,0x0E,0x0E,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00, // Code for char num 105
   0x00,0x00,0x00,0x00,0x00,0x0E,0x0E,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x07,0x07, // Code for char num 106
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x07,0x8E,0x03,0xCE,0x01,0xEE,0x00,0x7E,0x00,0x7E,0x00,0xEE,0x00,0xCE,0x01,0x8E,0x03,0x8E,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 107
   0x00,0x00,0x00,0x00,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00, // Code for char num 108
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x1F,0xFE,0x3F,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0xCE,0x39,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 109
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0xFE,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 110
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x01,0xFC,0x07,0x1C,0x07,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x1C,0x07,0xFC,0x07,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 111
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0xFE,0x03,0x8E,0x03,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x8E,0x07,0xFE,0x03,0xFE,0x01,0x0E,0x00,0x0E,0x00,0x0E,0x00,0x0E,0x00, // Code for char num 112
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xFC,0x07,0x1C,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x0E,0x07,0x1E,0x07,0xFC,0x07,0xF8,0x07,0x00,0x07,0x00,0x07,0x00,0x07,0x00,0x07, // Code for char num 113
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0xFE,0xEE,0xEE,0x0E,0x0E,0x0E,0x0E,0x0E,0x0E,0x00,0x00,0x00,0x00, // Code for char num 114
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0xFE,0x03,0x0E,0x00,0x0E,0x00,0xFE,0x03,0xFC,0x07,0x00,0x07,0x00,0x07,0xFE,0x07,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 115
   0x00,0x00,0x00,0x00,0x1C,0x1C,0x1C,0x1C,0xFF,0xFF,0x1C,0x1C,0x1C,0x1C,0x1C,0x1C,0xFC,0xF8,0x00,0x00,0x00,0x00, // Code for char num 116
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0xFE,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 117
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x07,0x06,0x03,0x8E,0x03,0x8E,0x03,0x9C,0x01,0xDC,0x01,0xD8,0x00,0xF8,0x00,0xF8,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 118
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x83,0xC3,0x01,0xC7,0xC7,0x01,0xC6,0xC7,0x00,0xC6,0xC6,0x00,0xEE,0xEE,0x00,0xEC,0x6E,0x00,0x6C,0x6C,0x00,0x7C,0x7C,0x00,0x78,0x3C,0x00,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 119
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x03,0xCE,0x01,0xFC,0x00,0xFC,0x00,0x78,0x00,0x78,0x00,0x7C,0x00,0xFC,0x00,0xCE,0x01,0x87,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 120
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0x8E,0x03,0xFE,0x03,0xFC,0x03,0x80,0x03,0x80,0x03,0xFE,0x01,0xFE,0x00, // Code for char num 121
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0xFE,0x03,0xC0,0x03,0xE0,0x01,0xF0,0x00,0x78,0x00,0x3C,0x00,0x1E,0x00,0xFE,0x03,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 122
   0x00,0x00,0x00,0x00,0xE0,0xF0,0x30,0x30,0x30,0x30,0x30,0x30,0x1C,0x1C,0x30,0x30,0x30,0x30,0x30,0x30,0xF0,0xE0, // Code for char num 123
   0x00,0x00,0x00,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30,0x30, // Code for char num 124
   0x00,0x00,0x00,0x00,0x0E,0x1E,0x18,0x18,0x18,0x18,0x18,0x18,0x70,0x70,0x18,0x18,0x18,0x18,0x18,0x18,0x1E,0x0E, // Code for char num 125
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x10,0xFC,0x1F,0x04,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 126
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x07,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0x02,0x04,0xFE,0x07 // Code for char num 127
        };

const code char Tahoma15x16_Bold[] = {
   0x00,
   0x00,
   0x20,0x00,
   0xFF,0x00,
   0x10,
   0x10,
   0x03,0x88,0x03,0x00,
   0x03,0x98,0x03,0x00,
   0x05,0xA8,0x03,0x00,
   0x08,0xB8,0x03,0x00,
   0x07,0xC8,0x03,0x00,
   0x0D,0xD8,0x03,0x00,
   0x0A,0xF8,0x03,0x00,
   0x03,0x18,0x04,0x00,
   0x05,0x28,0x04,0x00,
   0x05,0x38,0x04,0x00,
   0x07,0x48,0x04,0x00,
   0x09,0x58,0x04,0x00,
   0x03,0x78,0x04,0x00,
   0x05,0x88,0x04,0x00,
   0x03,0x98,0x04,0x00,
   0x06,0xA8,0x04,0x00,
   0x07,0xB8,0x04,0x00,
   0x07,0xC8,0x04,0x00,
   0x07,0xD8,0x04,0x00,
   0x07,0xE8,0x04,0x00,
   0x07,0xF8,0x04,0x00,
   0x07,0x08,0x05,0x00,
   0x07,0x18,0x05,0x00,
   0x07,0x28,0x05,0x00,
   0x07,0x38,0x05,0x00,
   0x07,0x48,0x05,0x00,
   0x03,0x58,0x05,0x00,
   0x03,0x68,0x05,0x00,
   0x09,0x78,0x05,0x00,
   0x09,0x98,0x05,0x00,
   0x09,0xB8,0x05,0x00,
   0x06,0xD8,0x05,0x00,
   0x09,0xE8,0x05,0x00,
   0x09,0x08,0x06,0x00,
   0x07,0x28,0x06,0x00,
   0x07,0x38,0x06,0x00,
   0x08,0x48,0x06,0x00,
   0x06,0x58,0x06,0x00,
   0x06,0x68,0x06,0x00,
   0x07,0x78,0x06,0x00,
   0x08,0x88,0x06,0x00,
   0x04,0x98,0x06,0x00,
   0x05,0xA8,0x06,0x00,
   0x07,0xB8,0x06,0x00,
   0x06,0xC8,0x06,0x00,
   0x0A,0xD8,0x06,0x00,
   0x07,0xF8,0x06,0x00,
   0x08,0x08,0x07,0x00,
   0x07,0x18,0x07,0x00,
   0x08,0x28,0x07,0x00,
   0x08,0x38,0x07,0x00,
   0x07,0x48,0x07,0x00,
   0x06,0x58,0x07,0x00,
   0x07,0x68,0x07,0x00,
   0x08,0x78,0x07,0x00,
   0x0C,0x88,0x07,0x00,
   0x08,0xA8,0x07,0x00,
   0x08,0xB8,0x07,0x00,
   0x06,0xC8,0x07,0x00,
   0x05,0xD8,0x07,0x00,
   0x06,0xE8,0x07,0x00,
   0x05,0xF8,0x07,0x00,
   0x09,0x08,0x08,0x00,
   0x08,0x28,0x08,0x00,
   0x05,0x38,0x08,0x00,
   0x07,0x48,0x08,0x00,
   0x07,0x58,0x08,0x00,
   0x06,0x68,0x08,0x00,
   0x07,0x78,0x08,0x00,
   0x07,0x88,0x08,0x00,
   0x05,0x98,0x08,0x00,
   0x07,0xA8,0x08,0x00,
   0x07,0xB8,0x08,0x00,
   0x02,0xC8,0x08,0x00,
   0x03,0xD8,0x08,0x00,
   0x06,0xE8,0x08,0x00,
   0x02,0xF8,0x08,0x00,
   0x0A,0x08,0x09,0x00,
   0x07,0x28,0x09,0x00,
   0x07,0x38,0x09,0x00,
   0x07,0x48,0x09,0x00,
   0x07,0x58,0x09,0x00,
   0x05,0x68,0x09,0x00,
   0x06,0x78,0x09,0x00,
   0x05,0x88,0x09,0x00,
   0x07,0x98,0x09,0x00,
   0x07,0xA8,0x09,0x00,
   0x0A,0xB8,0x09,0x00,
   0x06,0xD8,0x09,0x00,
   0x07,0xE8,0x09,0x00,
   0x06,0xF8,0x09,0x00,
   0x06,0x08,0x0A,0x00,
   0x04,0x18,0x0A,0x00,
   0x06,0x28,0x0A,0x00,
   0x0A,0x38,0x0A,0x00,
   0x04,0x58,0x0A,0x00,
   0x01,0x68,0x0A,0x00,
   0x01,0x78,0x0A,0x00,
   0x01,0x88,0x0A,0x00,
   0x01,0x98,0x0A,0x00,
   0x01,0xA8,0x0A,0x00,
   0x01,0xB8,0x0A,0x00,
   0x01,0xC8,0x0A,0x00,
   0x01,0xD8,0x0A,0x00,
   0x01,0xE8,0x0A,0x00,
   0x01,0xF8,0x0A,0x00,
   0x01,0x08,0x0B,0x00,
   0x01,0x18,0x0B,0x00,
   0x01,0x28,0x0B,0x00,
   0x01,0x38,0x0B,0x00,
   0x01,0x48,0x0B,0x00,
   0x01,0x58,0x0B,0x00,
   0x01,0x68,0x0B,0x00,
   0x01,0x78,0x0B,0x00,
   0x01,0x88,0x0B,0x00,
   0x01,0x98,0x0B,0x00,
   0x01,0xA8,0x0B,0x00,
   0x01,0xB8,0x0B,0x00,
   0x01,0xC8,0x0B,0x00,
   0x01,0xD8,0x0B,0x00,
   0x01,0xE8,0x0B,0x00,
   0x01,0xF8,0x0B,0x00,
   0x01,0x08,0x0C,0x00,
   0x01,0x18,0x0C,0x00,
   0x01,0x28,0x0C,0x00,
   0x01,0x38,0x0C,0x00,
   0x01,0x48,0x0C,0x00,
   0x01,0x58,0x0C,0x00,
   0x01,0x68,0x0C,0x00,
   0x03,0x78,0x0C,0x00,
   0x07,0x88,0x0C,0x00,
   0x07,0x98,0x0C,0x00,
   0x07,0xA8,0x0C,0x00,
   0x07,0xB8,0x0C,0x00,
   0x04,0xC8,0x0C,0x00,
   0x07,0xD8,0x0C,0x00,
   0x06,0xE8,0x0C,0x00,
   0x0B,0xF8,0x0C,0x00,
   0x06,0x18,0x0D,0x00,
   0x08,0x28,0x0D,0x00,
   0x09,0x38,0x0D,0x00,
   0x05,0x58,0x0D,0x00,
   0x0B,0x68,0x0D,0x00,
   0x08,0x88,0x0D,0x00,
   0x06,0x98,0x0D,0x00,
   0x09,0xA8,0x0D,0x00,
   0x06,0xC8,0x0D,0x00,
   0x06,0xD8,0x0D,0x00,
   0x05,0xE8,0x0D,0x00,
   0x07,0xF8,0x0D,0x00,
   0x07,0x08,0x0E,0x00,
   0x03,0x18,0x0E,0x00,
   0x05,0x28,0x0E,0x00,
   0x06,0x38,0x0E,0x00,
   0x06,0x48,0x0E,0x00,
   0x08,0x58,0x0E,0x00,
   0x0E,0x68,0x0E,0x00,
   0x0E,0x88,0x0E,0x00,
   0x0E,0xA8,0x0E,0x00,
   0x06,0xC8,0x0E,0x00,
   0x09,0xD8,0x0E,0x00,
   0x09,0xF8,0x0E,0x00,
   0x09,0x18,0x0F,0x00,
   0x09,0x38,0x0F,0x00,
   0x09,0x58,0x0F,0x00,
   0x09,0x78,0x0F,0x00,
   0x0C,0x98,0x0F,0x00,
   0x07,0xB8,0x0F,0x00,
   0x06,0xC8,0x0F,0x00,
   0x06,0xD8,0x0F,0x00,
   0x06,0xE8,0x0F,0x00,
   0x06,0xF8,0x0F,0x00,
   0x04,0x08,0x10,0x00,
   0x04,0x18,0x10,0x00,
   0x05,0x28,0x10,0x00,
   0x05,0x38,0x10,0x00,
   0x09,0x48,0x10,0x00,
   0x07,0x68,0x10,0x00,
   0x08,0x78,0x10,0x00,
   0x08,0x88,0x10,0x00,
   0x08,0x98,0x10,0x00,
   0x08,0xA8,0x10,0x00,
   0x08,0xB8,0x10,0x00,
   0x08,0xC8,0x10,0x00,
   0x08,0xD8,0x10,0x00,
   0x07,0xE8,0x10,0x00,
   0x07,0xF8,0x10,0x00,
   0x07,0x08,0x11,0x00,
   0x07,0x18,0x11,0x00,
   0x08,0x28,0x11,0x00,
   0x08,0x38,0x11,0x00,
   0x07,0x48,0x11,0x00,
   0x07,0x58,0x11,0x00,
   0x07,0x68,0x11,0x00,
   0x07,0x78,0x11,0x00,
   0x07,0x88,0x11,0x00,
   0x07,0x98,0x11,0x00,
   0x07,0xA8,0x11,0x00,
   0x0B,0xB8,0x11,0x00,
   0x06,0xD8,0x11,0x00,
   0x07,0xE8,0x11,0x00,
   0x07,0xF8,0x11,0x00,
   0x07,0x08,0x12,0x00,
   0x07,0x18,0x12,0x00,
   0x02,0x28,0x12,0x00,
   0x03,0x38,0x12,0x00,
   0x03,0x48,0x12,0x00,
   0x04,0x58,0x12,0x00,
   0x07,0x68,0x12,0x00,
   0x07,0x78,0x12,0x00,
   0x07,0x88,0x12,0x00,
   0x07,0x98,0x12,0x00,
   0x07,0xA8,0x12,0x00,
   0x07,0xB8,0x12,0x00,
   0x07,0xC8,0x12,0x00,
   0x09,0xD8,0x12,0x00,
   0x07,0xF8,0x12,0x00,
   0x07,0x08,0x13,0x00,
   0x07,0x18,0x13,0x00,
   0x07,0x28,0x13,0x00,
   0x07,0x38,0x13,0x00,
   0x07,0x48,0x13,0x00,
   0x07,0x58,0x13,0x00,
   0x07,0x68,0x13,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 32
   0x00,0x00,0x00,0x00,0x06,0x06,0x06,0x06,0x06,0x06,0x00,0x06,0x06,0x00,0x00,0x00, // Code for char num 33
   0x00,0x00,0x00,0x1B,0x1B,0x1B,0x1B,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 34
   0x00,0x00,0x00,0x00,0x48,0x48,0xFE,0xFE,0x24,0x7F,0x7F,0x12,0x12,0x00,0x00,0x00, // Code for char num 35
   0x00,0x00,0x08,0x08,0x3E,0x4B,0x0B,0x0B,0x3E,0x68,0x68,0x69,0x3E,0x08,0x08,0x00, // Code for char num 36
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x00,0x33,0x02,0x33,0x01,0xB3,0x00,0x5E,0x0F,0xA0,0x19,0x90,0x19,0x88,0x19,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 37
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3C,0x00,0x66,0x00,0x66,0x00,0x66,0x00,0x3C,0x03,0x66,0x03,0xC6,0x01,0xC6,0x00,0xBC,0x03,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 38
   0x00,0x00,0x00,0x06,0x06,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 39
   0x00,0x00,0x00,0x18,0x0C,0x0C,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0C,0x0C,0x18, // Code for char num 40
   0x00,0x00,0x00,0x06,0x0C,0x0C,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x0C,0x0C,0x06, // Code for char num 41
   0x00,0x00,0x00,0x18,0x5A,0x3C,0x5A,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 42
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x00,0x20,0x00,0x20,0x00,0xFC,0x01,0x20,0x00,0x20,0x00,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 43
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x03,0x03,0x00, // Code for char num 44
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 45
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00, // Code for char num 46
   0x00,0x00,0x00,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x02,0x02,0x01,0x01,0x00, // Code for char num 47
   0x00,0x00,0x00,0x00,0x3E,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 48
   0x00,0x00,0x00,0x00,0x18,0x1E,0x18,0x18,0x18,0x18,0x18,0x18,0x7E,0x00,0x00,0x00, // Code for char num 49
   0x00,0x00,0x00,0x00,0x3E,0x61,0x61,0x60,0x30,0x18,0x0C,0x06,0x7F,0x00,0x00,0x00, // Code for char num 50
   0x00,0x00,0x00,0x00,0x3E,0x61,0x60,0x60,0x3C,0x60,0x60,0x61,0x3E,0x00,0x00,0x00, // Code for char num 51
   0x00,0x00,0x00,0x00,0x30,0x38,0x34,0x32,0x31,0x7F,0x30,0x30,0x30,0x00,0x00,0x00, // Code for char num 52
   0x00,0x00,0x00,0x00,0x7E,0x06,0x06,0x3E,0x60,0x60,0x60,0x61,0x3E,0x00,0x00,0x00, // Code for char num 53
   0x00,0x00,0x00,0x00,0x3C,0x06,0x03,0x3F,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 54
   0x00,0x00,0x00,0x00,0x7F,0x60,0x30,0x30,0x18,0x18,0x0C,0x0C,0x0C,0x00,0x00,0x00, // Code for char num 55
   0x00,0x00,0x00,0x00,0x3E,0x63,0x63,0x63,0x3E,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 56
   0x00,0x00,0x00,0x00,0x3E,0x63,0x63,0x63,0x63,0x7E,0x60,0x30,0x1E,0x00,0x00,0x00, // Code for char num 57
   0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00, // Code for char num 58
   0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x06,0x06,0x03,0x03,0x00, // Code for char num 59
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x01,0x60,0x00,0x18,0x00,0x06,0x00,0x06,0x00,0x18,0x00,0x60,0x00,0x80,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 60
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0x00,0x00,0x00,0x00,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 61
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x00,0x18,0x00,0x60,0x00,0x80,0x01,0x80,0x01,0x60,0x00,0x18,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 62
   0x00,0x00,0x00,0x00,0x1E,0x31,0x30,0x18,0x0C,0x0C,0x00,0x0C,0x0C,0x00,0x00,0x00, // Code for char num 63
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7C,0x00,0x82,0x00,0x79,0x01,0x6D,0x01,0x6D,0x01,0x6D,0x01,0x6D,0x01,0xD9,0x00,0x02,0x00,0xFC,0x00,0x00,0x00,0x00,0x00, // Code for char num 64
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x00,0x38,0x00,0x6C,0x00,0x6C,0x00,0xC6,0x00,0xFE,0x00,0xC6,0x00,0x83,0x01,0x83,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 65
   0x00,0x00,0x00,0x00,0x3F,0x63,0x63,0x63,0x3F,0x63,0x63,0x63,0x3F,0x00,0x00,0x00, // Code for char num 66
   0x00,0x00,0x00,0x00,0x3E,0x43,0x43,0x03,0x03,0x03,0x43,0x43,0x3E,0x00,0x00,0x00, // Code for char num 67
   0x00,0x00,0x00,0x00,0x3F,0x63,0xC3,0xC3,0xC3,0xC3,0xC3,0x63,0x3F,0x00,0x00,0x00, // Code for char num 68
   0x00,0x00,0x00,0x00,0x3F,0x03,0x03,0x03,0x1F,0x03,0x03,0x03,0x3F,0x00,0x00,0x00, // Code for char num 69
   0x00,0x00,0x00,0x00,0x3F,0x03,0x03,0x03,0x1F,0x03,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 70
   0x00,0x00,0x00,0x00,0x3E,0x43,0x43,0x03,0x73,0x63,0x63,0x63,0x7E,0x00,0x00,0x00, // Code for char num 71
   0x00,0x00,0x00,0x00,0xC3,0xC3,0xC3,0xC3,0xFF,0xC3,0xC3,0xC3,0xC3,0x00,0x00,0x00, // Code for char num 72
   0x00,0x00,0x00,0x00,0x0F,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0F,0x00,0x00,0x00, // Code for char num 73
   0x00,0x00,0x00,0x00,0x1E,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x0F,0x00,0x00,0x00, // Code for char num 74
   0x00,0x00,0x00,0x00,0x63,0x33,0x1B,0x0F,0x07,0x0F,0x1B,0x33,0x63,0x00,0x00,0x00, // Code for char num 75
   0x00,0x00,0x00,0x00,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x3F,0x00,0x00,0x00, // Code for char num 76
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x03,0x87,0x03,0x4D,0x03,0x4D,0x03,0x39,0x03,0x39,0x03,0x11,0x03,0x11,0x03,0x01,0x03,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 77
   0x00,0x00,0x00,0x00,0x47,0x47,0x4D,0x4D,0x59,0x59,0x71,0x71,0x61,0x00,0x00,0x00, // Code for char num 78
   0x00,0x00,0x00,0x00,0x7E,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0x7E,0x00,0x00,0x00, // Code for char num 79
   0x00,0x00,0x00,0x00,0x3F,0x63,0x63,0x63,0x63,0x3F,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 80
   0x00,0x00,0x00,0x00,0x7E,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0x7E,0x60,0xC0,0x00, // Code for char num 81
   0x00,0x00,0x00,0x00,0x3F,0x63,0x63,0x63,0x3F,0x1B,0x33,0x63,0xC3,0x00,0x00,0x00, // Code for char num 82
   0x00,0x00,0x00,0x00,0x3E,0x43,0x43,0x03,0x3E,0x60,0x61,0x61,0x3E,0x00,0x00,0x00, // Code for char num 83
   0x00,0x00,0x00,0x00,0x3F,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x00,0x00,0x00, // Code for char num 84
   0x00,0x00,0x00,0x00,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 85
   0x00,0x00,0x00,0x00,0xC3,0xC3,0xC3,0x66,0x66,0x3C,0x3C,0x18,0x18,0x00,0x00,0x00, // Code for char num 86
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x63,0x0C,0x63,0x0C,0x63,0x0C,0xF3,0x0C,0xF6,0x06,0x9E,0x07,0x9E,0x07,0x0C,0x03,0x0C,0x03,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 87
   0x00,0x00,0x00,0x00,0xC3,0xC3,0x66,0x3C,0x18,0x3C,0x66,0xC3,0xC3,0x00,0x00,0x00, // Code for char num 88
   0x00,0x00,0x00,0x00,0xC3,0xC3,0x66,0x66,0x3C,0x18,0x18,0x18,0x18,0x00,0x00,0x00, // Code for char num 89
   0x00,0x00,0x00,0x00,0x3F,0x30,0x30,0x18,0x0C,0x06,0x03,0x03,0x3F,0x00,0x00,0x00, // Code for char num 90
   0x00,0x00,0x00,0x1E,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x1E,0x00, // Code for char num 91
   0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x10,0x20,0x20,0x00, // Code for char num 92
   0x00,0x00,0x00,0x1E,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x1E,0x00, // Code for char num 93
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x48,0x00,0x84,0x00,0x02,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 94
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00, // Code for char num 95
   0x00,0x00,0x00,0x0C,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 96
   0x00,0x00,0x00,0x00,0x00,0x00,0x3C,0x62,0x60,0x7E,0x63,0x63,0x7E,0x00,0x00,0x00, // Code for char num 97
   0x00,0x00,0x00,0x03,0x03,0x03,0x3B,0x67,0x63,0x63,0x63,0x63,0x3F,0x00,0x00,0x00, // Code for char num 98
   0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x23,0x03,0x03,0x03,0x23,0x1E,0x00,0x00,0x00, // Code for char num 99
   0x00,0x00,0x00,0x60,0x60,0x60,0x7E,0x63,0x63,0x63,0x63,0x73,0x6E,0x00,0x00,0x00, // Code for char num 100
   0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x63,0x63,0x7F,0x03,0x43,0x3E,0x00,0x00,0x00, // Code for char num 101
   0x00,0x00,0x00,0x1C,0x06,0x06,0x0F,0x06,0x06,0x06,0x06,0x06,0x06,0x00,0x00,0x00, // Code for char num 102
   0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0x63,0x63,0x63,0x63,0x73,0x6E,0x60,0x61,0x3E, // Code for char num 103
   0x00,0x00,0x00,0x03,0x03,0x03,0x3B,0x67,0x63,0x63,0x63,0x63,0x63,0x00,0x00,0x00, // Code for char num 104
   0x00,0x00,0x00,0x03,0x03,0x00,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 105
   0x00,0x00,0x00,0x06,0x06,0x00,0x07,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x03, // Code for char num 106
   0x00,0x00,0x00,0x03,0x03,0x03,0x33,0x1B,0x0F,0x07,0x0F,0x1B,0x33,0x00,0x00,0x00, // Code for char num 107
   0x00,0x00,0x00,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 108
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xDF,0x01,0x33,0x03,0x33,0x03,0x33,0x03,0x33,0x03,0x33,0x03,0x33,0x03,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 109
   0x00,0x00,0x00,0x00,0x00,0x00,0x3B,0x67,0x63,0x63,0x63,0x63,0x63,0x00,0x00,0x00, // Code for char num 110
   0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 111
   0x00,0x00,0x00,0x00,0x00,0x00,0x3B,0x67,0x63,0x63,0x63,0x63,0x3F,0x03,0x03,0x03, // Code for char num 112
   0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0x63,0x63,0x63,0x63,0x73,0x6E,0x60,0x60,0x60, // Code for char num 113
   0x00,0x00,0x00,0x00,0x00,0x00,0x1B,0x1F,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 114
   0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x23,0x07,0x1E,0x38,0x31,0x1E,0x00,0x00,0x00, // Code for char num 115
   0x00,0x00,0x00,0x00,0x06,0x06,0x1F,0x06,0x06,0x06,0x06,0x06,0x1C,0x00,0x00,0x00, // Code for char num 116
   0x00,0x00,0x00,0x00,0x00,0x00,0x63,0x63,0x63,0x63,0x63,0x73,0x6E,0x00,0x00,0x00, // Code for char num 117
   0x00,0x00,0x00,0x00,0x00,0x00,0x63,0x63,0x63,0x36,0x36,0x1C,0x1C,0x00,0x00,0x00, // Code for char num 118
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x33,0x03,0x33,0x03,0xB6,0x01,0xB6,0x01,0xCE,0x01,0xCC,0x00,0xCC,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 119
   0x00,0x00,0x00,0x00,0x00,0x00,0x33,0x33,0x1E,0x0C,0x1E,0x33,0x33,0x00,0x00,0x00, // Code for char num 120
   0x00,0x00,0x00,0x00,0x00,0x00,0x63,0x63,0x63,0x36,0x36,0x1C,0x1C,0x18,0x0C,0x0C, // Code for char num 121
   0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x30,0x18,0x0C,0x06,0x03,0x3F,0x00,0x00,0x00, // Code for char num 122
   0x00,0x00,0x00,0x38,0x0C,0x0C,0x0C,0x0C,0x07,0x0C,0x0C,0x0C,0x0C,0x0C,0x38,0x00, // Code for char num 123
   0x00,0x00,0x00,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x0C,0x00, // Code for char num 124
   0x00,0x00,0x00,0x07,0x0C,0x0C,0x0C,0x0C,0x38,0x0C,0x0C,0x0C,0x0C,0x0C,0x07,0x00, // Code for char num 125
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x02,0x3F,0x02,0xF1,0x03,0xE1,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 126
   0x00,0x00,0x00,0x0F,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x0F,0x00,0x00,0x00, // Code for char num 127
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 128
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 129
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 130
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 131
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 132
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 133
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 134
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 135
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 136
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 137
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 138
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 139
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 140
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 141
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 142
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 143
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 144
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 145
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 146
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 147
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 148
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 149
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 150
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 151
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 152
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 153
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 154
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 155
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 156
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 157
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 158
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 159
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 160
   0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x06,0x06,0x06,0x06,0x06,0x06,0x00,0x00,0x00, // Code for char num 161
   0x00,0x00,0x00,0x00,0x10,0x10,0x3C,0x56,0x16,0x16,0x16,0x56,0x3C,0x10,0x10,0x00, // Code for char num 162
   0x00,0x00,0x00,0x00,0x38,0x4C,0x0C,0x0C,0x3E,0x0C,0x0C,0x06,0x7E,0x00,0x00,0x00, // Code for char num 163
   0x00,0x00,0x00,0x00,0x00,0x41,0x3E,0x22,0x22,0x22,0x3E,0x41,0x00,0x00,0x00,0x00, // Code for char num 164
   0x00,0x00,0x00,0x00,0x66,0x66,0x3C,0x3C,0x18,0x7E,0x18,0x18,0x18,0x00,0x00,0x00, // Code for char num 165
   0x00,0x00,0x00,0x0C,0x0C,0x0C,0x0C,0x0C,0x00,0x00,0x0C,0x0C,0x0C,0x0C,0x0C,0x00, // Code for char num 166
   0x00,0x00,0x00,0x00,0x3E,0x43,0x03,0x3E,0x63,0x63,0x63,0x3E,0x60,0x61,0x3E,0x00, // Code for char num 167
   0x00,0x00,0x00,0x36,0x36,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 168
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x00,0x04,0x01,0x02,0x02,0xF1,0x04,0x19,0x04,0x19,0x04,0x19,0x04,0xF1,0x04,0x02,0x02,0x04,0x01,0xF8,0x00,0x00,0x00, // Code for char num 169
   0x00,0x00,0x00,0x00,0x1E,0x30,0x3E,0x33,0x33,0x3E,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 170
   0x00,0x00,0x00,0x00,0x00,0x00,0x88,0xCC,0x66,0x66,0xCC,0x88,0x00,0x00,0x00,0x00, // Code for char num 171
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0x00,0x01,0x00,0x01,0x00,0x01,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 172
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 173
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x00,0x04,0x01,0x02,0x02,0x79,0x04,0xD9,0x04,0x79,0x04,0xD9,0x04,0x99,0x05,0x02,0x02,0x04,0x01,0xF8,0x00,0x00,0x00, // Code for char num 174
   0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 175
   0x00,0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 176
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x00,0x20,0x00,0x20,0x00,0xFC,0x01,0x20,0x00,0x20,0x00,0x20,0x00,0xFC,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 177
   0x00,0x00,0x00,0x00,0x1C,0x32,0x30,0x18,0x0C,0x3E,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 178
   0x00,0x00,0x00,0x00,0x1C,0x32,0x18,0x30,0x32,0x1C,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 179
   0x00,0x00,0x00,0x18,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 180
   0x00,0x00,0x00,0x00,0x00,0x00,0x63,0x63,0x63,0x63,0x63,0x73,0x6F,0x03,0x03,0x03, // Code for char num 181
   0x00,0x00,0x00,0x00,0x7E,0x5F,0x5F,0x5F,0x5F,0x5E,0x50,0x50,0x50,0x50,0x50,0x00, // Code for char num 182
   0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 183
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x0C, // Code for char num 184
   0x00,0x00,0x00,0x00,0x18,0x1C,0x18,0x18,0x18,0x3C,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 185
   0x00,0x00,0x00,0x00,0x1E,0x33,0x33,0x33,0x33,0x1E,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 186
   0x00,0x00,0x00,0x00,0x00,0x00,0x22,0x66,0xCC,0xCC,0x66,0x22,0x00,0x00,0x00,0x00, // Code for char num 187
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x02,0x0E,0x01,0x8C,0x00,0x8C,0x18,0x4C,0x1C,0x2C,0x1A,0x20,0x19,0x10,0x3F,0x08,0x18,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 188
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x02,0x0E,0x01,0x8C,0x00,0x8C,0x1C,0x4C,0x32,0x2C,0x30,0x20,0x18,0x10,0x0C,0x08,0x3E,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 189
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x04,0x32,0x02,0x18,0x01,0x30,0x19,0xB2,0x1C,0x5C,0x1A,0x40,0x19,0x20,0x3F,0x10,0x18,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 190
   0x00,0x00,0x00,0x00,0x0C,0x0C,0x00,0x0C,0x0C,0x06,0x03,0x23,0x1E,0x00,0x00,0x00, // Code for char num 191
   0x00,0x00,0x0C,0x00,0x18,0x00,0x00,0x00,0x38,0x00,0x38,0x00,0x6C,0x00,0x6C,0x00,0xC6,0x00,0xFE,0x00,0xC6,0x00,0x83,0x01,0x83,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 192
   0x00,0x00,0x60,0x00,0x30,0x00,0x00,0x00,0x38,0x00,0x38,0x00,0x6C,0x00,0x6C,0x00,0xC6,0x00,0xFE,0x00,0xC6,0x00,0x83,0x01,0x83,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 193
   0x00,0x00,0x38,0x00,0x6C,0x00,0x00,0x00,0x38,0x00,0x38,0x00,0x6C,0x00,0x6C,0x00,0xC6,0x00,0xFE,0x00,0xC6,0x00,0x83,0x01,0x83,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 194
   0x00,0x00,0x98,0x00,0x64,0x00,0x00,0x00,0x38,0x00,0x38,0x00,0x6C,0x00,0x6C,0x00,0xC6,0x00,0xFE,0x00,0xC6,0x00,0x83,0x01,0x83,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 195
   0x00,0x00,0x6C,0x00,0x6C,0x00,0x00,0x00,0x38,0x00,0x38,0x00,0x6C,0x00,0x6C,0x00,0xC6,0x00,0xFE,0x00,0xC6,0x00,0x83,0x01,0x83,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 196
   0x00,0x00,0x38,0x00,0x44,0x00,0x44,0x00,0x38,0x00,0x38,0x00,0x6C,0x00,0x6C,0x00,0xC6,0x00,0xFE,0x00,0xC6,0x00,0x83,0x01,0x83,0x01,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 197
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x0F,0xCC,0x00,0xCC,0x00,0xCC,0x00,0xC6,0x0F,0xFE,0x00,0xC6,0x00,0xC3,0x00,0xC3,0x0F,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 198
   0x00,0x00,0x00,0x00,0x3E,0x43,0x43,0x03,0x03,0x03,0x43,0x43,0x3E,0x10,0x10,0x0C, // Code for char num 199
   0x00,0x06,0x0C,0x00,0x3F,0x03,0x03,0x03,0x1F,0x03,0x03,0x03,0x3F,0x00,0x00,0x00, // Code for char num 200
   0x00,0x18,0x0C,0x00,0x3F,0x03,0x03,0x03,0x1F,0x03,0x03,0x03,0x3F,0x00,0x00,0x00, // Code for char num 201
   0x00,0x1C,0x36,0x00,0x3F,0x03,0x03,0x03,0x1F,0x03,0x03,0x03,0x3F,0x00,0x00,0x00, // Code for char num 202
   0x00,0x36,0x36,0x00,0x3F,0x03,0x03,0x03,0x1F,0x03,0x03,0x03,0x3F,0x00,0x00,0x00, // Code for char num 203
   0x00,0x03,0x06,0x00,0x0F,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0F,0x00,0x00,0x00, // Code for char num 204
   0x00,0x0C,0x06,0x00,0x0F,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0F,0x00,0x00,0x00, // Code for char num 205
   0x00,0x0E,0x1B,0x00,0x0F,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0F,0x00,0x00,0x00, // Code for char num 206
   0x00,0x19,0x19,0x00,0x0F,0x06,0x06,0x06,0x06,0x06,0x06,0x06,0x0F,0x00,0x00,0x00, // Code for char num 207
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0x00,0xC6,0x00,0x86,0x01,0x86,0x01,0x9F,0x01,0x86,0x01,0x86,0x01,0xC6,0x00,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 208
   0x00,0x4C,0x32,0x00,0x47,0x47,0x4D,0x4D,0x59,0x59,0x71,0x71,0x61,0x00,0x00,0x00, // Code for char num 209
   0x00,0x0C,0x18,0x00,0x7E,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0x7E,0x00,0x00,0x00, // Code for char num 210
   0x00,0x30,0x18,0x00,0x7E,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0x7E,0x00,0x00,0x00, // Code for char num 211
   0x00,0x38,0x6C,0x00,0x7E,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0x7E,0x00,0x00,0x00, // Code for char num 212
   0x00,0x4C,0x32,0x00,0x7E,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0x7E,0x00,0x00,0x00, // Code for char num 213
   0x00,0x66,0x66,0x00,0x7E,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0xC3,0x7E,0x00,0x00,0x00, // Code for char num 214
   0x00,0x00,0x00,0x00,0x00,0x00,0x88,0x50,0x20,0x50,0x88,0x00,0x00,0x00,0x00,0x00, // Code for char num 215
   0x00,0x00,0x00,0x80,0x7E,0xE3,0xD3,0xD3,0xCB,0xCB,0xCB,0xC7,0x7E,0x01,0x00,0x00, // Code for char num 216
   0x00,0x0C,0x18,0x00,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 217
   0x00,0x18,0x0C,0x00,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 218
   0x00,0x1C,0x36,0x00,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 219
   0x00,0x36,0x36,0x00,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 220
   0x00,0x30,0x18,0x00,0xC3,0xC3,0x66,0x66,0x3C,0x18,0x18,0x18,0x18,0x00,0x00,0x00, // Code for char num 221
   0x00,0x00,0x00,0x00,0x03,0x7F,0xC3,0xC3,0xC3,0xC3,0x7F,0x03,0x03,0x00,0x00,0x00, // Code for char num 222
   0x00,0x00,0x00,0x1E,0x33,0x33,0x33,0x3B,0x63,0x63,0x63,0x63,0x3B,0x00,0x00,0x00, // Code for char num 223
   0x00,0x00,0x00,0x0C,0x18,0x00,0x3C,0x62,0x60,0x7E,0x63,0x63,0x7E,0x00,0x00,0x00, // Code for char num 224
   0x00,0x00,0x00,0x30,0x18,0x00,0x3C,0x62,0x60,0x7E,0x63,0x63,0x7E,0x00,0x00,0x00, // Code for char num 225
   0x00,0x00,0x00,0x1C,0x36,0x00,0x3C,0x62,0x60,0x7E,0x63,0x63,0x7E,0x00,0x00,0x00, // Code for char num 226
   0x00,0x00,0x00,0x4C,0x32,0x00,0x3C,0x62,0x60,0x7E,0x63,0x63,0x7E,0x00,0x00,0x00, // Code for char num 227
   0x00,0x00,0x00,0x36,0x36,0x00,0x3C,0x62,0x60,0x7E,0x63,0x63,0x7E,0x00,0x00,0x00, // Code for char num 228
   0x00,0x00,0x18,0x24,0x24,0x18,0x3C,0x62,0x60,0x7E,0x63,0x63,0x7E,0x00,0x00,0x00, // Code for char num 229
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xDC,0x03,0x32,0x06,0x30,0x06,0xFE,0x07,0x33,0x00,0x33,0x04,0xCE,0x03,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 230
   0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x23,0x03,0x03,0x03,0x23,0x1E,0x10,0x10,0x0C, // Code for char num 231
   0x00,0x00,0x00,0x06,0x0C,0x00,0x3E,0x63,0x63,0x7F,0x03,0x43,0x3E,0x00,0x00,0x00, // Code for char num 232
   0x00,0x00,0x00,0x30,0x18,0x00,0x3E,0x63,0x63,0x7F,0x03,0x43,0x3E,0x00,0x00,0x00, // Code for char num 233
   0x00,0x00,0x00,0x1C,0x36,0x00,0x3E,0x63,0x63,0x7F,0x03,0x43,0x3E,0x00,0x00,0x00, // Code for char num 234
   0x00,0x00,0x00,0x36,0x36,0x00,0x3E,0x63,0x63,0x7F,0x03,0x43,0x3E,0x00,0x00,0x00, // Code for char num 235
   0x00,0x00,0x00,0x01,0x03,0x00,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 236
   0x00,0x00,0x00,0x06,0x03,0x00,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 237
   0x00,0x00,0x00,0x03,0x04,0x00,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 238
   0x00,0x00,0x00,0x0C,0x0C,0x00,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00, // Code for char num 239
   0x00,0x00,0x00,0x2C,0x18,0x34,0x60,0x7E,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 240
   0x00,0x00,0x00,0x4C,0x32,0x00,0x3B,0x67,0x63,0x63,0x63,0x63,0x63,0x00,0x00,0x00, // Code for char num 241
   0x00,0x00,0x00,0x06,0x0C,0x00,0x3E,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 242
   0x00,0x00,0x00,0x30,0x18,0x00,0x3E,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 243
   0x00,0x00,0x00,0x1C,0x36,0x00,0x3E,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 244
   0x00,0x00,0x00,0x4C,0x32,0x00,0x3E,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 245
   0x00,0x00,0x00,0x36,0x36,0x00,0x3E,0x63,0x63,0x63,0x63,0x63,0x3E,0x00,0x00,0x00, // Code for char num 246
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x30,0x00,0x00,0x00,0xFE,0x01,0x00,0x00,0x30,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 247
   0x00,0x00,0x00,0x00,0x00,0x40,0x3E,0x73,0x73,0x6B,0x67,0x67,0x3E,0x01,0x00,0x00, // Code for char num 248
   0x00,0x00,0x00,0x06,0x0C,0x00,0x63,0x63,0x63,0x63,0x63,0x73,0x6E,0x00,0x00,0x00, // Code for char num 249
   0x00,0x00,0x00,0x30,0x18,0x00,0x63,0x63,0x63,0x63,0x63,0x73,0x6E,0x00,0x00,0x00, // Code for char num 250
   0x00,0x00,0x00,0x1C,0x36,0x00,0x63,0x63,0x63,0x63,0x63,0x73,0x6E,0x00,0x00,0x00, // Code for char num 251
   0x00,0x00,0x00,0x36,0x36,0x00,0x63,0x63,0x63,0x63,0x63,0x73,0x6E,0x00,0x00,0x00, // Code for char num 252
   0x00,0x00,0x00,0x30,0x18,0x00,0x63,0x63,0x63,0x36,0x36,0x1C,0x1C,0x18,0x0C,0x0C, // Code for char num 253
   0x00,0x00,0x00,0x03,0x03,0x03,0x3B,0x67,0x63,0x63,0x63,0x63,0x3F,0x03,0x03,0x03, // Code for char num 254
   0x00,0x00,0x00,0x36,0x36,0x00,0x63,0x63,0x63,0x36,0x36,0x1C,0x1C,0x18,0x0C,0x0C  // Code for char num 255
};

const code char Tahoma52x52_Bold[] = {
   0x00,
   0x00,
   0x00,0x00,
   0xFF,0x00,
   0x34,
   0x38,
   0x01,0x08,0x04,0x00,
   0x01,0x3C,0x04,0x00,
   0x0D,0x70,0x04,0x00,
   0x17,0xD8,0x04,0x00,
   0x0D,0x74,0x05,0x00,
   0x0D,0xDC,0x05,0x00,
   0x16,0x44,0x06,0x00,
   0x14,0xE0,0x06,0x00,
   0x16,0x7C,0x07,0x00,
   0x01,0x18,0x08,0x00,
   0x01,0x4C,0x08,0x00,
   0x16,0x80,0x08,0x00,
   0x17,0x1C,0x09,0x00,
   0x01,0xB8,0x09,0x00,
   0x16,0xEC,0x09,0x00,
   0x16,0x88,0x0A,0x00,
   0x17,0x24,0x0B,0x00,
   0x16,0xC0,0x0B,0x00,
   0x12,0x5C,0x0C,0x00,
   0x11,0xF8,0x0C,0x00,
   0x16,0x94,0x0D,0x00,
   0x17,0x30,0x0E,0x00,
   0x17,0xCC,0x0E,0x00,
   0x0D,0x68,0x0F,0x00,
   0x12,0xD0,0x0F,0x00,
   0x17,0x6C,0x10,0x00,
   0x16,0x08,0x11,0x00,
   0x16,0xA4,0x11,0x00,
   0x01,0x40,0x12,0x00,
   0x01,0x74,0x12,0x00,
   0x01,0xA8,0x12,0x00,
   0x01,0xDC,0x12,0x00,
   0x03,0x10,0x13,0x00,
   0x0B,0x44,0x13,0x00,
   0x13,0xAC,0x13,0x00,
   0x20,0x48,0x14,0x00,
   0x19,0x18,0x15,0x00,
   0x32,0xE8,0x15,0x00,
   0x23,0x54,0x17,0x00,
   0x0A,0x58,0x18,0x00,
   0x12,0xC0,0x18,0x00,
   0x12,0x5C,0x19,0x00,
   0x17,0xF8,0x19,0x00,
   0x20,0x94,0x1A,0x00,
   0x0C,0x64,0x1B,0x00,
   0x10,0xCC,0x1B,0x00,
   0x0A,0x34,0x1C,0x00,
   0x14,0x9C,0x1C,0x00,
   0x19,0x38,0x1D,0x00,
   0x19,0x08,0x1E,0x00,
   0x19,0xD8,0x1E,0x00,
   0x19,0xA8,0x1F,0x00,
   0x1A,0x78,0x20,0x00,
   0x19,0x48,0x21,0x00,
   0x1A,0x18,0x22,0x00,
   0x19,0xE8,0x22,0x00,
   0x1A,0xB8,0x23,0x00,
   0x19,0x88,0x24,0x00,
   0x0B,0x58,0x25,0x00,
   0x0D,0xC0,0x25,0x00,
   0x1F,0x28,0x26,0x00,
   0x1F,0xF8,0x26,0x00,
   0x1F,0xC8,0x27,0x00,
   0x16,0x98,0x28,0x00,
   0x25,0x34,0x29,0x00,
   0x1D,0x38,0x2A,0x00,
   0x1D,0x08,0x2B,0x00,
   0x1C,0xD8,0x2B,0x00,
   0x20,0xA8,0x2C,0x00,
   0x18,0x78,0x2D,0x00,
   0x18,0x14,0x2E,0x00,
   0x1D,0xB0,0x2E,0x00,
   0x1E,0x80,0x2F,0x00,
   0x14,0x50,0x30,0x00,
   0x13,0xEC,0x30,0x00,
   0x1F,0x88,0x31,0x00,
   0x19,0x58,0x32,0x00,
   0x23,0x28,0x33,0x00,
   0x1E,0x2C,0x34,0x00,
   0x20,0xFC,0x34,0x00,
   0x1B,0xCC,0x35,0x00,
   0x20,0x9C,0x36,0x00,
   0x20,0x6C,0x37,0x00,
   0x1A,0x3C,0x38,0x00,
   0x1A,0x0C,0x39,0x00,
   0x1D,0xDC,0x39,0x00,
   0x1D,0xAC,0x3A,0x00,
   0x2B,0x7C,0x3B,0x00,
   0x1D,0xB4,0x3C,0x00,
   0x1E,0x84,0x3D,0x00,
   0x1A,0x54,0x3E,0x00,
   0x10,0x24,0x3F,0x00,
   0x16,0x8C,0x3F,0x00,
   0x10,0x28,0x40,0x00,
   0x20,0x90,0x40,0x00,
   0x1B,0x60,0x41,0x00,
   0x11,0x30,0x42,0x00,
   0x17,0xCC,0x42,0x00,
   0x1A,0x68,0x43,0x00,
   0x16,0x38,0x44,0x00,
   0x18,0xD4,0x44,0x00,
   0x19,0x70,0x45,0x00,
   0x12,0x40,0x46,0x00,
   0x18,0xDC,0x46,0x00,
   0x19,0x78,0x47,0x00,
   0x0A,0x48,0x48,0x00,
   0x0D,0xB0,0x48,0x00,
   0x1B,0x18,0x49,0x00,
   0x0A,0xE8,0x49,0x00,
   0x26,0x50,0x4A,0x00,
   0x19,0x54,0x4B,0x00,
   0x1A,0x24,0x4C,0x00,
   0x1A,0xF4,0x4C,0x00,
   0x18,0xC4,0x4D,0x00,
   0x13,0x60,0x4E,0x00,
   0x15,0xFC,0x4E,0x00,
   0x12,0x98,0x4F,0x00,
   0x19,0x34,0x50,0x00,
   0x19,0x04,0x51,0x00,
   0x26,0xD4,0x51,0x00,
   0x1A,0xD8,0x52,0x00,
   0x19,0xA8,0x53,0x00,
   0x16,0x78,0x54,0x00,
   0x18,0x14,0x55,0x00,
   0x11,0xB0,0x55,0x00,
   0x1A,0x4C,0x56,0x00,
   0x20,0x1C,0x57,0x00,
   0x0D,0xEC,0x57,0x00,
   0x01,0x54,0x58,0x00,
   0x01,0x88,0x58,0x00,
   0x01,0xBC,0x58,0x00,
   0x01,0xF0,0x58,0x00,
   0x01,0x24,0x59,0x00,
   0x01,0x58,0x59,0x00,
   0x01,0x8C,0x59,0x00,
   0x01,0xC0,0x59,0x00,
   0x01,0xF4,0x59,0x00,
   0x01,0x28,0x5A,0x00,
   0x01,0x5C,0x5A,0x00,
   0x01,0x90,0x5A,0x00,
   0x01,0xC4,0x5A,0x00,
   0x01,0xF8,0x5A,0x00,
   0x01,0x2C,0x5B,0x00,
   0x01,0x60,0x5B,0x00,
   0x01,0x94,0x5B,0x00,
   0x01,0xC8,0x5B,0x00,
   0x01,0xFC,0x5B,0x00,
   0x01,0x30,0x5C,0x00,
   0x01,0x64,0x5C,0x00,
   0x01,0x98,0x5C,0x00,
   0x01,0xCC,0x5C,0x00,
   0x01,0x00,0x5D,0x00,
   0x01,0x34,0x5D,0x00,
   0x01,0x68,0x5D,0x00,
   0x01,0x9C,0x5D,0x00,
   0x01,0xD0,0x5D,0x00,
   0x01,0x04,0x5E,0x00,
   0x01,0x38,0x5E,0x00,
   0x01,0x6C,0x5E,0x00,
   0x01,0xA0,0x5E,0x00,
   0x01,0xD4,0x5E,0x00,
   0x0B,0x08,0x5F,0x00,
   0x18,0x70,0x5F,0x00,
   0x19,0x0C,0x60,0x00,
   0x19,0xDC,0x60,0x00,
   0x1B,0xAC,0x61,0x00,
   0x11,0x7C,0x62,0x00,
   0x19,0x18,0x63,0x00,
   0x14,0xE8,0x63,0x00,
   0x26,0x84,0x64,0x00,
   0x14,0x88,0x65,0x00,
   0x1B,0x24,0x66,0x00,
   0x1F,0xF4,0x66,0x00,
   0x10,0xC4,0x67,0x00,
   0x26,0x2C,0x68,0x00,
   0x1B,0x30,0x69,0x00,
   0x14,0x00,0x6A,0x00,
   0x20,0x9C,0x6A,0x00,
   0x14,0x6C,0x6B,0x00,
   0x14,0x08,0x6C,0x00,
   0x12,0xA4,0x6C,0x00,
   0x19,0x40,0x6D,0x00,
   0x18,0x10,0x6E,0x00,
   0x0B,0xAC,0x6E,0x00,
   0x12,0x14,0x6F,0x00,
   0x13,0xB0,0x6F,0x00,
   0x15,0x4C,0x70,0x00,
   0x1C,0xE8,0x70,0x00,
   0x2D,0xB8,0x71,0x00,
   0x2E,0xF0,0x72,0x00,
   0x2F,0x28,0x74,0x00,
   0x16,0x60,0x75,0x00,
   0x1D,0xFC,0x75,0x00,
   0x1D,0xCC,0x76,0x00,
   0x1D,0x9C,0x77,0x00,
   0x1D,0x6C,0x78,0x00,
   0x1D,0x3C,0x79,0x00,
   0x1D,0x0C,0x7A,0x00,
   0x29,0xDC,0x7A,0x00,
   0x1C,0x14,0x7C,0x00,
   0x18,0xE4,0x7C,0x00,
   0x18,0x80,0x7D,0x00,
   0x18,0x1C,0x7E,0x00,
   0x18,0xB8,0x7E,0x00,
   0x14,0x54,0x7F,0x00,
   0x14,0xF0,0x7F,0x00,
   0x14,0x8C,0x80,0x00,
   0x14,0x28,0x81,0x00,
   0x20,0xC4,0x81,0x00,
   0x1E,0x94,0x82,0x00,
   0x20,0x64,0x83,0x00,
   0x20,0x34,0x84,0x00,
   0x20,0x04,0x85,0x00,
   0x20,0xD4,0x85,0x00,
   0x20,0xA4,0x86,0x00,
   0x1E,0x74,0x87,0x00,
   0x20,0x44,0x88,0x00,
   0x1D,0x14,0x89,0x00,
   0x1D,0xE4,0x89,0x00,
   0x1D,0xB4,0x8A,0x00,
   0x1D,0x84,0x8B,0x00,
   0x1E,0x54,0x8C,0x00,
   0x1B,0x24,0x8D,0x00,
   0x1B,0xF4,0x8D,0x00,
   0x17,0xC4,0x8E,0x00,
   0x17,0x60,0x8F,0x00,
   0x17,0xFC,0x8F,0x00,
   0x17,0x98,0x90,0x00,
   0x17,0x34,0x91,0x00,
   0x17,0xD0,0x91,0x00,
   0x27,0x6C,0x92,0x00,
   0x16,0x70,0x93,0x00,
   0x19,0x0C,0x94,0x00,
   0x19,0xDC,0x94,0x00,
   0x19,0xAC,0x95,0x00,
   0x19,0x7C,0x96,0x00,
   0x0A,0x4C,0x97,0x00,
   0x0D,0xB4,0x97,0x00,
   0x0E,0x1C,0x98,0x00,
   0x0E,0x84,0x98,0x00,
   0x1A,0xEC,0x98,0x00,
   0x19,0xBC,0x99,0x00,
   0x1A,0x8C,0x9A,0x00,
   0x1A,0x5C,0x9B,0x00,
   0x1A,0x2C,0x9C,0x00,
   0x1A,0xFC,0x9C,0x00,
   0x1A,0xCC,0x9D,0x00,
   0x1E,0x9C,0x9E,0x00,
   0x1A,0x6C,0x9F,0x00,
   0x19,0x3C,0xA0,0x00,
   0x19,0x0C,0xA1,0x00,
   0x19,0xDC,0xA1,0x00,
   0x19,0xAC,0xA2,0x00,
   0x19,0x7C,0xA3,0x00,
   0x1A,0x4C,0xA4,0x00,
   0x19,0x1C,0xA5,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 0
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 1
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x1F,0xFF,0x1F,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 2
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0xFC,0x7F,0x00,0xFC,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 3
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0xFF,0x1F,0xFF,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 4
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 5
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 6
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x7F,0x00,0xE0,0xFF,0x01,0xF0,0xFF,0x03,0xF8,0xFF,0x07,0xF8,0xFF,0x07,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xF8,0xFF,0x07,0xF0,0xFF,0x03,0xF0,0xFF,0x03,0xE0,0xFF,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 7
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xC0,0x3F,0x3E,0x00,0x3F,0x1E,0x00,0x3E,0x0E,0x00,0x3C,0x0E,0x00,0x3C,0x06,0x00,0x38,0x06,0x00,0x38,0x06,0x00,0x38,0x06,0x00,0x38,0x06,0x00,0x38,0x06,0x00,0x38,0x06,0x00,0x38,0x0E,0x00,0x3C,0x1E,0x00,0x3E,0x1E,0x00,0x3E,0x3E,0x80,0x3F,0xFE,0xE0,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 8
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 9
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 10
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x1F,0x00,0xC0,0x1F,0x00,0xF8,0x3F,0x00,0x00,0x3E,0x00,0x00,0x3F,0x00,0x80,0x3B,0x00,0x80,0x39,0x00,0xC0,0x31,0x00,0xE0,0x30,0x00,0x60,0x00,0x00,0x70,0x00,0x00,0x38,0x00,0x00,0x18,0x00,0xF0,0x1F,0x00,0x18,0x0E,0x00,0x0C,0x0C,0x00,0x06,0x18,0x00,0x06,0x18,0x00,0x03,0x30,0x00,0x03,0x30,0x00,0x03,0x30,0x00,0x03,0x30,0x00,0x03,0x30,0x00,0x03,0x30,0x00,0x06,0x18,0x00,0x06,0x18,0x00,0x0C,0x0C,0x00,0x18,0x06,0x00,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 11
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0xC0,0xE1,0x00,0xE0,0xC0,0x01,0x70,0x80,0x03,0x78,0x80,0x03,0x38,0x00,0x07,0x38,0x00,0x07,0x38,0x00,0x07,0x38,0x00,0x07,0x38,0x00,0x07,0x70,0x80,0x07,0x70,0x80,0x03,0xE0,0xC0,0x01,0xC0,0xE1,0x01,0x00,0x7F,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0xFE,0xFF,0x7F,0xFE,0xFF,0x7F,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 12
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 13
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x00,0x00,0x3F,0x00,0xF0,0x3F,0x00,0xFE,0x3F,0xC0,0xFF,0x3F,0xC0,0xFF,0x3F,0xC0,0xFF,0x38,0xC0,0x1F,0x3C,0xC0,0x83,0x3F,0xC0,0xF1,0x3F,0xC0,0xFF,0x3F,0xC0,0xFF,0x3F,0xC0,0xFF,0x38,0xC0,0x1F,0x38,0xC0,0x03,0x38,0xC0,0x01,0x38,0xC0,0x01,0x38,0xC0,0x01,0x38,0xC0,0x01,0x38,0xC0,0x01,0x38,0xC0,0x01,0x38,0xC0,0x01,0x38,0xC0,0x01,0x3E,0xC0,0x01,0x3F,0xC0,0x81,0x3F,0xC0,0xC1,0x1F,0xC0,0xC1,0x1F,0xF0,0xC1,0x0F,0xF8,0xC1,0x07,0xFC,0xC0,0x07,0xFE,0x00,0x00,0x7E,0x00,0x00,0x7F,0x00,0x00,0x3F,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 14
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x0E,0x1C,0x18,0x1C,0x1C,0x1C,0x3C,0x3F,0x0E,0xF8,0xFF,0x07,0xF0,0xF1,0x03,0xE0,0xC0,0x01,0xF0,0xC0,0x03,0x70,0x80,0x03,0x70,0x80,0x03,0x70,0x80,0x07,0x38,0x00,0x07,0x38,0x00,0x07,0x38,0x00,0x07,0x38,0x00,0x07,0x3F,0x00,0x3F,0x3F,0x00,0x3F,0x38,0x00,0x07,0x38,0x00,0x07,0x38,0x00,0x07,0x78,0x80,0x07,0x70,0x80,0x07,0x70,0x80,0x03,0xF0,0xC0,0x03,0xE0,0xE0,0x01,0xF0,0xF3,0x03,0xB8,0xFF,0x07,0x1C,0x3F,0x0E,0x1C,0x1C,0x1E,0x0E,0x1C,0x1C,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 15
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0xFF,0xFF,0x7F,0xFF,0xFF,0x7F,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 16
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x38,0x00,0x00,0x3E,0x00,0x00,0x3F,0x00,0x80,0x3F,0x00,0xC0,0x3F,0x00,0xF0,0x3F,0x00,0xF8,0x3F,0x00,0xFC,0x3F,0x00,0xFE,0x3F,0x80,0xFF,0x3F,0xC0,0xFF,0x3F,0xE0,0xFF,0x3F,0xF0,0xFF,0x3F,0xFC,0xFF,0x3F,0xFE,0xFF,0x3F,0xFF,0xFF,0x3F,0xFE,0xFF,0x3F,0xF8,0xFF,0x3F,0xF0,0xFF,0x3F,0xE0,0xFF,0x3F,0xC0,0xFF,0x3F,0x00,0xFF,0x3F,0x00,0xFE,0x3F,0x00,0xFC,0x3F,0x00,0xF8,0x3F,0x00,0xE0,0x3F,0x00,0xC0,0x3F,0x00,0x80,0x3F,0x00,0x00,0x3F,0x00,0x00,0x3C,0x00,0x00,0x38,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 17
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x3E,0x00,0x00,0x7F,0x00,0x80,0x7F,0x00,0x80,0xFF,0x00,0xC0,0x9C,0x01,0x60,0x1C,0x03,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x60,0x9C,0x03,0xC0,0xFF,0x01,0x80,0xFF,0x00,0x00,0x7F,0x00,0x00,0x3E,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 18
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0x80,0xC1,0x00,0x80,0xC1,0x00,0x80,0xC1,0x00,0x80,0xC1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0xC0,0xE3,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 19
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0x3F,0xE0,0xFF,0x3F,0xF0,0x3C,0x3C,0x78,0x3C,0x3C,0x3C,0x3C,0x3C,0x3C,0x3C,0x3C,0x1E,0x3C,0x3C,0x1E,0x3C,0x3C,0x1E,0x3C,0x3C,0x1E,0x3C,0x3C,0x1E,0x3C,0x3C,0x3E,0x3C,0x3C,0x3C,0x3C,0x3C,0x78,0x3C,0x3C,0xF8,0x3C,0x3C,0xE0,0x3F,0x3C,0x80,0x3F,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x3C,0x3C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 20
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0xFF,0xFF,0x7F,0xFF,0xFF,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 21
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x7F,0xFF,0xFF,0x7F,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 22
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0xFF,0x1F,0xFF,0x1F,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 23
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x7F,0x00,0x80,0xFF,0x00,0x80,0xFF,0x00,0xC0,0xDD,0x01,0x60,0x9C,0x03,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 24
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0xFC,0x7F,0x00,0xFC,0x7F,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 25
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0xC0,0x00,0x00,0xC0,0x01,0x00,0x80,0x07,0x00,0x00,0x0F,0xFF,0xFF,0x1F,0xFF,0xFF,0x3F,0x00,0x00,0x0F,0x00,0x80,0x07,0x00,0xC0,0x01,0x00,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 26
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x01,0x00,0xE0,0x00,0x00,0x70,0x00,0x00,0x3C,0x00,0x00,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0x7C,0x00,0x00,0x78,0x00,0x00,0xE0,0x00,0x00,0xC0,0x01,0x00,0x80,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 27
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 28
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 29
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 30
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 31
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 32
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 33
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xF3,0x07,0xF8,0xF3,0x07,0xF8,0xF3,0x07,0xF8,0xF3,0x07,0xF8,0xF3,0x07,0xF0,0xE1,0x03,0xF0,0xE1,0x03,0xF0,0xE1,0x03,0xF0,0xE1,0x03,0xF0,0xE1,0x03,0xF0,0xE1,0x03,0xF0,0xE1,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 34
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x07,0x1F,0x00,0xC0,0x87,0x1F,0x00,0xE0,0x87,0x0F,0x00,0xE0,0x83,0x0F,0x00,0xE0,0x83,0x0F,0x00,0xE0,0xC3,0x0F,0x00,0xF0,0xC3,0x07,0xE0,0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xFF,0x00,0xF8,0xE0,0x03,0x00,0xF8,0xF0,0x03,0x00,0x7C,0xF0,0x01,0x00,0x7C,0xF0,0x01,0x00,0x7C,0xF0,0x01,0x00,0x7E,0xF8,0x00,0x00,0x3E,0xF8,0x00,0xFC,0xFF,0xFF,0x3F,0xFC,0xFF,0xFF,0x3F,0xFC,0xFF,0xFF,0x3F,0xFC,0xFF,0xFF,0x3F,0xFC,0xFF,0xFF,0x3F,0x00,0x1F,0x7C,0x00,0x80,0x1F,0x3E,0x00,0x80,0x0F,0x3E,0x00,0x80,0x0F,0x3E,0x00,0x80,0x0F,0x3E,0x00,0xC0,0x0F,0x1F,0x00,0xC0,0x07,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 35
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0xFE,0x07,0x00,0xC0,0xFF,0x7F,0x00,0xE0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0x7F,0x00,0xFC,0x73,0x7C,0x00,0xFC,0x71,0x70,0x00,0xFC,0x71,0x40,0x00,0xFC,0x71,0x00,0x00,0xFC,0x73,0x00,0x00,0xFC,0x7F,0x00,0x00,0xF8,0xFF,0x03,0x00,0xF8,0xFF,0x1F,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xF8,0xFF,0x01,0x00,0x70,0xFF,0x01,0x00,0x70,0xFC,0x01,0x00,0x70,0xFC,0x01,0x08,0x70,0xFC,0x01,0x38,0x70,0xFC,0x01,0xF8,0x71,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF0,0xFF,0x0F,0x00,0x80,0xFF,0x03,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 36
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0xE0,0xFF,0x01,0x80,0x1F,0x00,0x00,0xF0,0xFF,0x03,0x80,0x0F,0x00,0x00,0xF0,0xFF,0x07,0xC0,0x0F,0x00,0x00,0xF8,0xFF,0x07,0xC0,0x07,0x00,0x00,0xF8,0xE1,0x07,0xE0,0x07,0x00,0x00,0xFC,0xC0,0x0F,0xE0,0x03,0x00,0x00,0xFC,0xC0,0x0F,0xF0,0x03,0x00,0x00,0xFC,0xC0,0x0F,0xF8,0x01,0x00,0x00,0xFC,0xC0,0x0F,0xF8,0x00,0x00,0x00,0xFC,0xC0,0x0F,0xFC,0x00,0x00,0x00,0xFC,0xC0,0x0F,0x7C,0x00,0x00,0x00,0xFC,0xC0,0x0F,0x7E,0x00,0x00,0x00,0xFC,0xC0,0x0F,0x3E,0xC0,0x1F,0x00,0xF8,0xE1,0x07,0x3F,0xF8,0x7F,0x00,0xF8,0xFF,0x07,0x1F,0xFC,0xFF,0x00,0xF8,0xFF,0x83,0x1F,0xFC,0xFF,0x01,0xF0,0xFF,0x83,0x0F,0xFE,0xFF,0x01,0xE0,0xFF,0xC1,0x0F,0x7E,0xF8,0x01,0x80,0x7F,0xC0,0x07,0x3F,0xF0,0x03,0x00,0x00,0xE0,0x07,0x3F,0xF0,0x03,0x00,0x00,0xE0,0x03,0x3F,0xF0,0x03,0x00,0x00,0xF0,0x03,0x3F,0xF0,0x03,0x00,0x00,0xF0,0x01,0x3F,0xF0,0x03,0x00,0x00,0xF8,0x01,0x3F,0xF0,0x03,0x00,0x00,0xFC,0x00,0x3F,0xF0,0x03,0x00,0x00,0x7C,0x00,0x3F,0xF0,0x03,0x00,0x00,0x7E,0x00,0x7E,0xF8,0x01,0x00,0x00,0x3E,0x00,0xFE,0xFF,0x01,0x00,0x00,0x3F,0x00,0xFE,0xFF,0x00,0x00,0x00,0x1F,0x00,0xFC,0xFF,0x00,0x00,0x80,0x1F,0x00,0xF8,0x7F,0x00,0x00,0x00,0x00,0x00,0xE0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 37
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0x00,0x00,0x80,0xFF,0x1F,0x00,0x00,0xE0,0xFF,0x3F,0x00,0x00,0xF0,0xFF,0x7F,0x00,0x00,0xF0,0xFF,0xFF,0x00,0x00,0xF8,0x8F,0xFF,0x00,0x00,0xF8,0x07,0xFF,0x00,0x00,0xF8,0x07,0xFF,0x00,0x00,0xF8,0x07,0xFF,0x00,0x00,0xF8,0x0F,0xFF,0x00,0x00,0xF0,0x8F,0x7F,0x00,0x00,0xF0,0x9F,0x3F,0x00,0x00,0xE0,0xFF,0x1F,0x00,0x00,0xC0,0xFF,0x0F,0x00,0x00,0x80,0xFF,0x83,0x3F,0x00,0xC0,0xFF,0x83,0x3F,0x00,0xF0,0xFF,0x87,0x3F,0x00,0xF0,0xFF,0x8F,0x3F,0x00,0xF8,0xFF,0x9F,0x3F,0x00,0xF8,0xE3,0xBF,0x3F,0x00,0xFC,0xC3,0xFF,0x1F,0x00,0xFC,0x83,0xFF,0x1F,0x00,0xFC,0x03,0xFF,0x1F,0x00,0xFC,0x03,0xFE,0x0F,0x00,0xFC,0x03,0xFC,0x0F,0x00,0xFC,0x07,0xF8,0x0F,0x00,0xF8,0x0F,0xF8,0x3F,0x00,0xF8,0x1F,0xFE,0x7F,0x00,0xF0,0xFF,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,0xFF,0x01,0xE0,0xFF,0x1F,0xFF,0x03,0x80,0xFF,0x0F,0xFE,0x07,0x00,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 38
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF0,0x01,0xF0,0x01,0xF0,0x01,0xF0,0x01,0xF0,0x01,0xF0,0x01,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 39
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x00,0xFE,0x01,0x00,0xFF,0x00,0x80,0x7F,0x00,0x80,0x3F,0x00,0xC0,0x3F,0x00,0xE0,0x1F,0x00,0xE0,0x1F,0x00,0xE0,0x0F,0x00,0xF0,0x0F,0x00,0xF0,0x07,0x00,0xF8,0x07,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xFC,0x03,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x07,0x00,0xF0,0x07,0x00,0xF0,0x0F,0x00,0xE0,0x0F,0x00,0xE0,0x1F,0x00,0xC0,0x1F,0x00,0xC0,0x3F,0x00,0x80,0x3F,0x00,0x80,0x7F,0x00,0x00,0xFF,0x00,0x00,0xFE,0x01,0x00,0xFC,0x03, // Code for char num 40
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x00,0xF8,0x07,0x00,0xF0,0x0F,0x00,0xE0,0x1F,0x00,0xC0,0x1F,0x00,0xC0,0x3F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0xFF,0x00,0x00,0xFE,0x00,0x00,0xFE,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xFC,0x03,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFE,0x01,0x00,0xFE,0x00,0x00,0xFF,0x00,0x00,0x7F,0x00,0x80,0x7F,0x00,0x80,0x3F,0x00,0xC0,0x3F,0x00,0xC0,0x1F,0x00,0xE0,0x1F,0x00,0xF0,0x0F,0x00,0xF8,0x07,0x00,0xFC,0x03,0x00, // Code for char num 41
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x00,0x00,0x78,0x00,0x00,0x78,0x00,0x20,0x78,0x10,0x70,0x78,0x38,0xF8,0x79,0x7E,0xF8,0x7B,0x7F,0xE0,0xFF,0x1F,0x80,0xFF,0x07,0x00,0xFF,0x03,0x00,0xFC,0x00,0x00,0xFF,0x03,0x80,0xFF,0x07,0xE0,0xFF,0x1F,0xF8,0x7B,0x7F,0xF8,0x79,0x7C,0x70,0x78,0x38,0x20,0x78,0x10,0x00,0x78,0x00,0x00,0x78,0x00,0x00,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 42
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 43
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x0F,0xF0,0x07,0xF0,0x07,0xF8,0x03,0xF8,0x03,0xF8,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x00,0xFC,0x00,0x7E,0x00,0x7E,0x00,0x3E,0x00,0x3E,0x00,0x1F,0x00,0x1F,0x00,0x00,0x00, // Code for char num 44
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0xFC,0xFF,0xFC,0xFF,0xFC,0xFF,0xFC,0xFF,0xFC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 45
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 46
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x00,0xE0,0x0F,0x00,0xE0,0x07,0x00,0xE0,0x07,0x00,0xF0,0x07,0x00,0xF0,0x03,0x00,0xF0,0x03,0x00,0xF0,0x03,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xFC,0x01,0x00,0xFC,0x00,0x00,0xFC,0x00,0x00,0xFC,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7F,0x00,0x00,0x3F,0x00,0x00,0x3F,0x00,0x80,0x3F,0x00,0x80,0x1F,0x00,0x80,0x1F,0x00,0x80,0x1F,0x00,0xC0,0x0F,0x00,0xC0,0x0F,0x00,0xC0,0x0F,0x00,0xE0,0x0F,0x00,0xE0,0x07,0x00,0xE0,0x07,0x00,0xE0,0x07,0x00,0xF0,0x03,0x00,0xF0,0x03,0x00,0xF0,0x03,0x00,0xF8,0x03,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xFC,0x01,0x00,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 47
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x01,0x00,0x80,0xFF,0x0F,0x00,0xC0,0xFF,0x1F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0x8F,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xF8,0x07,0xFE,0x00,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xF8,0x07,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xF8,0x8F,0xFF,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0xC0,0xFF,0x1F,0x00,0x80,0xFF,0x0F,0x00,0x00,0xFC,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 48
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xFE,0x07,0x00,0xF0,0xFF,0x07,0x00,0xF0,0xFF,0x07,0x00,0xF0,0xFF,0x07,0x00,0xF0,0xFF,0x07,0x00,0xF0,0xFF,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 49
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0x00,0xE0,0xFF,0x0F,0x00,0xF0,0xFF,0x1F,0x00,0xF0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xC1,0xFF,0x00,0x70,0x80,0xFF,0x00,0x10,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x80,0x7F,0x00,0x00,0x80,0x7F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xE0,0x1F,0x00,0x00,0xF0,0x0F,0x00,0x00,0xF8,0x0F,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x03,0x00,0x00,0xFF,0x01,0x00,0x80,0x7F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xE0,0x1F,0x00,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 50
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03,0x00,0xF0,0xFF,0x0F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xC0,0xFF,0x00,0x38,0x80,0xFF,0x00,0x08,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x80,0x7F,0x00,0x00,0xC0,0x7F,0x00,0x00,0xFE,0x3F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x07,0x00,0x00,0xFE,0x3F,0x00,0x00,0xFE,0x7F,0x00,0x00,0x80,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x0C,0x00,0xFE,0x01,0x1C,0x00,0xFF,0x01,0xFC,0xC0,0xFF,0x00,0xFC,0xFF,0xFF,0x00,0xFC,0xFF,0x7F,0x00,0xFC,0xFF,0x3F,0x00,0xFC,0xFF,0x1F,0x00,0xF8,0xFF,0x0F,0x00,0x80,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 51
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x3F,0x00,0x00,0xE0,0x3F,0x00,0x00,0xF0,0x3F,0x00,0x00,0xF8,0x3F,0x00,0x00,0xF8,0x3F,0x00,0x00,0xFC,0x3F,0x00,0x00,0xFE,0x3F,0x00,0x00,0xFF,0x3F,0x00,0x00,0xFF,0x3F,0x00,0x80,0xDF,0x3F,0x00,0xC0,0xCF,0x3F,0x00,0xC0,0xC7,0x3F,0x00,0xE0,0xC7,0x3F,0x00,0xF0,0xC3,0x3F,0x00,0xF8,0xC1,0x3F,0x00,0xF8,0xC1,0x3F,0x00,0xFC,0xC0,0x3F,0x00,0x7E,0xC0,0x3F,0x00,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 52
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0x07,0x00,0x00,0xF0,0x07,0x00,0x00,0xF0,0x07,0x00,0x00,0xF0,0x07,0x00,0x00,0xF0,0x07,0x00,0x00,0xF0,0xFF,0x03,0x00,0xF0,0xFF,0x1F,0x00,0xF0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,0x00,0x30,0xC0,0xFF,0x01,0x00,0x00,0xFF,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x08,0x00,0xFE,0x01,0x38,0x00,0xFF,0x00,0xF8,0xC0,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0x1F,0x00,0xF0,0xFF,0x0F,0x00,0x00,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 53
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x7F,0x00,0x00,0xFC,0x7F,0x00,0x00,0xFE,0x7F,0x00,0x80,0xFF,0x7F,0x00,0xC0,0xFF,0x7F,0x00,0xE0,0xFF,0x7F,0x00,0xE0,0x7F,0x60,0x00,0xF0,0x1F,0x00,0x00,0xF0,0x0F,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0xE3,0x0F,0x00,0xFC,0xFB,0x3F,0x00,0xFC,0xFF,0x7F,0x00,0xFC,0xFF,0xFF,0x00,0xFC,0xFF,0xFF,0x01,0xFC,0x07,0xFF,0x01,0xFC,0x03,0xFE,0x03,0xFC,0x03,0xFE,0x03,0xFC,0x03,0xFC,0x03,0xFC,0x03,0xFC,0x03,0xFC,0x03,0xFC,0x03,0xFC,0x03,0xFC,0x03,0xF8,0x03,0xFC,0x03,0xF8,0x07,0xFC,0x03,0xF8,0x07,0xFE,0x01,0xF8,0x0F,0xFE,0x01,0xF0,0x1F,0xFF,0x01,0xE0,0xFF,0xFF,0x00,0xE0,0xFF,0x7F,0x00,0xC0,0xFF,0x3F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFC,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 54
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0x00,0x00,0xFF,0x01,0x00,0x80,0xFF,0x00,0x00,0x80,0xFF,0x00,0x00,0xC0,0x7F,0x00,0x00,0xC0,0x7F,0x00,0x00,0xE0,0x3F,0x00,0x00,0xE0,0x3F,0x00,0x00,0xF0,0x1F,0x00,0x00,0xF0,0x1F,0x00,0x00,0xF8,0x0F,0x00,0x00,0xF8,0x0F,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x03,0x00,0x00,0xFE,0x03,0x00,0x00,0xFF,0x01,0x00,0x80,0xFF,0x00,0x00,0x80,0xFF,0x00,0x00,0xC0,0x7F,0x00,0x00,0xC0,0x7F,0x00,0x00,0xE0,0x3F,0x00,0x00,0xE0,0x3F,0x00,0x00,0xF0,0x1F,0x00,0x00,0xF0,0x1F,0x00,0x00,0xF8,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 55
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0x00,0x80,0xFF,0x1F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0x8F,0xFF,0x01,0xFC,0x03,0xFF,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x07,0xFE,0x01,0xFC,0x0F,0xFE,0x00,0xF8,0x3F,0x7F,0x00,0xF0,0xFF,0x3F,0x00,0xF0,0xFF,0x1F,0x00,0xC0,0xFF,0x1F,0x00,0xC0,0xFF,0x3F,0x00,0xF0,0xFF,0xFF,0x00,0xF8,0xF7,0xFF,0x00,0xFC,0x83,0xFF,0x01,0xFC,0x01,0xFF,0x03,0xFE,0x01,0xFE,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x01,0xFC,0x03,0xFE,0x03,0xFC,0x03,0xFE,0x03,0xFE,0x01,0xFC,0x0F,0xFF,0x01,0xFC,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF0,0xFF,0x3F,0x00,0xC0,0xFF,0x1F,0x00,0x00,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 56
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0x00,0x80,0xFF,0x07,0x00,0xE0,0xFF,0x1F,0x00,0xF0,0xFF,0x3F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0x87,0x7F,0x00,0xFC,0x83,0xFF,0x00,0xFC,0x03,0xFF,0x00,0xFE,0x01,0xFF,0x00,0xFE,0x01,0xFE,0x01,0xFE,0x01,0xFE,0x01,0xFE,0x01,0xFE,0x01,0xFE,0x01,0xFE,0x01,0xFE,0x01,0xFE,0x01,0xFE,0x03,0xFE,0x01,0xFE,0x03,0xFE,0x01,0xFC,0x07,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFE,0x00,0x80,0x3F,0xFE,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x80,0x7F,0x00,0x00,0xC0,0x7F,0x00,0x30,0xF0,0x3F,0x00,0xF0,0xFF,0x3F,0x00,0xF0,0xFF,0x1F,0x00,0xF0,0xFF,0x0F,0x00,0xF0,0xFF,0x03,0x00,0xF0,0xFF,0x01,0x00,0xF0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 57
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 58
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x1F,0xE0,0x0F,0xE0,0x0F,0xF0,0x07,0xF0,0x07,0xF0,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x01,0xF8,0x01,0xFC,0x00,0xFC,0x00,0x7C,0x00,0x7C,0x00,0x3E,0x00,0x3E,0x00,0x00,0x00, // Code for char num 59
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x78,0x00,0x00,0x00,0x7E,0x00,0x00,0x80,0x7F,0x00,0x00,0xF0,0x7F,0x00,0x00,0xFC,0x7F,0x00,0x80,0xFF,0x7F,0x00,0xE0,0xFF,0x0F,0x00,0xFC,0xFF,0x03,0x00,0xFF,0xFF,0x00,0xC0,0xFF,0x1F,0x00,0xF0,0xFF,0x07,0x00,0xF0,0xFF,0x00,0x00,0xF0,0x3F,0x00,0x00,0xF0,0xFF,0x00,0x00,0xF0,0xFF,0x07,0x00,0xC0,0xFF,0x1F,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFC,0xFF,0x03,0x00,0xE0,0xFF,0x0F,0x00,0x80,0xFF,0x7F,0x00,0x00,0xFC,0x7F,0x00,0x00,0xF0,0x7F,0x00,0x00,0x80,0x7F,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x78,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 60
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0xFF,0xFF,0x7F,0xE0,0xFF,0xFF,0x7F,0xE0,0xFF,0xFF,0x7F,0xE0,0xFF,0xFF,0x7F,0xE0,0xFF,0xFF,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0xFF,0xFF,0x7F,0xE0,0xFF,0xFF,0x7F,0xE0,0xFF,0xFF,0x7F,0xE0,0xFF,0xFF,0x7F,0xE0,0xFF,0xFF,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 61
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0xF0,0x03,0x00,0x00,0xF0,0x0F,0x00,0x00,0xF0,0x7F,0x00,0x00,0xF0,0xFF,0x01,0x00,0xF0,0xFF,0x0F,0x00,0x80,0xFF,0x3F,0x00,0x00,0xFE,0xFF,0x01,0x00,0xF8,0xFF,0x07,0x00,0xC0,0xFF,0x1F,0x00,0x00,0xFF,0x7F,0x00,0x00,0xF8,0x7F,0x00,0x00,0xE0,0x7F,0x00,0x00,0xF8,0x7F,0x00,0x00,0xFF,0x7F,0x00,0xC0,0xFF,0x1F,0x00,0xF8,0xFF,0x07,0x00,0xFE,0xFF,0x01,0x80,0xFF,0x3F,0x00,0xF0,0xFF,0x0F,0x00,0xF0,0xFF,0x01,0x00,0xF0,0x7F,0x00,0x00,0xF0,0x0F,0x00,0x00,0xF0,0x03,0x00,0x00,0xF0,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 62
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x7F,0x00,0xF8,0xFF,0x03,0xFC,0xFF,0x07,0xFC,0xFF,0x0F,0xFC,0xFF,0x1F,0xFC,0xFF,0x3F,0x3C,0xF0,0x3F,0x0C,0xE0,0x3F,0x00,0xC0,0x3F,0x00,0xC0,0x3F,0x00,0xC0,0x3F,0x00,0xC0,0x1F,0x00,0xE0,0x1F,0x00,0xF0,0x1F,0x00,0xF8,0x0F,0x00,0xFE,0x07,0x80,0xFF,0x01,0x80,0xFF,0x00,0x80,0x3F,0x00,0x80,0x3F,0x00,0x80,0x3F,0x00,0x80,0x3F,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 63
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0x00,0x00,0x00,0xE0,0xFF,0x07,0x00,0x00,0xF8,0xFF,0x1F,0x00,0x00,0xFE,0xFF,0x3F,0x00,0x00,0xFF,0x00,0xFF,0x00,0x80,0x3F,0x00,0xFC,0x01,0xC0,0x0F,0x00,0xF8,0x01,0xE0,0x07,0x00,0xE0,0x03,0xE0,0x03,0xBF,0xEF,0x07,0xF0,0xC3,0xFF,0xCF,0x07,0xF0,0xE1,0xFF,0x8F,0x0F,0xF8,0xF0,0xFF,0x8F,0x0F,0xF8,0xF0,0xC1,0x8F,0x0F,0xF8,0xF8,0x80,0x0F,0x1F,0x7C,0xF8,0x80,0x0F,0x1F,0x7C,0x7C,0x80,0x0F,0x1F,0x7C,0x7C,0x80,0x0F,0x1F,0x7C,0x7C,0x80,0x0F,0x1F,0x7C,0x7C,0x80,0x0F,0x1F,0x7C,0x7C,0x80,0x0F,0x1F,0x7C,0x7C,0x80,0x0F,0x1F,0x7C,0x7C,0x80,0x0F,0x1F,0x7C,0xFC,0x80,0x8F,0x1F,0xF8,0xF8,0x80,0x8F,0x0F,0xF8,0xF8,0xE1,0x8F,0x0F,0xF8,0xF0,0xFF,0xFF,0x0F,0xF8,0xF1,0xFF,0xFF,0x07,0xF0,0xE1,0xFF,0xFF,0x07,0xF0,0x83,0x1F,0xFF,0x03,0xE0,0x07,0x00,0x00,0x00,0xC0,0x0F,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0xFF,0x00,0x06,0x00,0x00,0xFE,0xFF,0x07,0x00,0x00,0xFC,0xFF,0x07,0x00,0x00,0xF0,0xFF,0x07,0x00,0x00,0x80,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 64
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xF0,0x07,0xFE,0x01,0xF0,0x07,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xFC,0xFF,0xFF,0x07,0xFC,0xFF,0xFF,0x07,0xFC,0x01,0xF8,0x07,0xFE,0x01,0xF8,0x0F,0xFE,0x00,0xF0,0x0F,0xFE,0x00,0xF0,0x0F,0xFF,0x00,0xF0,0x1F,0xFF,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 65
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0x1F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x07,0xF8,0xFF,0xFF,0x07,0xF8,0x07,0xFC,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x03,0xF8,0x07,0xFE,0x01,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x07,0xF8,0x07,0xF8,0x0F,0xF8,0x07,0xF0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xF0,0x1F,0xF8,0x07,0xFC,0x0F,0xF8,0xFF,0xFF,0x0F,0xF8,0xFF,0xFF,0x07,0xF8,0xFF,0xFF,0x07,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 66
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x3F,0x00,0x00,0xFC,0xFF,0x03,0x00,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x0F,0xF0,0x7F,0xE0,0x0F,0xF8,0x1F,0x80,0x0F,0xF8,0x0F,0x00,0x0E,0xFC,0x07,0x00,0x08,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFE,0x03,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x07,0x00,0x08,0xFC,0x0F,0x00,0x0E,0xF8,0x1F,0x00,0x0F,0xF0,0x7F,0xE0,0x0F,0xF0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x0F,0x00,0xFF,0xFF,0x0F,0x00,0xFE,0xFF,0x01,0x00,0xF0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 67
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0x0F,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x07,0xF8,0xFF,0xFF,0x0F,0xF8,0xFF,0xFF,0x1F,0xF8,0x07,0xFC,0x1F,0xF8,0x07,0xF0,0x3F,0xF8,0x07,0xE0,0x7F,0xF8,0x07,0xC0,0x7F,0xF8,0x07,0x80,0x7F,0xF8,0x07,0x80,0xFF,0xF8,0x07,0x00,0xFF,0xF8,0x07,0x00,0xFF,0xF8,0x07,0x00,0xFF,0xF8,0x07,0x00,0xFF,0xF8,0x07,0x00,0xFF,0xF8,0x07,0x00,0xFF,0xF8,0x07,0x00,0xFF,0xF8,0x07,0x80,0xFF,0xF8,0x07,0x80,0x7F,0xF8,0x07,0xC0,0x7F,0xF8,0x07,0xE0,0x3F,0xF8,0x07,0xF0,0x3F,0xF8,0x07,0xFC,0x1F,0xF8,0xFF,0xFF,0x0F,0xF8,0xFF,0xFF,0x0F,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 68
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 69
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 70
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x7F,0x00,0x00,0xFC,0xFF,0x03,0x00,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x1F,0xF0,0xFF,0xFF,0x1F,0xF0,0x7F,0xC0,0x1F,0xF8,0x1F,0x00,0x1F,0xF8,0x0F,0x00,0x1C,0xFC,0x07,0x00,0x10,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x81,0xFF,0x1F,0xFE,0x81,0xFF,0x1F,0xFE,0x81,0xFF,0x1F,0xFE,0x81,0xFF,0x1F,0xFE,0x81,0xFF,0x1F,0xFE,0x83,0xFF,0x1F,0xFC,0x03,0xE0,0x1F,0xFC,0x03,0xE0,0x1F,0xFC,0x07,0xE0,0x1F,0xF8,0x0F,0xE0,0x1F,0xF8,0x1F,0xE0,0x1F,0xF0,0x7F,0xE0,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x1F,0xC0,0xFF,0xFF,0x1F,0x00,0xFF,0xFF,0x1F,0x00,0xFE,0xFF,0x03,0x00,0xF0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 71
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0xFF,0xFF,0x3F,0xF8,0xFF,0xFF,0x3F,0xF8,0xFF,0xFF,0x3F,0xF8,0xFF,0xFF,0x3F,0xF8,0xFF,0xFF,0x3F,0xF8,0xFF,0xFF,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0xF8,0x07,0xC0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 72
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 73
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xFF,0x07,0xF0,0xFF,0x07,0xF0,0xFF,0x07,0xF0,0xFF,0x07,0xF0,0xFF,0x07,0xF0,0xFF,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xFC,0x07,0x03,0xFE,0x07,0xFF,0xFF,0x03,0xFF,0xFF,0x03,0xFF,0xFF,0x01,0xFF,0xFF,0x00,0xFF,0x3F,0x00,0xFE,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 74
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xC0,0x7F,0xF8,0x07,0xE0,0x3F,0xF8,0x07,0xF0,0x1F,0xF8,0x07,0xF8,0x0F,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xFC,0x07,0xF8,0x07,0xFE,0x03,0xF8,0x07,0xFF,0x01,0xF8,0x07,0xFF,0x00,0xF8,0x87,0x7F,0x00,0xF8,0xC7,0x3F,0x00,0xF8,0xE7,0x3F,0x00,0xF8,0xF7,0x1F,0x00,0xF8,0xF7,0x0F,0x00,0xF8,0xFF,0x07,0x00,0xF8,0xFF,0x0F,0x00,0xF8,0xFF,0x1F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xDF,0x3F,0x00,0xF8,0x8F,0x7F,0x00,0xF8,0x87,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xF8,0x07,0xFE,0x01,0xF8,0x07,0xFE,0x03,0xF8,0x07,0xFC,0x03,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x0F,0xF8,0x07,0xF0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x3F,0xF8,0x07,0xC0,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 75
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 76
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x0F,0x00,0xFC,0x07,0xF8,0x0F,0x00,0xFE,0x07,0xF8,0x1F,0x00,0xFE,0x07,0xF8,0x1F,0x00,0xFF,0x07,0xF8,0x3F,0x00,0xFF,0x07,0xF8,0x3F,0x80,0xFF,0x07,0xF8,0x7F,0x80,0xFF,0x07,0xF8,0x7F,0xC0,0xFF,0x07,0xF8,0xFF,0xC0,0xFF,0x07,0xF8,0xFF,0xE0,0xFF,0x07,0xF8,0xFF,0xE0,0xFF,0x07,0xF8,0xFF,0xE1,0xFF,0x07,0xF8,0xFB,0xF1,0xFB,0x07,0xF8,0xFB,0xF3,0xFB,0x07,0xF8,0xF3,0xFB,0xF9,0x07,0xF8,0xF3,0xFF,0xF9,0x07,0xF8,0xE3,0xFF,0xF8,0x07,0xF8,0xE3,0xFF,0xF8,0x07,0xF8,0xE3,0xFF,0xF8,0x07,0xF8,0xC3,0x7F,0xF8,0x07,0xF8,0xC3,0x7F,0xF8,0x07,0xF8,0x83,0x3F,0xF8,0x07,0xF8,0x83,0x3F,0xF8,0x07,0xF8,0x03,0x1F,0xF8,0x07,0xF8,0x03,0x00,0xF8,0x07,0xF8,0x03,0x00,0xF8,0x07,0xF8,0x03,0x00,0xF8,0x07,0xF8,0x03,0x00,0xF8,0x07,0xF8,0x03,0x00,0xF8,0x07,0xF8,0x03,0x00,0xF8,0x07,0xF8,0x03,0x00,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 77
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x1F,0x80,0x3F,0xF8,0x1F,0x80,0x3F,0xF8,0x3F,0x80,0x3F,0xF8,0x7F,0x80,0x3F,0xF8,0x7F,0x80,0x3F,0xF8,0xFF,0x80,0x3F,0xF8,0xFF,0x80,0x3F,0xF8,0xFF,0x81,0x3F,0xF8,0xFF,0x83,0x3F,0xF8,0xFF,0x83,0x3F,0xF8,0xFB,0x87,0x3F,0xF8,0xFB,0x87,0x3F,0xF8,0xF3,0x8F,0x3F,0xF8,0xF3,0x8F,0x3F,0xF8,0xE3,0x9F,0x3F,0xF8,0xC3,0xBF,0x3F,0xF8,0xC3,0xBF,0x3F,0xF8,0x83,0xFF,0x3F,0xF8,0x83,0xFF,0x3F,0xF8,0x03,0xFF,0x3F,0xF8,0x03,0xFF,0x3F,0xF8,0x03,0xFE,0x3F,0xF8,0x03,0xFC,0x3F,0xF8,0x03,0xFC,0x3F,0xF8,0x03,0xF8,0x3F,0xF8,0x03,0xF8,0x3F,0xF8,0x03,0xF0,0x3F,0xF8,0x03,0xE0,0x3F,0xF8,0x03,0xE0,0x3F,0xF8,0x03,0xC0,0x3F,0xF8,0x03,0xC0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 78
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x1F,0x00,0x00,0xFE,0xFF,0x00,0x80,0xFF,0xFF,0x03,0xC0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x3F,0xF8,0x1F,0xF8,0x0F,0xE0,0x3F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xF8,0x0F,0xE0,0x3F,0xF0,0x3F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x07,0x80,0xFF,0xFF,0x03,0x00,0xFE,0xFF,0x00,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 79
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0x0F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0x07,0xFE,0x07,0xF8,0x07,0xFC,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xFC,0x03,0xF8,0x07,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0x07,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 80
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x1F,0x00,0x00,0xFE,0xFF,0x00,0x80,0xFF,0xFF,0x03,0xC0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x3F,0xF8,0x1F,0xF8,0x0F,0xE0,0x3F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xF8,0x0F,0xE0,0x3F,0xF0,0x3F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x07,0x80,0xFF,0xFF,0x03,0x00,0xFE,0xFF,0x00,0x00,0xF0,0x7F,0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xFF,0xC1,0x00,0x00,0xFE,0xFF,0x00,0x00,0xFE,0xFF,0x00,0x00,0xFC,0xFF,0x00,0x00,0xF8,0xFF,0x00,0x00,0xC0,0xFF, // Code for char num 81
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0x1F,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x07,0xF8,0x07,0xFE,0x07,0xF8,0x07,0xFC,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xFC,0x03,0xF8,0x07,0xFE,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0x87,0x7F,0x00,0xF8,0x87,0xFF,0x00,0xF8,0x07,0xFF,0x01,0xF8,0x07,0xFE,0x03,0xF8,0x07,0xFC,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x0F,0xF8,0x07,0xF0,0x1F,0xF8,0x07,0xE0,0x3F,0xF8,0x07,0xC0,0x7F,0xF8,0x07,0x80,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 82
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x0F,0x00,0x00,0xFF,0xFF,0x00,0xC0,0xFF,0xFF,0x01,0xE0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0x0F,0xF8,0x01,0xFC,0x07,0xC0,0x01,0xFC,0x03,0x00,0x01,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x0F,0x00,0x00,0xFC,0x7F,0x00,0x00,0xF8,0xFF,0x07,0x00,0xF8,0xFF,0x1F,0x00,0xF8,0xFF,0x7F,0x00,0xF0,0xFF,0xFF,0x00,0xC0,0xFF,0xFF,0x01,0x80,0xFF,0xFF,0x01,0x00,0xFC,0xFF,0x03,0x00,0xC0,0xFF,0x03,0x00,0x00,0xFE,0x03,0x00,0x00,0xFC,0x03,0x04,0x00,0xFC,0x03,0x1C,0x00,0xFC,0x03,0x7C,0x00,0xFE,0x03,0xFC,0x01,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x00,0xFC,0xFF,0x7F,0x00,0xFC,0xFF,0x3F,0x00,0xF0,0xFF,0x0F,0x00,0x00,0xFF,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 83
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0x03,0xFF,0xFF,0xFF,0x03,0xFF,0xFF,0xFF,0x03,0xFF,0xFF,0xFF,0x03,0xFF,0xFF,0xFF,0x03,0xFF,0xFF,0xFF,0x03,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 84
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x0F,0xF0,0x1F,0xF0,0x0F,0xF0,0x0F,0xF0,0x1F,0xFC,0x0F,0xF0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x07,0xC0,0xFF,0xFF,0x03,0x80,0xFF,0xFF,0x01,0x00,0xFE,0x7F,0x00,0x00,0xF8,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 85
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x01,0xE0,0x1F,0xFE,0x01,0xE0,0x0F,0xFE,0x01,0xE0,0x0F,0xFE,0x03,0xE0,0x0F,0xFC,0x03,0xF0,0x07,0xFC,0x03,0xF0,0x07,0xFC,0x07,0xF0,0x07,0xF8,0x07,0xF8,0x03,0xF8,0x07,0xF8,0x03,0xF8,0x07,0xF8,0x03,0xF0,0x0F,0xFC,0x01,0xF0,0x0F,0xFC,0x01,0xF0,0x0F,0xFC,0x01,0xE0,0x1F,0xFE,0x00,0xE0,0x1F,0xFE,0x00,0xE0,0x1F,0xFE,0x00,0xC0,0x3F,0x7F,0x00,0xC0,0x3F,0x7F,0x00,0xC0,0x3F,0x7F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 86
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0xFC,0x03,0xF8,0x07,0xFE,0x03,0xFC,0x03,0xFC,0x07,0xFC,0x03,0xFC,0x07,0xFC,0x03,0xFC,0x03,0xFE,0x07,0xFC,0x03,0xFC,0x03,0xFE,0x07,0xFC,0x03,0xFC,0x03,0xFE,0x07,0xFC,0x03,0xF8,0x07,0xFE,0x07,0xFE,0x01,0xF8,0x07,0xFF,0x0F,0xFE,0x01,0xF8,0x07,0xFF,0x0F,0xFE,0x01,0xF8,0x07,0xFF,0x0F,0xFE,0x01,0xF0,0x07,0xFF,0x0F,0xFE,0x00,0xF0,0x8F,0xFF,0x1F,0xFF,0x00,0xF0,0x8F,0xFF,0x1F,0xFF,0x00,0xF0,0x8F,0xFF,0x1F,0xFF,0x00,0xE0,0x8F,0x9F,0x1F,0x7F,0x00,0xE0,0xCF,0x9F,0xBF,0x7F,0x00,0xE0,0xDF,0x9F,0xBF,0x7F,0x00,0xE0,0xDF,0x9F,0xBF,0x7F,0x00,0xC0,0xDF,0x8F,0xBF,0x3F,0x00,0xC0,0xFF,0x0F,0xBF,0x3F,0x00,0xC0,0xFF,0x0F,0xFF,0x3F,0x00,0xC0,0xFF,0x0F,0xFF,0x3F,0x00,0x80,0xFF,0x07,0xFF,0x1F,0x00,0x80,0xFF,0x07,0xFE,0x1F,0x00,0x80,0xFF,0x07,0xFE,0x1F,0x00,0x80,0xFF,0x07,0xFE,0x1F,0x00,0x00,0xFF,0x07,0xFE,0x0F,0x00,0x00,0xFF,0x03,0xFC,0x0F,0x00,0x00,0xFF,0x03,0xFC,0x0F,0x00,0x00,0xFF,0x03,0xFC,0x0F,0x00,0x00,0xFE,0x03,0xFC,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 87
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03,0xF8,0x1F,0xFE,0x03,0xF8,0x0F,0xFC,0x07,0xFC,0x07,0xFC,0x07,0xFC,0x07,0xF8,0x0F,0xFE,0x03,0xF8,0x0F,0xFE,0x03,0xF0,0x1F,0xFF,0x01,0xE0,0xBF,0xFF,0x00,0xE0,0xBF,0xFF,0x00,0xC0,0xFF,0x7F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFF,0x1F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0xC0,0xFF,0x7F,0x00,0xE0,0xBF,0xFF,0x00,0xE0,0xBF,0xFF,0x00,0xF0,0x1F,0xFF,0x01,0xF8,0x0F,0xFE,0x03,0xF8,0x0F,0xFE,0x03,0xFC,0x07,0xFC,0x07,0xFC,0x07,0xFC,0x07,0xFE,0x03,0xF8,0x0F,0xFF,0x03,0xF8,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 88
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03,0xC0,0x3F,0xFE,0x03,0xE0,0x1F,0xFE,0x07,0xF0,0x0F,0xFC,0x07,0xF0,0x0F,0xF8,0x0F,0xF8,0x07,0xF8,0x0F,0xF8,0x07,0xF0,0x1F,0xFC,0x03,0xF0,0x1F,0xFC,0x01,0xE0,0x3F,0xFE,0x01,0xC0,0x7F,0xFE,0x00,0xC0,0x7F,0xFF,0x00,0x80,0xFF,0x7F,0x00,0x80,0xFF,0x3F,0x00,0x00,0xFF,0x3F,0x00,0x00,0xFE,0x1F,0x00,0x00,0xFE,0x1F,0x00,0x00,0xFC,0x0F,0x00,0x00,0xFC,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 89
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0xFC,0xFF,0xFF,0x01,0x00,0x80,0xFF,0x01,0x00,0xC0,0xFF,0x00,0x00,0xE0,0x7F,0x00,0x00,0xE0,0x3F,0x00,0x00,0xF0,0x3F,0x00,0x00,0xF8,0x1F,0x00,0x00,0xFC,0x0F,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x07,0x00,0x00,0xFF,0x03,0x00,0x80,0xFF,0x01,0x00,0x80,0xFF,0x00,0x00,0xC0,0xFF,0x00,0x00,0xE0,0x7F,0x00,0x00,0xF0,0x3F,0x00,0x00,0xF0,0x1F,0x00,0x00,0xF8,0x1F,0x00,0x00,0xFC,0x0F,0x00,0x00,0xFE,0x07,0x00,0x00,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0xFE,0xFF,0xFF,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 90
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0x01,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0x00,0x00, // Code for char num 91
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x03,0x00,0xF0,0x07,0x00,0xE0,0x07,0x00,0xE0,0x07,0x00,0xE0,0x0F,0x00,0xC0,0x0F,0x00,0xC0,0x0F,0x00,0xC0,0x0F,0x00,0x80,0x1F,0x00,0x80,0x1F,0x00,0x80,0x1F,0x00,0x80,0x3F,0x00,0x00,0x3F,0x00,0x00,0x3F,0x00,0x00,0x3F,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0xFE,0x00,0x00,0xFC,0x00,0x00,0xFC,0x00,0x00,0xFC,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF0,0x03,0x00,0xF0,0x03,0x00,0xF0,0x03,0x00,0xF0,0x07,0x00,0xE0,0x07,0x00,0xE0,0x07,0x00,0xE0,0x07,0x00,0xC0,0x0F,0x00,0xC0,0x0F,0x00,0xC0,0x0F,0x00,0xC0,0x1F,0x00,0x80,0x1F,0x00,0x80,0x1F,0x00,0x80,0x3F,0x00,0x00,0x3F,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 92
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0x00,0xFC,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0xF8,0xFF,0x00,0x00, // Code for char num 93
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x1F,0x00,0x00,0xC0,0x1F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xE0,0x7F,0x00,0x00,0xF0,0x7F,0x00,0x00,0xF0,0xFF,0x00,0x00,0xF8,0xFF,0x01,0x00,0xFC,0xFD,0x01,0x00,0xFC,0xF9,0x03,0x00,0xFE,0xF0,0x07,0x00,0x7F,0xF0,0x0F,0x00,0x7F,0xE0,0x0F,0x80,0x3F,0xC0,0x1F,0xC0,0x1F,0x80,0x3F,0xC0,0x1F,0x80,0x3F,0xE0,0x0F,0x00,0x7F,0xF0,0x07,0x00,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 94
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 95
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x80,0x3F,0x00,0x00,0x3F,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0xFC,0x00,0x00,0xF8,0x00,0x00,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 96
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0x01,0xF8,0xFF,0x07,0xF8,0xFF,0x1F,0xF8,0xFF,0x3F,0xF8,0xFF,0x3F,0x78,0xC0,0x7F,0x18,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0x7F,0x00,0xF8,0x7F,0xC0,0xFF,0x7F,0xF0,0xFF,0x7F,0xF8,0xFF,0x7F,0xFC,0x0F,0x7F,0xFC,0x01,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x80,0x7F,0xFE,0xC1,0x7F,0xFC,0xFF,0x7F,0xFC,0xFF,0x7F,0xF8,0x7F,0x7F,0xF0,0x1F,0x7F,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 97
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0xC3,0x0F,0x00,0xF8,0xF3,0x3F,0x00,0xF8,0xFB,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0x0F,0xFE,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFE,0x01,0xF8,0x03,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFB,0x1F,0x00,0x00,0xE0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 98
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x80,0xFF,0x1F,0xC0,0xFF,0x3F,0xF0,0xFF,0x3F,0xF0,0xFF,0x3F,0xF8,0x0F,0x3E,0xFC,0x03,0x38,0xFC,0x01,0x30,0xFC,0x01,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFC,0x01,0x00,0xFC,0x01,0x20,0xFC,0x03,0x38,0xF8,0x0F,0x3E,0xF0,0xFF,0x3F,0xF0,0xFF,0x3F,0xC0,0xFF,0x3F,0x80,0xFF,0x1F,0x00,0xFC,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 99
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x7F,0xFE,0xC0,0xFF,0xFF,0xE0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0x07,0xFE,0xFC,0x03,0xFE,0xFC,0x01,0xFE,0xFC,0x01,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x01,0xFE,0xFC,0x01,0xFE,0xFC,0x87,0xFF,0xFC,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF0,0xFF,0xFE,0xE0,0x3F,0xFE,0x80,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 100
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x00,0x80,0xFF,0x0F,0x00,0xC0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFC,0x01,0x00,0x00,0xFC,0x01,0x80,0x01,0xFC,0x03,0xC0,0x01,0xF8,0x0F,0xF8,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFF,0x01,0xC0,0xFF,0xFF,0x01,0x80,0xFF,0xFF,0x00,0x00,0xFC,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 101
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03,0xC0,0xFF,0x03,0xE0,0xFF,0x03,0xF0,0xFF,0x03,0xF0,0xFF,0x03,0xF8,0x07,0x03,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xFF,0xFF,0x00,0xFF,0xFF,0x00,0xFF,0xFF,0x00,0xFF,0xFF,0x00,0xFF,0xFF,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 102
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x00,0xC0,0xFF,0xFE,0xE0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF8,0xFF,0xFF,0xFC,0x07,0xFE,0xFC,0x03,0xFE,0xFC,0x01,0xFE,0xFE,0x01,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x01,0xFE,0xFC,0x01,0xFE,0xFC,0x83,0xFF,0xFC,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF0,0xFF,0xFF,0xE0,0xFF,0xFE,0x80,0x3F,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFF,0x18,0x00,0x7F,0xF8,0xC0,0x7F,0xF8,0xFF,0x3F,0xF8,0xFF,0x1F,0xF8,0xFF,0x0F,0xF8,0xFF,0x07,0xE0,0xFF,0x00, // Code for char num 103
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0xC3,0x0F,0x00,0xF8,0xE3,0x3F,0x00,0xF8,0xFB,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0x03,0xFE,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 104
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 105
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x1F,0xFE,0x1F,0xFE,0x1F,0xFE,0x1F,0xFE,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xC0,0x1F,0xE0,0x1F,0xF0,0x1F,0xFF,0x0F,0xFF,0x0F,0xFF,0x07,0xFF,0x03,0xFF,0x00, // Code for char num 106
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0xFE,0x03,0xF8,0x03,0xFF,0x01,0xF8,0x83,0xFF,0x00,0xF8,0xC3,0x7F,0x00,0xF8,0xC3,0x3F,0x00,0xF8,0xE3,0x3F,0x00,0xF8,0xF3,0x1F,0x00,0xF8,0xFB,0x0F,0x00,0xF8,0xFB,0x07,0x00,0xF8,0xFF,0x03,0x00,0xF8,0xFF,0x03,0x00,0xF8,0xFF,0x03,0x00,0xF8,0xFF,0x07,0x00,0xF8,0xF7,0x0F,0x00,0xF8,0xF7,0x0F,0x00,0xF8,0xE3,0x1F,0x00,0xF8,0xC3,0x3F,0x00,0xF8,0xC3,0x7F,0x00,0xF8,0x83,0x7F,0x00,0xF8,0x03,0xFF,0x00,0xF8,0x03,0xFF,0x01,0xF8,0x03,0xFE,0x01,0xF8,0x03,0xFC,0x03,0xF8,0x03,0xFC,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 107
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 108
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0xF0,0x03,0xF8,0xF3,0x1F,0xF8,0x07,0xF8,0xFB,0x3F,0xFE,0x0F,0xF8,0xFF,0x7F,0xFF,0x1F,0xF8,0xFF,0xFF,0xFF,0x1F,0xF8,0xFF,0xFF,0xFF,0x3F,0xF8,0x0F,0xFF,0xC3,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0xF8,0x03,0xFE,0x80,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 109
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x00,0xF8,0xE3,0x3F,0x00,0xF8,0xFB,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0x03,0xFE,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 110
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0x00,0x80,0xFF,0x0F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x03,0xFE,0x01,0xF8,0x07,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0x80,0xFF,0x0F,0x00,0x00,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 111
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x00,0xF8,0xF3,0x3F,0x00,0xF8,0xFB,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0x0F,0xFE,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFE,0x01,0xF8,0x03,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0x1F,0x00,0xF8,0xE3,0x07,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00, // Code for char num 112
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x00,0xC0,0xFF,0xFE,0xE0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0x07,0xFE,0xFC,0x03,0xFE,0xFC,0x01,0xFE,0xFC,0x01,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x00,0xFE,0xFE,0x01,0xFE,0xFC,0x01,0xFE,0xFC,0x87,0xFF,0xFC,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF0,0xFF,0xFE,0xE0,0x7F,0xFE,0x80,0x1F,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE, // Code for char num 113
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x83,0x07,0xF8,0xE3,0x07,0xF8,0xFB,0x07,0xF8,0xFF,0x07,0xF8,0xFF,0x07,0xF8,0xFF,0x07,0xF8,0x0F,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 114
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0xE0,0xFF,0x07,0xF0,0xFF,0x0F,0xF8,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0x81,0x0F,0xFE,0x00,0x0E,0xFE,0x00,0x08,0xFE,0x00,0x00,0xFE,0x07,0x00,0xFE,0x7F,0x00,0xFC,0xFF,0x03,0xFC,0xFF,0x07,0xF8,0xFF,0x0F,0xE0,0xFF,0x0F,0x80,0xFF,0x1F,0x00,0xF8,0x1F,0x00,0xC0,0x1F,0x02,0xC0,0x1F,0x0E,0xC0,0x1F,0x7E,0xE0,0x0F,0xFE,0xFF,0x0F,0xFE,0xFF,0x07,0xFE,0xFF,0x03,0xFC,0xFF,0x01,0xE0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 115
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xFF,0xFF,0x03,0xFF,0xFF,0x03,0xFF,0xFF,0x03,0xFF,0xFF,0x03,0xFF,0xFF,0x03,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x03,0x00,0xF8,0x07,0x00,0xF8,0x0F,0x03,0xF0,0xFF,0x03,0xF0,0xFF,0x03,0xE0,0xFF,0x03,0xC0,0xFF,0x03,0x00,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 116
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x07,0xFC,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFD,0x01,0xC0,0xFF,0xFC,0x01,0x00,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 117
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0xFE,0x01,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFC,0x01,0x7F,0x00,0xFC,0x01,0x7F,0x00,0xFC,0x01,0x7F,0x00,0xF8,0x83,0x3F,0x00,0xF8,0x83,0x3F,0x00,0xF8,0x83,0x3F,0x00,0xF0,0xC7,0x1F,0x00,0xF0,0xC7,0x1F,0x00,0xF0,0xC7,0x1F,0x00,0xE0,0xEF,0x0F,0x00,0xE0,0xEF,0x0F,0x00,0xE0,0xEF,0x0F,0x00,0xC0,0xEF,0x07,0x00,0xC0,0xFF,0x07,0x00,0x80,0xFF,0x03,0x00,0x80,0xFF,0x03,0x00,0x80,0xFF,0x03,0x00,0x00,0xFF,0x01,0x00,0x00,0xFF,0x01,0x00,0x00,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 118
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0x00,0x7F,0x80,0x3F,0xFF,0x00,0x7F,0xC0,0x3F,0xFE,0x80,0x7F,0xC0,0x1F,0xFE,0x80,0x7F,0xC0,0x1F,0xFE,0x80,0xFF,0xC0,0x1F,0xFC,0xC1,0xFF,0xE0,0x0F,0xFC,0xC1,0xFF,0xE0,0x0F,0xFC,0xC1,0xFF,0xE1,0x0F,0xFC,0xC3,0xFF,0xE1,0x0F,0xF8,0xE3,0xFF,0xF1,0x07,0xF8,0xE3,0xF3,0xF1,0x07,0xF8,0xE3,0xF3,0xF3,0x07,0xF0,0xF7,0xF3,0xF3,0x03,0xF0,0xF7,0xF3,0xFB,0x03,0xF0,0xF7,0xE1,0xFB,0x03,0xF0,0xF7,0xE1,0xFF,0x03,0xE0,0xFF,0xE1,0xFF,0x01,0xE0,0xFF,0xE1,0xFF,0x01,0xE0,0xFF,0xC0,0xFF,0x01,0xC0,0xFF,0xC0,0xFF,0x00,0xC0,0xFF,0xC0,0xFF,0x00,0xC0,0x7F,0xC0,0xFF,0x00,0xC0,0x7F,0x80,0x7F,0x00,0x80,0x7F,0x80,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 119
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x01,0xFE,0x03,0xFE,0x03,0xFF,0x01,0xFC,0x03,0xFF,0x00,0xF8,0x87,0x7F,0x00,0xF8,0xCF,0x7F,0x00,0xF0,0xCF,0x3F,0x00,0xE0,0xFF,0x1F,0x00,0xE0,0xFF,0x1F,0x00,0xC0,0xFF,0x0F,0x00,0x80,0xFF,0x07,0x00,0x00,0xFF,0x03,0x00,0x00,0xFF,0x03,0x00,0x00,0xFF,0x03,0x00,0x00,0xFF,0x03,0x00,0x80,0xFF,0x07,0x00,0xC0,0xFF,0x0F,0x00,0xE0,0xFF,0x1F,0x00,0xE0,0xFF,0x1F,0x00,0xF0,0xCF,0x3F,0x00,0xF8,0xCF,0x7F,0x00,0xF8,0x87,0x7F,0x00,0xFC,0x03,0xFF,0x00,0xFE,0x03,0xFF,0x01,0xFF,0x01,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 120
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0xFE,0x01,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x01,0xFF,0x00,0xFC,0x01,0x7F,0x00,0xFC,0x01,0x7F,0x00,0xFC,0x03,0x7F,0x00,0xF8,0x83,0x3F,0x00,0xF8,0x83,0x3F,0x00,0xF0,0x87,0x3F,0x00,0xF0,0xC7,0x1F,0x00,0xF0,0xC7,0x1F,0x00,0xE0,0xCF,0x0F,0x00,0xE0,0xEF,0x0F,0x00,0xE0,0xEF,0x0F,0x00,0xC0,0xFF,0x07,0x00,0xC0,0xFF,0x07,0x00,0xC0,0xFF,0x07,0x00,0x80,0xFF,0x03,0x00,0x80,0xFF,0x03,0x00,0x00,0xFF,0x03,0x00,0x00,0xFF,0x01,0x00,0x00,0xFF,0x01,0x00,0x00,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x7F,0x00,0x00,0x80,0x7F,0x00,0x00,0x80,0x7F,0x00,0x00,0x80,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xE0,0x1F,0x00,0x00, // Code for char num 121
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0x3F,0xFC,0xFF,0x3F,0xFC,0xFF,0x3F,0xFC,0xFF,0x3F,0xFC,0xFF,0x3F,0x00,0xF0,0x1F,0x00,0xF0,0x0F,0x00,0xF8,0x07,0x00,0xFC,0x07,0x00,0xFE,0x03,0x00,0xFF,0x01,0x00,0xFF,0x00,0x80,0x7F,0x00,0xC0,0x7F,0x00,0xE0,0x3F,0x00,0xF0,0x1F,0x00,0xF0,0x0F,0x00,0xF8,0x07,0x00,0xFC,0x07,0x00,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0xFE,0xFF,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 122
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0x00,0xF0,0xFF,0x00,0xF8,0xFF,0x00,0xFC,0xFF,0x00,0xFC,0xFF,0x00,0xFE,0x03,0x00,0xFE,0x01,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0x7F,0x00,0x80,0x7F,0x00,0xC0,0x3F,0x00,0xFE,0x1F,0x00,0xFE,0x07,0x00,0xFE,0x01,0x00,0xFE,0x07,0x00,0xFE,0x1F,0x00,0xC0,0x3F,0x00,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x01,0x00,0xFE,0x03,0x00,0xFC,0xFF,0x00,0xFC,0xFF,0x00,0xF8,0xFF,0x00,0xF0,0xFF,0x00,0xC0,0xFF,0x00,0x00,0x00, // Code for char num 123
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0x00,0x00, // Code for char num 124
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x1F,0x00,0x00,0xF8,0x7F,0x00,0x00,0xF8,0xFF,0x00,0x00,0xF8,0xFF,0x01,0x00,0xF8,0xFF,0x01,0x00,0x00,0xFE,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF0,0x07,0x00,0x00,0xF0,0x0F,0x00,0x00,0xE0,0x1F,0x00,0x00,0xC0,0xFF,0x03,0x00,0x00,0xFF,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFF,0x03,0x00,0xC0,0xFF,0x03,0x00,0xE0,0x1F,0x00,0x00,0xF0,0x0F,0x00,0x00,0xF0,0x07,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFE,0x03,0x00,0xF8,0xFF,0x01,0x00,0xF8,0xFF,0x01,0x00,0xF8,0xFF,0x00,0x00,0xF8,0x7F,0x00,0x00,0xF8,0x1F,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 125
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x00,0xFC,0x80,0xFF,0x00,0xFC,0xC0,0xFF,0x03,0xFC,0xE0,0xFF,0x03,0xFC,0xE0,0xFF,0x07,0xFC,0xF0,0xFF,0x0F,0xFC,0xF0,0xE3,0x1F,0x7E,0xF0,0xC3,0x3F,0x7E,0xF8,0x81,0xFF,0x7F,0xF8,0x01,0xFF,0x3F,0xF8,0x01,0xFE,0x3F,0xF8,0x01,0xFC,0x1F,0xF8,0x01,0xF8,0x0F,0xF8,0x01,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 126
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x1F,0xFE,0x1F,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0x0E,0x1E,0xFE,0x1F,0xFE,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 127
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 128
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 129
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 130
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 131
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 132
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 133
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 134
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 135
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 136
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 137
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 138
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 139
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 140
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 141
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 142
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 143
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 144
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 145
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 146
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 147
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 148
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 149
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 150
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 151
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 152
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 153
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 154
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 155
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 156
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 157
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 158
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 159
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 160
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF0,0x03,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 161
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0xF0,0x0F,0x00,0xFE,0x7F,0x80,0xFF,0xFF,0xC0,0xFF,0xFF,0xE0,0xFF,0xFF,0xE0,0xBF,0xF3,0xF0,0x8F,0xE3,0xF0,0x87,0x83,0xF0,0x87,0x03,0xF8,0x83,0x03,0xF8,0x83,0x03,0xF8,0x83,0x03,0xF8,0x83,0x03,0xF8,0x83,0x03,0xF8,0x83,0x03,0xF8,0x83,0x03,0xF8,0x87,0x03,0xF0,0x87,0x83,0xF0,0x8F,0xE3,0xE0,0xBF,0xF3,0xE0,0xFF,0xFF,0xC0,0xFF,0xFF,0x80,0xFF,0xFF,0x00,0xFE,0x7F,0x00,0xF0,0x0F,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x80,0x03,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 162
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x3F,0x00,0x00,0xF8,0xFF,0x00,0x00,0xFC,0xFF,0x00,0x00,0xFE,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x80,0xFF,0xC0,0x00,0x80,0x7F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0xF0,0xFF,0x3F,0x00,0xF0,0xFF,0x3F,0x00,0xF0,0xFF,0x3F,0x00,0xF0,0xFF,0x3F,0x00,0xF0,0xFF,0x3F,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0xC0,0x1F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 163
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x60,0x00,0xF0,0x00,0xF0,0x00,0xF8,0x01,0xF8,0x01,0xF8,0xFB,0xFD,0x01,0xF0,0xFF,0xFF,0x00,0xE0,0xFF,0x7F,0x00,0xC0,0xFF,0x3F,0x00,0x80,0xFF,0x1F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x07,0x3E,0x00,0xC0,0x07,0x3E,0x00,0xC0,0x07,0x3E,0x00,0xC0,0x07,0x3E,0x00,0xC0,0x0F,0x3F,0x00,0x80,0xFF,0x1F,0x00,0xC0,0xFF,0x3F,0x00,0xE0,0xFF,0x7F,0x00,0xF0,0xFF,0xFF,0x00,0xF8,0xFB,0xFD,0x01,0xF8,0x01,0xF8,0x01,0xF0,0x00,0xF0,0x00,0x60,0x00,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 164
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0xF8,0x07,0xFC,0x03,0xFC,0x03,0xFC,0x03,0xFC,0x03,0xF8,0x07,0xFE,0x01,0xF8,0x07,0xFE,0x01,0xF0,0x07,0xFE,0x00,0xF0,0x0F,0xFF,0x00,0xE0,0x0F,0x7F,0x00,0xE0,0x9F,0x3F,0x00,0xC0,0x9F,0x3F,0x00,0x80,0xFF,0x1F,0x00,0x80,0xFF,0x1F,0x00,0x00,0xFF,0x0F,0x00,0x00,0xFF,0x0F,0x00,0x00,0xFE,0x07,0x00,0x00,0xFE,0x07,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 165
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0x00,0x00, // Code for char num 166
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x0F,0x00,0x00,0xFF,0x7F,0x00,0xC0,0xFF,0x7F,0x00,0xE0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0x0F,0x78,0x00,0xF8,0x07,0x40,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x07,0x00,0x00,0xF0,0x1F,0x00,0x00,0xF0,0xFF,0x00,0x00,0xE0,0xFF,0x07,0x00,0xC0,0xFF,0x1F,0x00,0xC0,0xFF,0x7F,0x00,0xE0,0xFF,0xFF,0x00,0xF0,0xE7,0xFF,0x00,0xF8,0x03,0xFF,0x01,0xFC,0x01,0xFE,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x03,0xFC,0x01,0xFC,0x07,0xFE,0x00,0xF8,0x3F,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF0,0xFF,0x1F,0x00,0xC0,0xFF,0x1F,0x00,0x00,0xFF,0x3F,0x00,0x00,0xF8,0x7F,0x00,0x00,0xC0,0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFE,0x00,0x18,0x00,0xFE,0x00,0xF8,0x80,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0x1F,0x00,0xF8,0xFF,0x07,0x00,0xC0,0xFF,0x01,0x00,0x00,0x00,0x00,0x00, // Code for char num 167
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 168
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xE0,0xFF,0x07,0x00,0x00,0xF8,0xFF,0x1F,0x00,0x00,0xFE,0xFF,0x7F,0x00,0x00,0xFF,0x00,0xFF,0x00,0x80,0x3F,0x00,0xFC,0x01,0xC0,0x0F,0x00,0xF0,0x03,0xE0,0x07,0x00,0xE0,0x07,0xE0,0x03,0xFE,0xC0,0x07,0xF0,0x81,0xFF,0x83,0x0F,0xF0,0xC0,0xFF,0x03,0x0F,0xF8,0xE0,0xFF,0x03,0x1F,0x78,0xF0,0x83,0x03,0x1E,0x78,0xF0,0x01,0x02,0x1E,0x3C,0xF8,0x01,0x00,0x3C,0x3C,0xF8,0x00,0x00,0x3C,0x3C,0xF8,0x00,0x00,0x3C,0x3C,0xF8,0x00,0x00,0x3C,0x3C,0xF8,0x00,0x00,0x3C,0x3C,0xF8,0x00,0x00,0x3C,0x3C,0xF8,0x01,0x00,0x3C,0x3C,0xF0,0x01,0x02,0x3C,0x78,0xF0,0x83,0x03,0x1E,0x78,0xE0,0xFF,0x03,0x1E,0xF8,0xC0,0xFF,0x03,0x1F,0xF0,0x80,0xFF,0x03,0x0F,0xF0,0x01,0x7E,0x80,0x0F,0xE0,0x03,0x00,0xC0,0x07,0xE0,0x07,0x00,0xE0,0x07,0xC0,0x0F,0x00,0xF0,0x03,0x80,0x3F,0x00,0xFC,0x01,0x00,0xFF,0x00,0xFF,0x00,0x00,0xFE,0xFF,0x7F,0x00,0x00,0xF8,0xFF,0x1F,0x00,0x00,0xE0,0xFF,0x07,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 169
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x7F,0x00,0xF0,0xFF,0x03,0xF0,0xFF,0x07,0xF0,0xFF,0x07,0x30,0xE0,0x0F,0x00,0xC0,0x0F,0x00,0xC0,0x0F,0x00,0xFE,0x0F,0xC0,0xFF,0x0F,0xF0,0xFF,0x0F,0xF8,0xFF,0x0F,0xF8,0xC7,0x0F,0xFC,0xC1,0x0F,0xFC,0xC0,0x0F,0xFC,0xC0,0x0F,0xFC,0xC0,0x0F,0xFC,0xE1,0x0F,0xF8,0xFF,0x0F,0xF8,0xFF,0x0F,0xF0,0xDF,0x0F,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 170
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x00,0x04,0x00,0x60,0x00,0x06,0x00,0x70,0x00,0x07,0x00,0x7C,0xC0,0x07,0x00,0x7E,0xE0,0x07,0x00,0x7F,0xF0,0x07,0xC0,0x3F,0xFC,0x03,0xE0,0x1F,0xFE,0x01,0xF0,0x0F,0xFF,0x00,0xF8,0x83,0x3F,0x00,0xF8,0x81,0x1F,0x00,0xF8,0x83,0x3F,0x00,0xF0,0x0F,0xFF,0x00,0xE0,0x1F,0xFE,0x01,0x80,0x3F,0xF8,0x03,0x00,0x7F,0xF0,0x07,0x00,0x7E,0xE0,0x07,0x00,0x7C,0xC0,0x07,0x00,0x70,0x00,0x07,0x00,0x60,0x00,0x06,0x00,0x40,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 171
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xFF,0xFF,0x7F,0xF0,0xFF,0xFF,0x7F,0xF0,0xFF,0xFF,0x7F,0xF0,0xFF,0xFF,0x7F,0xF0,0xFF,0xFF,0x7F,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 172
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0xFC,0xFF,0xFC,0xFF,0xFC,0xFF,0xFC,0xFF,0xFC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 173
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0xE0,0xFF,0x07,0x00,0x00,0xF8,0xFF,0x1F,0x00,0x00,0xFE,0xFF,0x7F,0x00,0x00,0xFF,0x00,0xFF,0x00,0x80,0x3F,0x00,0xFC,0x01,0xC0,0x0F,0x00,0xF0,0x03,0xE0,0x07,0x00,0xE0,0x07,0xE0,0x03,0x00,0xC0,0x07,0xF0,0xE1,0xFF,0x80,0x0F,0xF0,0xE0,0xFF,0x03,0x0F,0xF8,0xE0,0xFF,0x03,0x1F,0x78,0xE0,0xE3,0x07,0x1E,0x78,0xE0,0xC3,0x07,0x1E,0x3C,0xE0,0xC3,0x07,0x3C,0x3C,0xE0,0xC3,0x07,0x3C,0x3C,0xE0,0xE3,0x03,0x3C,0x3C,0xE0,0xFF,0x03,0x3C,0x3C,0xE0,0xFF,0x00,0x3C,0x3C,0xE0,0xFF,0x00,0x3C,0x3C,0xE0,0xFB,0x01,0x3C,0x3C,0xE0,0xF3,0x03,0x3C,0x78,0xE0,0xF3,0x03,0x1E,0x78,0xE0,0xE3,0x07,0x1E,0xF8,0xE0,0xC3,0x0F,0x1F,0xF0,0xE0,0x83,0x1F,0x0F,0xF0,0xE1,0x83,0xBF,0x0F,0xE0,0x03,0x00,0xC0,0x07,0xE0,0x07,0x00,0xE0,0x07,0xC0,0x0F,0x00,0xF0,0x03,0x80,0x3F,0x00,0xFC,0x01,0x00,0xFF,0x00,0xFF,0x00,0x00,0xFE,0xFF,0x7F,0x00,0x00,0xF8,0xFF,0x1F,0x00,0x00,0xE0,0xFF,0x07,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 174
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 175
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0x00,0x80,0xFF,0x00,0xE0,0xFF,0x03,0xE0,0xFF,0x03,0xF0,0xFF,0x07,0xF0,0xE3,0x0F,0xF8,0xC1,0x0F,0xF8,0x80,0x0F,0xF8,0x80,0x0F,0xF8,0x80,0x0F,0xF8,0xC1,0x0F,0xF0,0xE3,0x07,0xF0,0xFF,0x07,0xE0,0xFF,0x03,0xE0,0xFF,0x03,0x80,0xFF,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 176
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0x00,0x80,0x1F,0x00,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 177
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x7F,0x00,0xF0,0xFF,0x01,0xF0,0xFF,0x03,0xF0,0xFF,0x07,0xF0,0xFF,0x07,0x30,0xF0,0x07,0x00,0xE0,0x07,0x00,0xE0,0x07,0x00,0xE0,0x03,0x00,0xF0,0x03,0x00,0xF8,0x01,0x00,0xFC,0x00,0x00,0x7E,0x00,0x80,0x3F,0x00,0xE0,0x0F,0x00,0xF0,0xFF,0x0F,0xF0,0xFF,0x0F,0xF0,0xFF,0x0F,0xF0,0xFF,0x0F,0xF0,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 178
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0x00,0xF0,0xFF,0x03,0xF0,0xFF,0x07,0xF0,0xFF,0x0F,0xF0,0xFF,0x0F,0x30,0xE0,0x0F,0x00,0xC0,0x0F,0x00,0xE0,0x07,0x00,0xFF,0x03,0x00,0xFF,0x00,0x00,0xFF,0x03,0x00,0xFF,0x07,0x00,0xE0,0x0F,0x00,0xC0,0x0F,0x00,0xC0,0x0F,0x30,0xE0,0x0F,0xF0,0xFF,0x0F,0xF0,0xFF,0x07,0xF0,0xFF,0x07,0xF0,0xFF,0x03,0xC0,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 179
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0x00,0xFC,0x01,0x00,0xFC,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x3F,0x00,0x00,0x1F,0x00,0x80,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 180
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFB,0x01,0xF8,0xF3,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00, // Code for char num 181
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xC0,0xFF,0xFF,0xF0,0xFF,0xFF,0xF8,0xFF,0xFF,0xFC,0xFF,0xF9,0xFC,0xFF,0xF9,0xFE,0xFF,0xF9,0xFE,0xFF,0xF9,0xFE,0xFF,0xF9,0xFE,0xFF,0xF9,0xFE,0xFF,0xF9,0xFE,0xFF,0xF9,0xFE,0xFF,0xF9,0xFC,0xFF,0xF9,0xFC,0xFF,0xF9,0xF8,0xFF,0xF9,0xF0,0xFF,0xF9,0xE0,0xFF,0xF9,0x00,0xFF,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0xF0,0xF9,0x00,0x00,0x00, // Code for char num 182
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0xF0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 183
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x03,0x00,0xE0,0x03,0x00,0xE0,0x03,0x00,0xE0,0x03,0x40,0xF0,0x03,0xC0,0xFF,0x01,0xC0,0xFF,0x01,0xC0,0xFF,0x00,0xC0,0x3F,0x00, // Code for char num 184
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7C,0x00,0x00,0x7E,0x00,0x00,0x7F,0x00,0xE0,0x7F,0x00,0xE0,0x7F,0x00,0xE0,0x7F,0x00,0xE0,0x7F,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0xE0,0xFF,0x07,0xE0,0xFF,0x07,0xE0,0xFF,0x07,0xE0,0xFF,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 185
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0x00,0xC0,0xFF,0x01,0xE0,0xFF,0x03,0xF0,0xFF,0x07,0xF8,0xE3,0x0F,0xF8,0xC1,0x0F,0xF8,0x81,0x0F,0xFC,0x80,0x1F,0xFC,0x80,0x1F,0xFC,0x80,0x1F,0xFC,0x80,0x1F,0xFC,0x80,0x1F,0xFC,0x80,0x1F,0xFC,0x80,0x1F,0xF8,0x80,0x0F,0xF8,0xC1,0x0F,0xF8,0xE3,0x0F,0xF0,0xFF,0x07,0xE0,0xFF,0x03,0xC0,0xFF,0x01,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 186
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x01,0x00,0x30,0x00,0x03,0x00,0x70,0x00,0x07,0x00,0xF0,0x01,0x1F,0x00,0xF0,0x03,0x3F,0x00,0xF0,0x07,0x7F,0x00,0xE0,0x1F,0xFE,0x01,0xC0,0x3F,0xFC,0x03,0x80,0x7F,0xF8,0x07,0x00,0xFE,0xE0,0x0F,0x00,0xFC,0xC0,0x0F,0x00,0xFE,0xE0,0x0F,0x80,0x7F,0xF8,0x07,0xC0,0x3F,0xFC,0x03,0xE0,0x0F,0xFE,0x00,0xF0,0x07,0x7F,0x00,0xF0,0x03,0x3F,0x00,0xF0,0x01,0x1F,0x00,0x70,0x00,0x07,0x00,0x30,0x00,0x03,0x00,0x10,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 187
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x00,0xF0,0x03,0x00,0x00,0x3F,0x00,0xF0,0x01,0x00,0x80,0x3F,0x00,0xF8,0x01,0x00,0xF8,0x3F,0x00,0xF8,0x00,0x00,0xF8,0x3F,0x00,0xFC,0x00,0x00,0xF8,0x3F,0x00,0x7C,0x00,0x00,0xF8,0x3F,0x00,0x7E,0x00,0x00,0x00,0x3F,0x00,0x3F,0x00,0x00,0x00,0x3F,0x00,0x1F,0x00,0x00,0x00,0x3F,0x80,0x1F,0x00,0x00,0x00,0x3F,0x80,0x0F,0x00,0x00,0x00,0x3F,0xC0,0x0F,0xF8,0x03,0x00,0x3F,0xC0,0x07,0xFC,0x03,0x00,0x3F,0xE0,0x07,0xFC,0x03,0x00,0x3F,0xE0,0x03,0xFE,0x03,0x00,0x3F,0xF0,0x03,0xFF,0x03,0x00,0x3F,0xF0,0x81,0xF7,0x03,0x00,0x3F,0xF8,0xC1,0xF7,0x03,0x00,0x3F,0xF8,0xE0,0xF3,0x03,0x00,0x00,0xFC,0xE0,0xF1,0x03,0x00,0x00,0x7C,0xF0,0xF0,0x03,0x00,0x00,0x7E,0x78,0xF0,0x03,0x00,0x00,0x3E,0x78,0xF0,0x03,0x00,0x00,0x3F,0xF8,0xFF,0x1F,0x00,0x80,0x1F,0xF8,0xFF,0x1F,0x00,0x80,0x0F,0xF8,0xFF,0x1F,0x00,0xC0,0x0F,0xF8,0xFF,0x1F,0x00,0xC0,0x07,0x00,0xF0,0x03,0x00,0xE0,0x07,0x00,0xF0,0x03,0x00,0xE0,0x03,0x00,0xF0,0x03,0x00,0xF0,0x03,0x00,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 188
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x00,0xF0,0x03,0x00,0x00,0x3F,0x00,0xF0,0x01,0x00,0x80,0x3F,0x00,0xF8,0x01,0x00,0xF8,0x3F,0x00,0xF8,0x00,0x00,0xF8,0x3F,0x00,0xFC,0x00,0x00,0xF8,0x3F,0x00,0x7C,0x00,0x00,0xF8,0x3F,0x00,0x7E,0x00,0x00,0x00,0x3F,0x00,0x3F,0x00,0x00,0x00,0x3F,0x00,0x1F,0x00,0x00,0x00,0x3F,0x80,0x1F,0x00,0x00,0x00,0x3F,0x80,0x0F,0x00,0x00,0x00,0x3F,0xC0,0x0F,0xFE,0x01,0x00,0x3F,0xC0,0xC7,0xFF,0x07,0x00,0x3F,0xE0,0xC7,0xFF,0x0F,0x00,0x3F,0xE0,0xC3,0xFF,0x1F,0x00,0x3F,0xF0,0xC3,0xFF,0x1F,0x00,0x3F,0xF0,0xC1,0xC0,0x1F,0x00,0x3F,0xF8,0x01,0x80,0x1F,0x00,0x3F,0xF8,0x00,0x80,0x1F,0x00,0x00,0xFC,0x00,0x80,0x0F,0x00,0x00,0x7C,0x00,0xC0,0x0F,0x00,0x00,0x7E,0x00,0xE0,0x07,0x00,0x00,0x3E,0x00,0xF0,0x03,0x00,0x00,0x3F,0x00,0xF8,0x01,0x00,0x80,0x1F,0x00,0xFE,0x00,0x00,0x80,0x0F,0x00,0x3F,0x00,0x00,0xC0,0x0F,0xC0,0xFF,0x3F,0x00,0xC0,0x07,0xC0,0xFF,0x3F,0x00,0xE0,0x07,0xC0,0xFF,0x3F,0x00,0xE0,0x03,0xC0,0xFF,0x3F,0x00,0xF0,0x03,0xC0,0xFF,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 189
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x7F,0x00,0x00,0x00,0x00,0xF8,0xFF,0x01,0x80,0x1F,0x00,0xF8,0xFF,0x03,0x80,0x0F,0x00,0xF8,0xFF,0x07,0xC0,0x0F,0x00,0xF8,0xFF,0x07,0xC0,0x07,0x00,0x18,0xF0,0x07,0xE0,0x07,0x00,0x00,0xE0,0x07,0xE0,0x03,0x00,0x00,0xF0,0x03,0xF0,0x03,0x00,0x80,0xFF,0x01,0xF8,0x01,0x00,0x80,0x7F,0x00,0xF8,0x00,0x00,0x80,0xFF,0x01,0xFC,0x00,0x00,0x80,0xFF,0x03,0x7C,0x00,0x00,0x00,0xF0,0x07,0x7E,0xE0,0x0F,0x00,0xE0,0x07,0x3E,0xF0,0x0F,0x00,0xE0,0x07,0x3F,0xF0,0x0F,0x18,0xF0,0x07,0x1F,0xF8,0x0F,0xF8,0xFF,0x87,0x1F,0xFC,0x0F,0xF8,0xFF,0x83,0x0F,0xDE,0x0F,0xF8,0xFF,0xC3,0x0F,0xDF,0x0F,0xF8,0xFF,0xC1,0x87,0xCF,0x0F,0xE0,0x3F,0xE0,0x87,0xC7,0x0F,0x00,0x00,0xE0,0xC3,0xC3,0x0F,0x00,0x00,0xF0,0xE3,0xC1,0x0F,0x00,0x00,0xF0,0xE1,0xC1,0x0F,0x00,0x00,0xF8,0xE1,0xFF,0x7F,0x00,0x00,0xFC,0xE0,0xFF,0x7F,0x00,0x00,0x7C,0xE0,0xFF,0x7F,0x00,0x00,0x7E,0xE0,0xFF,0x7F,0x00,0x00,0x3E,0x00,0xC0,0x0F,0x00,0x00,0x3F,0x00,0xC0,0x0F,0x00,0x00,0x1F,0x00,0xC0,0x0F,0x00,0x80,0x1F,0x00,0xC0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 190
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x00,0xFC,0x03,0x00,0xFC,0x03,0x00,0xFC,0x03,0x00,0xFC,0x03,0x00,0xFC,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFC,0x01,0x00,0xFF,0x01,0x80,0xFF,0x01,0xE0,0x7F,0x00,0xF0,0x1F,0x00,0xF8,0x0F,0x00,0xF8,0x07,0x00,0xFC,0x03,0x00,0xFC,0x03,0x00,0xFC,0x03,0x00,0xFC,0x03,0x00,0xFC,0x07,0x30,0xFC,0x0F,0x3C,0xFC,0xFF,0x3F,0xF8,0xFF,0x3F,0xF0,0xFF,0x3F,0xE0,0xFF,0x3F,0xC0,0xFF,0x1F,0x00,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 191
   0x80,0x3F,0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0xF8,0x01,0x00,0x00,0xF0,0x01,0x00,0x00,0xE0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xF0,0x07,0xFE,0x01,0xF0,0x07,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xFC,0xFF,0xFF,0x07,0xFC,0xFF,0xFF,0x07,0xFC,0x01,0xF8,0x07,0xFE,0x01,0xF8,0x0F,0xFE,0x00,0xF0,0x0F,0xFE,0x00,0xF0,0x0F,0xFF,0x00,0xF0,0x1F,0xFF,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 192
   0x00,0xC0,0x1F,0x00,0x00,0xE0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xF0,0x03,0x00,0x00,0xF0,0x03,0x00,0x00,0xF8,0x01,0x00,0x00,0xF8,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xF0,0x07,0xFE,0x01,0xF0,0x07,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xFC,0xFF,0xFF,0x07,0xFC,0xFF,0xFF,0x07,0xFC,0x01,0xF8,0x07,0xFE,0x01,0xF8,0x0F,0xFE,0x00,0xF0,0x0F,0xFE,0x00,0xF0,0x0F,0xFF,0x00,0xF0,0x1F,0xFF,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 193
   0x00,0xF0,0x03,0x00,0x00,0xF8,0x07,0x00,0x00,0xFC,0x0F,0x00,0x00,0xFC,0x0F,0x00,0x00,0x3E,0x1F,0x00,0x00,0x1F,0x3F,0x00,0x80,0x1F,0x7E,0x00,0xC0,0x0F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xF0,0x07,0xFE,0x01,0xF0,0x07,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xFC,0xFF,0xFF,0x07,0xFC,0xFF,0xFF,0x07,0xFC,0x01,0xF8,0x07,0xFE,0x01,0xF8,0x0F,0xFE,0x00,0xF0,0x0F,0xFE,0x00,0xF0,0x0F,0xFF,0x00,0xF0,0x1F,0xFF,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 194
   0x00,0x00,0x00,0x00,0x00,0x1E,0xF8,0x00,0x00,0x7F,0xF8,0x00,0x80,0xFF,0xFC,0x00,0x80,0xFF,0x7F,0x00,0xC0,0xCF,0x7F,0x00,0xC0,0x87,0x3F,0x00,0xC0,0x07,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xF0,0x07,0xFE,0x01,0xF0,0x07,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xFC,0xFF,0xFF,0x07,0xFC,0xFF,0xFF,0x07,0xFC,0x01,0xF8,0x07,0xFE,0x01,0xF8,0x0F,0xFE,0x00,0xF0,0x0F,0xFE,0x00,0xF0,0x0F,0xFF,0x00,0xF0,0x1F,0xFF,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 195
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x1F,0x7E,0x00,0x80,0x1F,0x7E,0x00,0x80,0x1F,0x7E,0x00,0x80,0x1F,0x7E,0x00,0x80,0x1F,0x7E,0x00,0x80,0x1F,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xF0,0x07,0xFE,0x01,0xF0,0x07,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xFC,0xFF,0xFF,0x07,0xFC,0xFF,0xFF,0x07,0xFC,0x01,0xF8,0x07,0xFE,0x01,0xF8,0x0F,0xFE,0x00,0xF0,0x0F,0xFE,0x00,0xF0,0x0F,0xFF,0x00,0xF0,0x1F,0xFF,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 196
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x01,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0x1E,0x0F,0x00,0x00,0x0F,0x1E,0x00,0x00,0x0F,0x1E,0x00,0x00,0x0F,0x1E,0x00,0x00,0x0F,0x1E,0x00,0x00,0x1F,0x1F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFC,0x07,0x00,0x00,0xFC,0x07,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFE,0x0F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x00,0xFF,0x1F,0x00,0x80,0xFF,0x3F,0x00,0x80,0xFF,0x3F,0x00,0x80,0x9F,0x3F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x9F,0x7F,0x00,0xC0,0x0F,0x7F,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x0F,0xFF,0x00,0xE0,0x07,0xFE,0x00,0xF0,0x07,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xFC,0xFF,0xFF,0x07,0xFC,0x01,0xF8,0x07,0xFC,0x01,0xF8,0x07,0xFE,0x00,0xF0,0x0F,0xFE,0x00,0xF0,0x0F,0xFE,0x00,0xF0,0x0F,0xFF,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 197
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xFF,0xFF,0x01,0x00,0xF8,0xFF,0xFF,0xFF,0x01,0x00,0xF8,0xFF,0xFF,0xFF,0x01,0x00,0xFC,0xFF,0xFF,0xFF,0x01,0x00,0xFC,0xFF,0xFF,0xFF,0x01,0x00,0xFC,0xFF,0xFF,0xFF,0x01,0x00,0xFE,0xF1,0x0F,0x00,0x00,0x00,0xFE,0xF1,0x0F,0x00,0x00,0x00,0xFF,0xF1,0x0F,0x00,0x00,0x00,0xFF,0xF0,0x0F,0x00,0x00,0x00,0xFF,0xF0,0x0F,0x00,0x00,0x80,0x7F,0xF0,0xFF,0xFF,0x00,0x80,0x7F,0xF0,0xFF,0xFF,0x00,0x80,0x7F,0xF0,0xFF,0xFF,0x00,0xC0,0x3F,0xF0,0xFF,0xFF,0x00,0xC0,0x3F,0xF0,0xFF,0xFF,0x00,0xE0,0x3F,0xF0,0xFF,0xFF,0x00,0xE0,0xFF,0xFF,0x0F,0x00,0x00,0xE0,0xFF,0xFF,0x0F,0x00,0x00,0xF0,0xFF,0xFF,0x0F,0x00,0x00,0xF0,0xFF,0xFF,0x0F,0x00,0x00,0xF0,0xFF,0xFF,0x0F,0x00,0x00,0xF8,0xFF,0xFF,0x0F,0x00,0x00,0xF8,0x07,0xF0,0x0F,0x00,0x00,0xFC,0x07,0xF0,0x0F,0x00,0x00,0xFC,0x03,0xF0,0xFF,0xFF,0x01,0xFC,0x03,0xF0,0xFF,0xFF,0x01,0xFE,0x03,0xF0,0xFF,0xFF,0x01,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xFE,0x01,0xF0,0xFF,0xFF,0x01,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 198
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x3F,0x00,0x00,0xFE,0xFF,0x03,0x00,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x0F,0xF0,0x7F,0xE0,0x0F,0xF8,0x1F,0x80,0x0F,0xF8,0x0F,0x00,0x0E,0xFC,0x07,0x00,0x08,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFE,0x03,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFE,0x01,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x03,0x00,0x00,0xFC,0x07,0x00,0x08,0xFC,0x0F,0x00,0x0E,0xF8,0x1F,0x00,0x0F,0xF0,0x7F,0xE0,0x0F,0xF0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x0F,0x80,0xFF,0xFF,0x0F,0x00,0xFE,0xFF,0x01,0x00,0xF0,0x3F,0x00,0x00,0x00,0x3E,0x00,0x00,0x00,0x3E,0x00,0x00,0x00,0x3E,0x00,0x00,0x08,0x3F,0x00,0x00,0xF8,0x1F,0x00,0x00,0xF8,0x1F,0x00,0x00,0xF8,0x0F,0x00,0x00,0xF8,0x03,0x00, // Code for char num 199
   0x00,0x7F,0x00,0x00,0xFE,0x00,0x00,0xFC,0x00,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xF0,0x03,0x00,0xE0,0x03,0x00,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 200
   0x00,0xE0,0x0F,0x00,0xF0,0x07,0x00,0xF0,0x03,0x00,0xF8,0x01,0x00,0xF8,0x01,0x00,0xFC,0x00,0x00,0x7C,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 201
   0x00,0xF8,0x01,0x00,0xFC,0x03,0x00,0xFE,0x07,0x00,0xFE,0x07,0x00,0x9F,0x0F,0x80,0x8F,0x1F,0xC0,0x0F,0x3F,0xE0,0x07,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 202
   0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x3F,0xC0,0x0F,0x3F,0xC0,0x0F,0x3F,0xC0,0x0F,0x3F,0xC0,0x0F,0x3F,0xC0,0x0F,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0xFF,0x7F,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0x07,0x00,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0xF8,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 203
   0xF0,0x07,0x00,0xE0,0x0F,0x00,0xC0,0x0F,0x00,0x80,0x1F,0x00,0x80,0x1F,0x00,0x00,0x3F,0x00,0x00,0x3E,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 204
   0x00,0xF0,0x07,0x00,0xF8,0x03,0x00,0xF8,0x01,0x00,0xFC,0x00,0x00,0xFC,0x00,0x00,0x7E,0x00,0x00,0x3E,0x00,0x00,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 205
   0x00,0x3F,0x00,0x80,0x7F,0x00,0xC0,0xFF,0x00,0xC0,0xFF,0x00,0xE0,0xF3,0x01,0xF0,0xF1,0x03,0xF8,0xE1,0x07,0xFC,0xC0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 206
   0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xE1,0x07,0xF8,0xE1,0x07,0xF8,0xE1,0x07,0xF8,0xE1,0x07,0xF8,0xE1,0x07,0xF8,0xE1,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0x80,0x7F,0x00,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0xFC,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 207
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xFF,0x0F,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x07,0xF0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x0F,0xF8,0x1F,0xF0,0x0F,0xF0,0x3F,0xF0,0x0F,0xC0,0x7F,0xF0,0x0F,0xC0,0x7F,0xF0,0x0F,0x80,0x7F,0xF0,0x0F,0x80,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0x07,0xFF,0xF0,0x0F,0x00,0xFF,0xF0,0x0F,0x00,0xFF,0xF0,0x0F,0x80,0xFF,0xF0,0x0F,0x80,0x7F,0xF0,0x0F,0xC0,0x7F,0xF0,0x0F,0xC0,0x3F,0xF0,0x0F,0xE0,0x3F,0xF0,0x0F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xF0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x07,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 208
   0x00,0x00,0x00,0x00,0x00,0x78,0xE0,0x03,0x00,0xFC,0xE1,0x03,0x00,0xFE,0xF3,0x03,0x00,0xFE,0xFF,0x01,0x00,0x3F,0xFF,0x01,0x00,0x1F,0xFE,0x00,0x00,0x1F,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x1F,0x80,0x3F,0xF8,0x1F,0x80,0x3F,0xF8,0x3F,0x80,0x3F,0xF8,0x7F,0x80,0x3F,0xF8,0x7F,0x80,0x3F,0xF8,0xFF,0x80,0x3F,0xF8,0xFF,0x80,0x3F,0xF8,0xFF,0x81,0x3F,0xF8,0xFF,0x83,0x3F,0xF8,0xFF,0x83,0x3F,0xF8,0xFB,0x87,0x3F,0xF8,0xFB,0x87,0x3F,0xF8,0xF3,0x8F,0x3F,0xF8,0xF3,0x8F,0x3F,0xF8,0xE3,0x9F,0x3F,0xF8,0xC3,0xBF,0x3F,0xF8,0xC3,0xBF,0x3F,0xF8,0x83,0xFF,0x3F,0xF8,0x83,0xFF,0x3F,0xF8,0x03,0xFF,0x3F,0xF8,0x03,0xFF,0x3F,0xF8,0x03,0xFE,0x3F,0xF8,0x03,0xFC,0x3F,0xF8,0x03,0xFC,0x3F,0xF8,0x03,0xF8,0x3F,0xF8,0x03,0xF8,0x3F,0xF8,0x03,0xF0,0x3F,0xF8,0x03,0xE0,0x3F,0xF8,0x03,0xE0,0x3F,0xF8,0x03,0xC0,0x3F,0xF8,0x03,0xC0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 209
   0x00,0xFC,0x01,0x00,0x00,0xF8,0x03,0x00,0x00,0xF0,0x03,0x00,0x00,0xE0,0x07,0x00,0x00,0xE0,0x07,0x00,0x00,0xC0,0x0F,0x00,0x00,0x80,0x0F,0x00,0x00,0x00,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x1F,0x00,0x00,0xFE,0xFF,0x00,0x80,0xFF,0xFF,0x03,0xC0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x3F,0xF8,0x1F,0xF8,0x0F,0xE0,0x3F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xF8,0x0F,0xE0,0x3F,0xF0,0x3F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x07,0x80,0xFF,0xFF,0x03,0x00,0xFE,0xFF,0x00,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 210
   0x00,0x00,0x7F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x1F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xE0,0x03,0x00,0x00,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x1F,0x00,0x00,0xFE,0xFF,0x00,0x80,0xFF,0xFF,0x03,0xC0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x3F,0xF8,0x1F,0xF8,0x0F,0xE0,0x3F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xF8,0x0F,0xE0,0x3F,0xF0,0x3F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x07,0x80,0xFF,0xFF,0x03,0x00,0xFE,0xFF,0x00,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 211
   0x00,0xC0,0x0F,0x00,0x00,0xE0,0x1F,0x00,0x00,0xF0,0x3F,0x00,0x00,0xF0,0x3F,0x00,0x00,0xF8,0x7C,0x00,0x00,0x7C,0xFC,0x00,0x00,0x7E,0xF8,0x01,0x00,0x3F,0xF0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x1F,0x00,0x00,0xFE,0xFF,0x00,0x80,0xFF,0xFF,0x03,0xC0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x3F,0xF8,0x1F,0xF8,0x0F,0xE0,0x3F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xF8,0x0F,0xE0,0x3F,0xF0,0x3F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x07,0x80,0xFF,0xFF,0x03,0x00,0xFE,0xFF,0x00,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 212
   0x00,0x00,0x00,0x00,0x00,0x78,0xE0,0x03,0x00,0xFC,0xE1,0x03,0x00,0xFE,0xF3,0x03,0x00,0xFE,0xFF,0x01,0x00,0x3F,0xFF,0x01,0x00,0x1F,0xFE,0x00,0x00,0x1F,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x1F,0x00,0x00,0xFE,0xFF,0x00,0x80,0xFF,0xFF,0x03,0xC0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x3F,0xF8,0x1F,0xF8,0x0F,0xE0,0x3F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xF8,0x0F,0xE0,0x3F,0xF0,0x3F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x07,0x80,0xFF,0xFF,0x03,0x00,0xFE,0xFF,0x00,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 213
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0xF8,0x01,0x00,0x7E,0xF8,0x01,0x00,0x7E,0xF8,0x01,0x00,0x7E,0xF8,0x01,0x00,0x7E,0xF8,0x01,0x00,0x7E,0xF8,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x1F,0x00,0x00,0xFE,0xFF,0x00,0x80,0xFF,0xFF,0x03,0xC0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x3F,0xF8,0x1F,0xF8,0x0F,0xE0,0x3F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFE,0x01,0x00,0xFF,0xFC,0x03,0x80,0x7F,0xFC,0x03,0x80,0x7F,0xFC,0x07,0xC0,0x7F,0xFC,0x07,0xC0,0x7F,0xF8,0x0F,0xE0,0x3F,0xF0,0x3F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x07,0x80,0xFF,0xFF,0x03,0x00,0xFE,0xFF,0x00,0x00,0xF0,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 214
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x04,0x80,0x03,0x00,0x0E,0xC0,0x07,0x00,0x1F,0xE0,0x0F,0x80,0x3F,0xC0,0x1F,0xC0,0x1F,0x80,0x3F,0xE0,0x0F,0x00,0x7F,0xF0,0x07,0x00,0xFE,0xF8,0x03,0x00,0xFC,0xFD,0x01,0x00,0xF8,0xFF,0x00,0x00,0xF0,0x7F,0x00,0x00,0xE0,0x3F,0x00,0x00,0xC0,0x1F,0x00,0x00,0xE0,0x3F,0x00,0x00,0xF0,0x7F,0x00,0x00,0xF8,0xFF,0x00,0x00,0xFC,0xFD,0x01,0x00,0xFE,0xF8,0x03,0x00,0x7F,0xF0,0x07,0x80,0x3F,0xE0,0x0F,0xC0,0x1F,0xC0,0x1F,0xE0,0x0F,0x80,0x3F,0xC0,0x07,0x00,0x1F,0x80,0x03,0x00,0x0E,0x00,0x01,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 215
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3C,0x00,0xF0,0x1F,0x1E,0x00,0xFE,0xFF,0x1F,0x80,0xFF,0xFF,0x0F,0xC0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x0F,0xF0,0xFF,0xFF,0x1F,0xF0,0x3F,0xF8,0x1F,0xF8,0x0F,0xF0,0x3F,0xFC,0x07,0xF0,0x3F,0xFC,0x07,0xF8,0x7F,0xFC,0x03,0xFC,0x7F,0xFC,0x03,0xBC,0x7F,0xFE,0x01,0x1E,0xFF,0xFE,0x01,0x1F,0xFF,0xFE,0x01,0x0F,0xFF,0xFE,0x81,0x07,0xFF,0xFE,0xC1,0x07,0xFF,0xFE,0xC1,0x03,0xFF,0xFE,0xE1,0x01,0xFF,0xFE,0xF1,0x01,0xFF,0xFE,0xF1,0x00,0xFF,0xFC,0x7B,0x80,0x7F,0xFC,0x7F,0x80,0x7F,0xFC,0x3F,0xC0,0x7F,0xF8,0x1F,0xC0,0x7F,0xF8,0x0F,0xE0,0x3F,0xF0,0x3F,0xF8,0x1F,0xF0,0xFF,0xFF,0x1F,0xE0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x07,0xE0,0xFF,0xFF,0x03,0xF0,0xFF,0xFF,0x00,0xF0,0xF0,0x1F,0x00,0x78,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 216
   0x00,0x7F,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0xF8,0x01,0x00,0x00,0xF8,0x01,0x00,0x00,0xF0,0x03,0x00,0x00,0xE0,0x03,0x00,0x00,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x0F,0xF0,0x1F,0xF0,0x0F,0xF0,0x0F,0xF0,0x1F,0xFC,0x0F,0xF0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x07,0xC0,0xFF,0xFF,0x03,0x80,0xFF,0xFF,0x01,0x00,0xFE,0x7F,0x00,0x00,0xF8,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 217
   0x00,0x00,0x7F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x1F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xE0,0x03,0x00,0x00,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x0F,0xF0,0x1F,0xF0,0x0F,0xF0,0x0F,0xF0,0x1F,0xFC,0x0F,0xF0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x07,0xC0,0xFF,0xFF,0x03,0x80,0xFF,0xFF,0x01,0x00,0xFE,0x7F,0x00,0x00,0xF8,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 218
   0x00,0xE0,0x07,0x00,0x00,0xF0,0x0F,0x00,0x00,0xF8,0x1F,0x00,0x00,0xF8,0x1F,0x00,0x00,0x7C,0x3E,0x00,0x00,0x3E,0x7E,0x00,0x00,0x3F,0xFC,0x00,0x80,0x1F,0xF8,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x0F,0xF0,0x1F,0xF0,0x0F,0xF0,0x0F,0xF0,0x1F,0xFC,0x0F,0xF0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x07,0xC0,0xFF,0xFF,0x03,0x80,0xFF,0xFF,0x01,0x00,0xFE,0x7F,0x00,0x00,0xF8,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 219
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFC,0x00,0x00,0x3F,0xFC,0x00,0x00,0x3F,0xFC,0x00,0x00,0x3F,0xFC,0x00,0x00,0x3F,0xFC,0x00,0x00,0x3F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x07,0xE0,0x1F,0xF8,0x0F,0xF0,0x1F,0xF0,0x0F,0xF0,0x0F,0xF0,0x1F,0xFC,0x0F,0xF0,0xFF,0xFF,0x0F,0xE0,0xFF,0xFF,0x07,0xC0,0xFF,0xFF,0x03,0x80,0xFF,0xFF,0x01,0x00,0xFE,0x7F,0x00,0x00,0xF8,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 220
   0x00,0x00,0x7F,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x1F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xE0,0x03,0x00,0x00,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x03,0xC0,0x3F,0xFE,0x03,0xE0,0x1F,0xFE,0x07,0xF0,0x0F,0xFC,0x07,0xF0,0x0F,0xF8,0x0F,0xF8,0x07,0xF8,0x0F,0xF8,0x07,0xF0,0x1F,0xFC,0x03,0xF0,0x1F,0xFC,0x01,0xE0,0x3F,0xFE,0x01,0xC0,0x7F,0xFE,0x00,0xC0,0x7F,0xFF,0x00,0x80,0xFF,0x7F,0x00,0x80,0xFF,0x3F,0x00,0x00,0xFF,0x3F,0x00,0x00,0xFE,0x1F,0x00,0x00,0xFE,0x1F,0x00,0x00,0xFC,0x0F,0x00,0x00,0xFC,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 221
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0xFF,0x0F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0x07,0xFE,0x07,0xF8,0x07,0xFC,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xF8,0x07,0xFC,0x03,0xF8,0x07,0xFF,0x03,0xF8,0xFF,0xFF,0x03,0xF8,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x1F,0x00,0xF8,0xFF,0x07,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0xF8,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 222
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x07,0x00,0x00,0xFF,0x1F,0x00,0xC0,0xFF,0x7F,0x00,0xE0,0xFF,0xFF,0x00,0xE0,0xFF,0xFF,0x00,0xF0,0x0F,0xFE,0x01,0xF0,0x07,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0x7F,0x00,0xF8,0xE3,0x3F,0x00,0xF8,0xE3,0x0F,0x00,0xF8,0xE3,0x1F,0x00,0xF8,0xE3,0x7F,0x00,0xF8,0xE3,0xFF,0x00,0xF8,0x03,0xFE,0x01,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF0,0x03,0xF8,0x03,0xF0,0x07,0xF8,0x03,0xF0,0x07,0xF8,0x03,0xF0,0x07,0xF8,0x03,0xF0,0x07,0xF8,0x03,0xF0,0x07,0xF8,0x03,0xF8,0x07,0xF8,0x03,0xFC,0x03,0xF8,0xE3,0xFF,0x03,0xF8,0xE3,0xFF,0x03,0xF8,0xE3,0xFF,0x01,0xF8,0xE3,0xFF,0x00,0xF8,0xE3,0x3F,0x00,0x00,0xE0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 223
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x80,0x3F,0x00,0x00,0x3F,0x00,0x00,0x7E,0x00,0x00,0x7E,0x00,0x00,0xFC,0x00,0x00,0xF8,0x00,0x00,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0x01,0xF8,0xFF,0x07,0xF8,0xFF,0x1F,0xF8,0xFF,0x3F,0xF8,0xFF,0x3F,0x78,0xC0,0x7F,0x18,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0x7F,0x00,0xF8,0x7F,0xC0,0xFF,0x7F,0xF0,0xFF,0x7F,0xF8,0xFF,0x7F,0xFC,0x0F,0x7F,0xFC,0x01,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x80,0x7F,0xFE,0xC1,0x7F,0xFC,0xFF,0x7F,0xFC,0xFF,0x7F,0xF8,0x7F,0x7F,0xF0,0x1F,0x7F,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 224
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x07,0x00,0xF8,0x03,0x00,0xF8,0x01,0x00,0xFC,0x00,0x00,0xFC,0x00,0x00,0x7E,0x00,0x00,0x3E,0x00,0x00,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0x01,0xF8,0xFF,0x07,0xF8,0xFF,0x1F,0xF8,0xFF,0x3F,0xF8,0xFF,0x3F,0x78,0xC0,0x7F,0x18,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0x7F,0x00,0xF8,0x7F,0xC0,0xFF,0x7F,0xF0,0xFF,0x7F,0xF8,0xFF,0x7F,0xFC,0x0F,0x7F,0xFC,0x01,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x80,0x7F,0xFE,0xC1,0x7F,0xFC,0xFF,0x7F,0xFC,0xFF,0x7F,0xF8,0x7F,0x7F,0xF0,0x1F,0x7F,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 225
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0x00,0x00,0xFF,0x00,0x80,0xFF,0x01,0x80,0xFF,0x01,0xC0,0xE7,0x03,0xE0,0xE3,0x07,0xF0,0xC3,0x0F,0xF8,0x81,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0x01,0xF8,0xFF,0x07,0xF8,0xFF,0x1F,0xF8,0xFF,0x3F,0xF8,0xFF,0x3F,0x78,0xC0,0x7F,0x18,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0x7F,0x00,0xF8,0x7F,0xC0,0xFF,0x7F,0xF0,0xFF,0x7F,0xF8,0xFF,0x7F,0xFC,0x0F,0x7F,0xFC,0x01,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x80,0x7F,0xFE,0xC1,0x7F,0xFC,0xFF,0x7F,0xFC,0xFF,0x7F,0xF8,0x7F,0x7F,0xF0,0x1F,0x7F,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 226
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x03,0x1F,0xE0,0x0F,0x1F,0xF0,0x9F,0x1F,0xF0,0xFF,0x0F,0xF8,0xF9,0x0F,0xF8,0xF0,0x07,0xF8,0xC0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0x01,0xF8,0xFF,0x07,0xF8,0xFF,0x1F,0xF8,0xFF,0x3F,0xF8,0xFF,0x3F,0x78,0xC0,0x7F,0x18,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0x7F,0x00,0xF8,0x7F,0xC0,0xFF,0x7F,0xF0,0xFF,0x7F,0xF8,0xFF,0x7F,0xFC,0x0F,0x7F,0xFC,0x01,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x80,0x7F,0xFE,0xC1,0x7F,0xFC,0xFF,0x7F,0xFC,0xFF,0x7F,0xF8,0x7F,0x7F,0xF0,0x1F,0x7F,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 227
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0xF0,0xC3,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0x01,0xF8,0xFF,0x07,0xF8,0xFF,0x1F,0xF8,0xFF,0x3F,0xF8,0xFF,0x3F,0x78,0xC0,0x7F,0x18,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0x7F,0x00,0xF8,0x7F,0xC0,0xFF,0x7F,0xF0,0xFF,0x7F,0xF8,0xFF,0x7F,0xFC,0x0F,0x7F,0xFC,0x01,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x80,0x7F,0xFE,0xC1,0x7F,0xFC,0xFF,0x7F,0xFC,0xFF,0x7F,0xF8,0x7F,0x7F,0xF0,0x1F,0x7F,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 228
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7C,0x00,0x00,0xFF,0x01,0x80,0xFF,0x03,0x80,0xC7,0x03,0xC0,0x83,0x07,0xC0,0x83,0x07,0xC0,0x83,0x07,0xC0,0x83,0x07,0xC0,0x83,0x07,0x80,0xC7,0x03,0x80,0xFF,0x03,0x00,0xFF,0x01,0xE0,0xFF,0x00,0xF8,0xFF,0x07,0xF8,0xFF,0x1F,0xF8,0xFF,0x3F,0xF8,0xFF,0x3F,0x78,0xC0,0x7F,0x18,0x80,0x7F,0x00,0x00,0x7F,0x00,0x00,0x7F,0x00,0xF8,0x7F,0xC0,0xFF,0x7F,0xF0,0xFF,0x7F,0xF8,0xFF,0x7F,0xFC,0x0F,0x7F,0xFC,0x01,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x00,0x7F,0xFE,0x80,0x7F,0xFE,0xC1,0x7F,0xFC,0xFF,0x7F,0xFC,0xFF,0x7F,0xF8,0x7F,0x7F,0xF0,0x1F,0x7F,0xC0,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 229
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0x00,0xFE,0x00,0xF8,0xFF,0xC3,0xFF,0x03,0xF8,0xFF,0xEF,0xFF,0x0F,0xF8,0xFF,0xFF,0xFF,0x1F,0xF8,0xFF,0xFF,0xFF,0x1F,0x78,0xC0,0xFF,0xC3,0x3F,0x18,0x80,0xFF,0x80,0x3F,0x00,0x00,0xFF,0x80,0x3F,0x00,0x00,0x7F,0x00,0x7F,0x00,0xFC,0x7F,0x00,0x7F,0xC0,0xFF,0x7F,0x00,0x7F,0xF0,0xFF,0xFF,0xFF,0x7F,0xF8,0xFF,0xFF,0xFF,0x7F,0xFC,0x0F,0xFF,0xFF,0x7F,0xFC,0x01,0xFF,0xFF,0x7F,0xFE,0x00,0x7F,0x00,0x00,0xFE,0x00,0x7E,0x00,0x00,0xFE,0x00,0xFE,0x00,0x00,0xFE,0x00,0xFE,0x00,0x40,0xFE,0x00,0xFF,0x01,0x70,0xFE,0xC1,0xFF,0x07,0x7C,0xFC,0xFF,0xFF,0xFF,0x7F,0xFC,0xFF,0xFF,0xFF,0x7F,0xF8,0xFF,0xF1,0xFF,0x7F,0xF0,0xFF,0xC0,0xFF,0x3F,0xC0,0x3F,0x00,0xFF,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 230
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x80,0xFF,0x1F,0xC0,0xFF,0x3F,0xF0,0xFF,0x3F,0xF0,0xFF,0x3F,0xF8,0x0F,0x3E,0xFC,0x03,0x38,0xFC,0x01,0x30,0xFC,0x01,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFE,0x00,0x00,0xFC,0x01,0x00,0xFC,0x01,0x30,0xFC,0x03,0x38,0xF8,0x0F,0x3E,0xF8,0xFF,0x3F,0xF0,0xFF,0x3F,0xC0,0xFF,0x3F,0x80,0xFF,0x1F,0x00,0xFC,0x07,0x00,0xC0,0x07,0x00,0xC0,0x07,0x00,0xC0,0x07,0x00,0xE1,0x07,0x00,0xFF,0x03,0x00,0xFF,0x03,0x00,0xFF,0x01,0x00,0x7F,0x00, // Code for char num 231
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x3F,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0xF8,0x00,0x00,0x00,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x00,0x80,0xFF,0x0F,0x00,0xC0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFC,0x01,0x00,0x00,0xFC,0x01,0x80,0x01,0xFC,0x03,0xC0,0x01,0xF8,0x0F,0xF8,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFF,0x01,0xC0,0xFF,0xFF,0x01,0x80,0xFF,0xFF,0x00,0x00,0xFC,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 232
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x00,0xE0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xF0,0x03,0x00,0x00,0xF0,0x03,0x00,0x00,0xF8,0x01,0x00,0x00,0xF8,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x00,0x80,0xFF,0x0F,0x00,0xC0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFC,0x01,0x00,0x00,0xFC,0x01,0x80,0x01,0xFC,0x03,0xC0,0x01,0xF8,0x0F,0xF8,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFF,0x01,0xC0,0xFF,0xFF,0x01,0x80,0xFF,0xFF,0x00,0x00,0xFC,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 233
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0xFE,0x01,0x00,0x00,0xFF,0x03,0x00,0x00,0xFF,0x03,0x00,0x80,0xCF,0x07,0x00,0xC0,0xC7,0x0F,0x00,0xE0,0x87,0x1F,0x00,0xF0,0x03,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x00,0x80,0xFF,0x0F,0x00,0xC0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFC,0x01,0x00,0x00,0xFC,0x01,0x80,0x01,0xFC,0x03,0xC0,0x01,0xF8,0x0F,0xF8,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFF,0x01,0xC0,0xFF,0xFF,0x01,0x80,0xFF,0xFF,0x00,0x00,0xFC,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 234
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x03,0x00,0x80,0xFF,0x0F,0x00,0xC0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0x00,0xFC,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0xFF,0xFF,0x01,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFC,0x01,0x00,0x00,0xFC,0x01,0x80,0x01,0xFC,0x03,0xC0,0x01,0xF8,0x0F,0xF8,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFF,0x01,0xC0,0xFF,0xFF,0x01,0x80,0xFF,0xFF,0x00,0x00,0xFC,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 235
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x00,0x7F,0x00,0x7E,0x00,0xFC,0x00,0xFC,0x00,0xF8,0x01,0xF0,0x01,0xE0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 236
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0xE0,0x0F,0xE0,0x07,0xF0,0x03,0xF0,0x03,0xF8,0x01,0xF8,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 237
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x01,0xF8,0x03,0xFC,0x07,0xFC,0x07,0xBE,0x0F,0x1E,0x0F,0x1F,0x1F,0x0F,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 238
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x3F,0x1F,0x3F,0x1F,0x3F,0x1F,0x3F,0x1F,0x3F,0x1F,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 239
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x7F,0x30,0x00,0x80,0xFF,0x3C,0x00,0x00,0xFE,0x7F,0x00,0x00,0xFC,0x7F,0x00,0x00,0xFC,0x1F,0x00,0x00,0xFF,0x1F,0x00,0xE0,0xFF,0x3F,0x00,0xC0,0xBF,0x3F,0x00,0xC0,0x07,0x7F,0x00,0x80,0x00,0xFE,0x00,0x00,0x00,0xFC,0x00,0x00,0xFE,0xFD,0x01,0x80,0xFF,0xFF,0x01,0xE0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF8,0xFF,0xFF,0x03,0xFC,0x07,0xFE,0x03,0xFC,0x01,0xFC,0x03,0xFC,0x01,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x01,0xFE,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x03,0xFE,0x00,0xFC,0x07,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF0,0xFF,0x3F,0x00,0xE0,0xFF,0x1F,0x00,0x80,0xFF,0x0F,0x00,0x00,0xFE,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 240
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x7C,0x00,0x80,0x3F,0x7C,0x00,0xC0,0x7F,0x7E,0x00,0xC0,0xFF,0x3F,0x00,0xE0,0xE7,0x3F,0x00,0xE0,0xC3,0x1F,0x00,0xE0,0x03,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x00,0xF8,0xE3,0x3F,0x00,0xF8,0xFB,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0x03,0xFE,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 241
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x3F,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0xF8,0x00,0x00,0x00,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0x00,0x80,0xFF,0x0F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x03,0xFE,0x01,0xF8,0x07,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0x80,0xFF,0x0F,0x00,0x00,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 242
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x00,0xE0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xF0,0x03,0x00,0x00,0xF0,0x03,0x00,0x00,0xF8,0x01,0x00,0x00,0xF8,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0x00,0x80,0xFF,0x0F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x03,0xFE,0x01,0xF8,0x07,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0x80,0xFF,0x0F,0x00,0x00,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 243
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x01,0x00,0x00,0xFC,0x03,0x00,0x00,0xFE,0x07,0x00,0x00,0xFE,0x07,0x00,0x00,0x9F,0x0F,0x00,0x80,0x8F,0x1F,0x00,0xC0,0x0F,0x3F,0x00,0xE0,0x07,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0x00,0x80,0xFF,0x0F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x03,0xFE,0x01,0xF8,0x07,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0x80,0xFF,0x0F,0x00,0x00,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 244
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x7C,0x00,0x80,0x3F,0x7C,0x00,0xC0,0x7F,0x7E,0x00,0xC0,0xFF,0x3F,0x00,0xE0,0xE7,0x3F,0x00,0xE0,0xC3,0x1F,0x00,0xE0,0x03,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0x00,0x80,0xFF,0x0F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x03,0xFE,0x01,0xF8,0x07,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0x80,0xFF,0x0F,0x00,0x00,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 245
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x03,0x00,0x80,0xFF,0x0F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFE,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFE,0x00,0xF8,0x03,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x01,0xFC,0x03,0xFE,0x01,0xF8,0x07,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0x80,0xFF,0x0F,0x00,0x00,0xFE,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 246
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xFF,0xFF,0x3F,0xF0,0xFF,0xFF,0x3F,0xF0,0xFF,0xFF,0x3F,0xF0,0xFF,0xFF,0x3F,0xF0,0xFF,0xFF,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0xC0,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 247
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x01,0x00,0x00,0xE0,0x00,0x00,0xFE,0xF1,0x00,0x80,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0x07,0xFF,0x00,0xFC,0x03,0xFF,0x01,0xFC,0x81,0xFF,0x01,0xFC,0x81,0xFF,0x01,0xFE,0xC0,0xFB,0x03,0xFE,0xE0,0xF9,0x03,0xFE,0xE0,0xF9,0x03,0xFE,0xF0,0xF8,0x03,0xFE,0x78,0xF8,0x03,0xFE,0x3C,0xF8,0x03,0xFE,0x3C,0xF8,0x03,0xFE,0x1E,0xF8,0x03,0xFC,0x0F,0xFC,0x01,0xFC,0x0F,0xFC,0x01,0xFC,0x07,0xFE,0x01,0xF8,0x07,0xFF,0x00,0xF0,0xFF,0xFF,0x00,0xF0,0xFF,0x7F,0x00,0xE0,0xFF,0x3F,0x00,0xF0,0xFF,0x0F,0x00,0x78,0xFC,0x03,0x00,0x38,0x00,0x00,0x00,0x3C,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 248
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x3F,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0xFC,0x00,0x00,0x00,0xF8,0x00,0x00,0x00,0xF0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x07,0xFC,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFD,0x01,0xC0,0xFF,0xFC,0x01,0x00,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 249
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x00,0xE0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xF0,0x03,0x00,0x00,0xF0,0x03,0x00,0x00,0xF8,0x01,0x00,0x00,0xF8,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x07,0xFC,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFD,0x01,0xC0,0xFF,0xFC,0x01,0x00,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 250
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x01,0x00,0x00,0xFC,0x03,0x00,0x00,0xFE,0x07,0x00,0x00,0xFE,0x07,0x00,0x00,0x9F,0x0F,0x00,0x80,0x8F,0x1F,0x00,0xC0,0x0F,0x3F,0x00,0xE0,0x07,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x07,0xFC,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFD,0x01,0xC0,0xFF,0xFC,0x01,0x00,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 251
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0xC0,0x0F,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x07,0xFC,0x01,0xF8,0x0F,0xFF,0x01,0xF8,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xF0,0xFF,0xFF,0x01,0xE0,0xFF,0xFD,0x01,0xC0,0xFF,0xFC,0x01,0x00,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, // Code for char num 252
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x1F,0x00,0x00,0xE0,0x0F,0x00,0x00,0xE0,0x07,0x00,0x00,0xF0,0x03,0x00,0x00,0xF0,0x03,0x00,0x00,0xF8,0x01,0x00,0x00,0xF8,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0xFE,0x01,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x01,0xFF,0x00,0xFC,0x01,0x7F,0x00,0xFC,0x01,0x7F,0x00,0xFC,0x03,0x7F,0x00,0xF8,0x83,0x3F,0x00,0xF8,0x83,0x3F,0x00,0xF0,0x87,0x3F,0x00,0xF0,0xC7,0x1F,0x00,0xF0,0xC7,0x1F,0x00,0xE0,0xCF,0x0F,0x00,0xE0,0xEF,0x0F,0x00,0xE0,0xEF,0x0F,0x00,0xC0,0xFF,0x07,0x00,0xC0,0xFF,0x07,0x00,0xC0,0xFF,0x07,0x00,0x80,0xFF,0x03,0x00,0x80,0xFF,0x03,0x00,0x00,0xFF,0x03,0x00,0x00,0xFF,0x01,0x00,0x00,0xFF,0x01,0x00,0x00,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x7F,0x00,0x00,0x80,0x7F,0x00,0x00,0x80,0x7F,0x00,0x00,0x80,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xE0,0x1F,0x00,0x00, // Code for char num 253
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0xC3,0x0F,0x00,0xF8,0xF3,0x3F,0x00,0xF8,0xFB,0x7F,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0xFF,0x01,0xF8,0x0F,0xFE,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFC,0x01,0xF8,0x03,0xFE,0x01,0xF8,0x03,0xFF,0x00,0xF8,0xFF,0xFF,0x00,0xF8,0xFF,0x7F,0x00,0xF8,0xFF,0x3F,0x00,0xF8,0xFF,0x1F,0x00,0xF8,0xE3,0x07,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00,0xF8,0x03,0x00,0x00, // Code for char num 254
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0xE0,0x87,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0xFE,0x01,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x00,0xFE,0x01,0xFF,0x00,0xFC,0x01,0x7F,0x00,0xFC,0x01,0x7F,0x00,0xFC,0x03,0x7F,0x00,0xF8,0x83,0x3F,0x00,0xF8,0x83,0x3F,0x00,0xF0,0x87,0x3F,0x00,0xF0,0xC7,0x1F,0x00,0xF0,0xC7,0x1F,0x00,0xE0,0xCF,0x0F,0x00,0xE0,0xEF,0x0F,0x00,0xE0,0xEF,0x0F,0x00,0xC0,0xFF,0x07,0x00,0xC0,0xFF,0x07,0x00,0xC0,0xFF,0x07,0x00,0x80,0xFF,0x03,0x00,0x80,0xFF,0x03,0x00,0x00,0xFF,0x03,0x00,0x00,0xFF,0x01,0x00,0x00,0xFF,0x01,0x00,0x00,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x7F,0x00,0x00,0x80,0x7F,0x00,0x00,0x80,0x7F,0x00,0x00,0x80,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xC0,0x3F,0x00,0x00,0xE0,0x1F,0x00,0x00 // Code for char num 255
        };


#endif


const code char Verdana12x13_Regular[] = {
   0x00,
   0x00,
   0x20,0x00,
   0x7F,0x00,
   0x0D,
   0x00,
   0x01,0x88,0x01,0x00,
   0x03,0x95,0x01,0x00,
   0x04,0xA2,0x01,0x00,
   0x08,0xAF,0x01,0x00,
   0x06,0xBC,0x01,0x00,
   0x0B,0xC9,0x01,0x00,
   0x08,0xE3,0x01,0x00,
   0x02,0xF0,0x01,0x00,
   0x04,0xFD,0x01,0x00,
   0x04,0x0A,0x02,0x00,
   0x06,0x17,0x02,0x00,
   0x08,0x24,0x02,0x00,
   0x03,0x31,0x02,0x00,
   0x04,0x3E,0x02,0x00,
   0x03,0x4B,0x02,0x00,
   0x05,0x58,0x02,0x00,
   0x06,0x65,0x02,0x00,
   0x06,0x72,0x02,0x00,
   0x06,0x7F,0x02,0x00,
   0x06,0x8C,0x02,0x00,
   0x06,0x99,0x02,0x00,
   0x06,0xA6,0x02,0x00,
   0x06,0xB3,0x02,0x00,
   0x06,0xC0,0x02,0x00,
   0x06,0xCD,0x02,0x00,
   0x06,0xDA,0x02,0x00,
   0x03,0xE7,0x02,0x00,
   0x03,0xF4,0x02,0x00,
   0x07,0x01,0x03,0x00,
   0x08,0x0E,0x03,0x00,
   0x08,0x1B,0x03,0x00,
   0x05,0x28,0x03,0x00,
   0x09,0x35,0x03,0x00,
   0x07,0x4F,0x03,0x00,
   0x07,0x5C,0x03,0x00,
   0x08,0x69,0x03,0x00,
   0x08,0x76,0x03,0x00,
   0x06,0x83,0x03,0x00,
   0x06,0x90,0x03,0x00,
   0x08,0x9D,0x03,0x00,
   0x07,0xAA,0x03,0x00,
   0x04,0xB7,0x03,0x00,
   0x04,0xC4,0x03,0x00,
   0x07,0xD1,0x03,0x00,
   0x06,0xDE,0x03,0x00,
   0x08,0xEB,0x03,0x00,
   0x07,0xF8,0x03,0x00,
   0x08,0x05,0x04,0x00,
   0x06,0x12,0x04,0x00,
   0x08,0x1F,0x04,0x00,
   0x07,0x2C,0x04,0x00,
   0x07,0x39,0x04,0x00,
   0x07,0x46,0x04,0x00,
   0x07,0x53,0x04,0x00,
   0x07,0x60,0x04,0x00,
   0x0A,0x6D,0x04,0x00,
   0x07,0x87,0x04,0x00,
   0x07,0x94,0x04,0x00,
   0x07,0xA1,0x04,0x00,
   0x04,0xAE,0x04,0x00,
   0x05,0xBB,0x04,0x00,
   0x04,0xC8,0x04,0x00,
   0x08,0xD5,0x04,0x00,
   0x07,0xE2,0x04,0x00,
   0x04,0xEF,0x04,0x00,
   0x06,0xFC,0x04,0x00,
   0x06,0x09,0x05,0x00,
   0x06,0x16,0x05,0x00,
   0x06,0x23,0x05,0x00,
   0x06,0x30,0x05,0x00,
   0x04,0x3D,0x05,0x00,
   0x06,0x4A,0x05,0x00,
   0x06,0x57,0x05,0x00,
   0x02,0x64,0x05,0x00,
   0x03,0x71,0x05,0x00,
   0x06,0x7E,0x05,0x00,
   0x02,0x8B,0x05,0x00,
   0x0A,0x98,0x05,0x00,
   0x06,0xB2,0x05,0x00,
   0x06,0xBF,0x05,0x00,
   0x06,0xCC,0x05,0x00,
   0x06,0xD9,0x05,0x00,
   0x05,0xE6,0x05,0x00,
   0x05,0xF3,0x05,0x00,
   0x04,0x00,0x06,0x00,
   0x06,0x0D,0x06,0x00,
   0x06,0x1A,0x06,0x00,
   0x08,0x27,0x06,0x00,
   0x06,0x34,0x06,0x00,
   0x06,0x41,0x06,0x00,
   0x05,0x4E,0x06,0x00,
   0x06,0x5B,0x06,0x00,
   0x03,0x68,0x06,0x00,
   0x06,0x75,0x06,0x00,
   0x08,0x82,0x06,0x00,
   0x09,0x8F,0x06,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,                // Code for char num 32
   0x00,0x00,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x00,0x04,0x00,0x00,                // Code for char num 33
   0x00,0x00,0x0A,0x0A,0x0A,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,                // Code for char num 34
   0x00,0x00,0x00,0x50,0x50,0xFC,0x28,0x28,0x7E,0x14,0x14,0x00,0x00,                // Code for char num 35
   0x00,0x00,0x08,0x08,0x3C,0x0A,0x0A,0x1C,0x28,0x28,0x1E,0x08,0x08,                // Code for char num 36
   0x00,0x00,0x00,0x00,0x00,0x00,0x8C,0x00,0x92,0x00,0x52,0x00,0x4C,0x00,0x20,0x03,0xA0,0x04,0x90,0x04,0x10,0x03,0x00,0x00,0x00,0x00, // Code for char num 37
   0x00,0x00,0x00,0x0C,0x12,0x12,0x4C,0x52,0x22,0x62,0x9C,0x00,0x00,                // Code for char num 38
   0x00,0x00,0x02,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,                // Code for char num 39
   0x00,0x00,0x08,0x04,0x04,0x02,0x02,0x02,0x02,0x02,0x04,0x04,0x08,                // Code for char num 40
   0x00,0x00,0x02,0x04,0x04,0x08,0x08,0x08,0x08,0x08,0x04,0x04,0x02,                // Code for char num 41
   0x00,0x00,0x08,0x2A,0x1C,0x2A,0x08,0x00,0x00,0x00,0x00,0x00,0x00,                // Code for char num 42
   0x00,0x00,0x00,0x00,0x10,0x10,0x10,0xFE,0x10,0x10,0x10,0x00,0x00,                // Code for char num 43
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x04,0x02,                // Code for char num 44
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,                // Code for char num 45
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x00,0x00,                // Code for char num 46
   0x00,0x00,0x10,0x10,0x08,0x08,0x04,0x04,0x02,0x02,0x01,0x01,0x00,                // Code for char num 47
   0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x22,0x22,0x22,0x1C,0x00,0x00,                // Code for char num 48
   0x00,0x00,0x00,0x08,0x0E,0x08,0x08,0x08,0x08,0x08,0x3E,0x00,0x00,                // Code for char num 49
   0x00,0x00,0x00,0x1C,0x22,0x20,0x10,0x08,0x04,0x02,0x3E,0x00,0x00,                // Code for char num 50
   0x00,0x00,0x00,0x1C,0x22,0x20,0x18,0x20,0x20,0x22,0x1C,0x00,0x00,                // Code for char num 51
   0x00,0x00,0x00,0x10,0x18,0x14,0x12,0x11,0x3F,0x10,0x10,0x00,0x00,                // Code for char num 52
   0x00,0x00,0x00,0x3E,0x02,0x02,0x1E,0x20,0x20,0x22,0x1C,0x00,0x00,                // Code for char num 53
   0x00,0x00,0x00,0x18,0x04,0x02,0x1E,0x22,0x22,0x22,0x1C,0x00,0x00,                // Code for char num 54
   0x00,0x00,0x00,0x3E,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,                // Code for char num 55
   0x00,0x00,0x00,0x1C,0x22,0x22,0x1C,0x22,0x22,0x22,0x1C,0x00,0x00,                // Code for char num 56
   0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x3C,0x20,0x10,0x0C,0x00,0x00,                // Code for char num 57
   0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x00,0x00,0x04,0x04,0x00,0x00,                // Code for char num 58
   0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x00,0x00,0x04,0x04,0x04,0x02,                // Code for char num 59
   0x00,0x00,0x00,0x00,0x00,0x60,0x18,0x06,0x18,0x60,0x00,0x00,0x00,                // Code for char num 60
   0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x00,0xFE,0x00,0x00,0x00,0x00,                // Code for char num 61
   0x00,0x00,0x00,0x00,0x00,0x0C,0x30,0xC0,0x30,0x0C,0x00,0x00,0x00,                // Code for char num 62
   0x00,0x00,0x00,0x0E,0x10,0x10,0x08,0x04,0x04,0x00,0x04,0x00,0x00,                // Code for char num 63
   0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x00,0x04,0x01,0x72,0x01,0x4A,0x01,0x4A,0x01,0x4A,0x01,0xB2,0x00,0x04,0x00,0x78,0x00,0x00,0x00, // Code for char num 64
   0x00,0x00,0x00,0x18,0x18,0x24,0x24,0x24,0x7E,0x42,0x42,0x00,0x00,                // Code for char num 65
   0x00,0x00,0x00,0x1E,0x22,0x22,0x3E,0x42,0x42,0x42,0x3E,0x00,0x00,                // Code for char num 66
   0x00,0x00,0x00,0x78,0x84,0x02,0x02,0x02,0x02,0x84,0x78,0x00,0x00,                // Code for char num 67
   0x00,0x00,0x00,0x3E,0x42,0x82,0x82,0x82,0x82,0x42,0x3E,0x00,0x00,                // Code for char num 68
   0x00,0x00,0x00,0x3E,0x02,0x02,0x3E,0x02,0x02,0x02,0x3E,0x00,0x00,                // Code for char num 69
   0x00,0x00,0x00,0x3E,0x02,0x02,0x1E,0x02,0x02,0x02,0x02,0x00,0x00,                // Code for char num 70
   0x00,0x00,0x00,0x78,0x84,0x02,0x02,0xE2,0x82,0x84,0x78,0x00,0x00,                // Code for char num 71
   0x00,0x00,0x00,0x42,0x42,0x42,0x7E,0x42,0x42,0x42,0x42,0x00,0x00,                // Code for char num 72
   0x00,0x00,0x00,0x0E,0x04,0x04,0x04,0x04,0x04,0x04,0x0E,0x00,0x00,                // Code for char num 73
   0x00,0x00,0x00,0x0E,0x08,0x08,0x08,0x08,0x08,0x08,0x07,0x00,0x00,                // Code for char num 74
   0x00,0x00,0x00,0x42,0x22,0x12,0x0A,0x0E,0x12,0x22,0x42,0x00,0x00,                // Code for char num 75
   0x00,0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x3E,0x00,0x00,                // Code for char num 76
   0x00,0x00,0x00,0xC6,0xC6,0xAA,0xAA,0x92,0x92,0x82,0x82,0x00,0x00,                // Code for char num 77
   0x00,0x00,0x00,0x46,0x46,0x4A,0x4A,0x52,0x52,0x62,0x62,0x00,0x00,                // Code for char num 78
   0x00,0x00,0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x44,0x38,0x00,0x00,                // Code for char num 79
   0x00,0x00,0x00,0x1E,0x22,0x22,0x22,0x1E,0x02,0x02,0x02,0x00,0x00,                // Code for char num 80
   0x00,0x00,0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x44,0x38,0x20,0xC0,                // Code for char num 81
   0x00,0x00,0x00,0x1E,0x22,0x22,0x22,0x1E,0x12,0x22,0x42,0x00,0x00,                // Code for char num 82
   0x00,0x00,0x00,0x3C,0x42,0x02,0x0C,0x30,0x40,0x42,0x3C,0x00,0x00,                // Code for char num 83
   0x00,0x00,0x00,0x7F,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00,                // Code for char num 84
   0x00,0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x3C,0x00,0x00,                // Code for char num 85
   0x00,0x00,0x00,0x42,0x42,0x42,0x24,0x24,0x24,0x18,0x18,0x00,0x00,                // Code for char num 86
   0x00,0x00,0x00,0x00,0x00,0x00,0x22,0x02,0x22,0x02,0x54,0x01,0x54,0x01,0x54,0x01,0x54,0x01,0x88,0x00,0x88,0x00,0x00,0x00,0x00,0x00, // Code for char num 87
   0x00,0x00,0x00,0x42,0x42,0x24,0x18,0x18,0x24,0x42,0x42,0x00,0x00,                // Code for char num 88
   0x00,0x00,0x00,0x41,0x22,0x14,0x08,0x08,0x08,0x08,0x08,0x00,0x00,                // Code for char num 89
   0x00,0x00,0x00,0x7E,0x40,0x20,0x10,0x08,0x04,0x02,0x7E,0x00,0x00,                // Code for char num 90
   0x00,0x00,0x0E,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x0E,                // Code for char num 91
   0x00,0x00,0x01,0x01,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x10,0x00,                // Code for char num 92
   0x00,0x00,0x0E,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x0E,                // Code for char num 93
   0x00,0x00,0x00,0x10,0x28,0x44,0x82,0x00,0x00,0x00,0x00,0x00,0x00,                // Code for char num 94
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,                // Code for char num 95
   0x00,0x00,0x04,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,                // Code for char num 96
   0x00,0x00,0x00,0x00,0x00,0x1C,0x20,0x3C,0x22,0x22,0x3C,0x00,0x00,                // Code for char num 97
   0x00,0x00,0x02,0x02,0x02,0x1E,0x22,0x22,0x22,0x22,0x1E,0x00,0x00,                // Code for char num 98
   0x00,0x00,0x00,0x00,0x00,0x1C,0x22,0x02,0x02,0x22,0x1C,0x00,0x00,                // Code for char num 99
   0x00,0x00,0x20,0x20,0x20,0x3C,0x22,0x22,0x22,0x22,0x3C,0x00,0x00,                // Code for char num 100
   0x00,0x00,0x00,0x00,0x00,0x1C,0x22,0x3E,0x02,0x22,0x1C,0x00,0x00,                // Code for char num 101
   0x00,0x00,0x0C,0x02,0x02,0x0F,0x02,0x02,0x02,0x02,0x02,0x00,0x00,                // Code for char num 102
   0x00,0x00,0x00,0x00,0x00,0x3C,0x22,0x22,0x22,0x22,0x3C,0x20,0x1C,                // Code for char num 103
   0x00,0x00,0x02,0x02,0x02,0x1E,0x22,0x22,0x22,0x22,0x22,0x00,0x00,                // Code for char num 104
   0x00,0x00,0x02,0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x02,0x00,0x00,                // Code for char num 105
   0x00,0x00,0x04,0x00,0x00,0x06,0x04,0x04,0x04,0x04,0x04,0x04,0x03,                // Code for char num 106
   0x00,0x00,0x02,0x02,0x02,0x22,0x12,0x0A,0x0E,0x12,0x22,0x00,0x00,                // Code for char num 107
   0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x00,0x00,                // Code for char num 108
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xDE,0x01,0x22,0x02,0x22,0x02,0x22,0x02,0x22,0x02,0x22,0x02,0x00,0x00,0x00,0x00, // Code for char num 109
   0x00,0x00,0x00,0x00,0x00,0x1E,0x22,0x22,0x22,0x22,0x22,0x00,0x00,                // Code for char num 110
   0x00,0x00,0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x22,0x1C,0x00,0x00,                // Code for char num 111
   0x00,0x00,0x00,0x00,0x00,0x1E,0x22,0x22,0x22,0x22,0x1E,0x02,0x02,                // Code for char num 112
   0x00,0x00,0x00,0x00,0x00,0x3C,0x22,0x22,0x22,0x22,0x3C,0x20,0x20,                // Code for char num 113
   0x00,0x00,0x00,0x00,0x00,0x1A,0x06,0x02,0x02,0x02,0x02,0x00,0x00,                // Code for char num 114
   0x00,0x00,0x00,0x00,0x00,0x1C,0x02,0x06,0x18,0x10,0x0E,0x00,0x00,                // Code for char num 115
   0x00,0x00,0x00,0x02,0x02,0x0F,0x02,0x02,0x02,0x02,0x0C,0x00,0x00,                // Code for char num 116
   0x00,0x00,0x00,0x00,0x00,0x22,0x22,0x22,0x22,0x22,0x3C,0x00,0x00,                // Code for char num 117
   0x00,0x00,0x00,0x00,0x00,0x22,0x22,0x14,0x14,0x08,0x08,0x00,0x00,                // Code for char num 118
   0x00,0x00,0x00,0x00,0x00,0x92,0x92,0xAA,0xAA,0x44,0x44,0x00,0x00,                // Code for char num 119
   0x00,0x00,0x00,0x00,0x00,0x22,0x14,0x08,0x08,0x14,0x22,0x00,0x00,                // Code for char num 120
   0x00,0x00,0x00,0x00,0x00,0x22,0x14,0x14,0x14,0x08,0x08,0x08,0x04,                // Code for char num 121
   0x00,0x00,0x00,0x00,0x00,0x1E,0x10,0x08,0x04,0x02,0x1E,0x00,0x00,                // Code for char num 122
   0x00,0x00,0x30,0x08,0x08,0x08,0x08,0x06,0x08,0x08,0x08,0x08,0x30,                // Code for char num 123
   0x00,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,                // Code for char num 124
   0x00,0x00,0x06,0x08,0x08,0x08,0x08,0x30,0x08,0x08,0x08,0x08,0x06,                // Code for char num 125
   0x00,0x00,0x00,0x00,0x00,0x00,0x8C,0x92,0x62,0x00,0x00,0x00,0x00,                // Code for char num 126
   0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x01,0x02,0x01,0x02,0x01,0x02,0x01,0x02,0x01,0x02,0x01,0x02,0x01,0xFE,0x01,0x00,0x00,0x00,0x00 // Code for char num 127
        };